Search.setIndex({"docnames": ["client", "debits", "developer/index", "developer/parsing", "developer/segments/all", "developer/segments/index", "developer/sequence", "developer/types", "developer/working", "index", "quickstart", "reading", "tans", "tested", "transfers", "trouble", "upgrading_1_2", "upgrading_2_3", "upgrading_3_4"], "filenames": ["client.rst", "debits.rst", "developer/index.rst", "developer/parsing.rst", "developer/segments/all.rst", "developer/segments/index.rst", "developer/sequence.rst", "developer/types.rst", "developer/working.rst", "index.rst", "quickstart.rst", "reading.rst", "tans.rst", "tested.rst", "transfers.rst", "trouble.rst", "upgrading_1_2.rst", "upgrading_2_3.rst", "upgrading_3_4.rst"], "titles": ["The client object", "Creating SEPA debits", "Developer documentation/API", "Parsing and serialization", "All Segments", "FinTS Segments", "FinTS Segment Sequence", "Defining new Segment classes", "Working with Segments", "FinTS client library", "Getting started", "Reading operations", "Working with TANs", "Tested banks", "Sending SEPA transfers", "Troubleshooting and bug reporting", "Upgrading from python-fints 1.x to 2.x", "Upgrading from python-fints 2.x to 3.x", "Upgrading from python-fints 3.x to 4.x"], "terms": {"fints3client": [0, 1, 11, 14, 16], "some": [0, 8, 11, 12, 18], "intern": [0, 4, 7, 12], "": [0, 3, 4, 7, 8, 10, 12, 14, 15, 17], "benefici": 0, "across": 0, "invoc": 0, "thi": [0, 1, 2, 5, 6, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18], "includ": [0, 5, 10, 12, 15, 18], "A": [0, 1, 3, 5, 6, 7, 10, 11, 12, 14, 15, 16, 17], "system": 0, "identifi": [0, 7, 12], "uniqu": 0, "particular": 0, "fint": [0, 1, 2, 3, 7, 8, 10, 11, 12, 14, 15], "endpoint": [0, 10, 15], "bank": [0, 1, 5, 9, 10, 12, 14, 15, 16, 17, 18], "paramet": [0, 1, 4, 5, 6, 7, 8, 11, 12, 14, 15, 16], "data": [0, 1, 3, 4, 7, 11, 12, 15, 16], "bpd": [0, 4], "inform": [0, 7, 9, 10, 12, 15, 16], "about": [0, 11, 12], "its": [0, 5, 6], "advertis": 0, "capabl": 0, "user": [0, 10, 11, 12, 15], "upd": [0, 4, 7], "account": [0, 1, 5, 7, 9, 10, 12, 14, 15, 16], "allow": [0, 6, 7, 11, 12], "action": 0, "class": [0, 1, 2, 3, 4, 5, 6, 8, 9, 11, 12, 14, 17], "bank_identifi": [0, 1, 3, 4, 7, 11, 12, 14], "user_id": [0, 1, 3, 7, 11, 12, 14], "customer_id": [0, 1, 4, 11, 12, 14], "none": [0, 1, 3, 4, 5, 6, 7, 8, 11, 12, 14, 15], "from_data": [0, 1, 11, 12, 14, 15], "byte": [0, 1, 3, 4, 6, 7, 11, 12, 14], "product_id": [0, 1, 10, 11, 14], "product_vers": [0, 1, 4, 11, 14], "4": [0, 1, 3, 4, 5, 7, 8, 9, 11, 14, 15], "0": [0, 1, 3, 5, 6, 7, 8, 11, 12, 14, 15, 16, 17, 18], "mode": [0, 1, 9, 11], "fintsclientmod": [0, 1, 11, 14], "interact": [0, 1, 11, 14, 17], "sourc": [0, 1, 3, 4, 5, 6, 7, 11, 12, 14], "deconstruct": [0, 12, 15], "including_priv": [0, 15], "bool": [0, 4, 7, 12], "fals": [0, 1, 6, 12, 14], "return": [0, 1, 3, 4, 5, 6, 8, 11, 12, 14, 15, 16, 17], "fintsclient": 0, "instanc": [0, 5, 8, 10, 12], "an": [0, 5, 6, 7, 8, 11, 12, 14, 15, 16], "opaqu": 0, "datablob": [0, 12], "you": [0, 1, 2, 10, 11, 12, 14, 15, 16, 17, 18], "should": [0, 1, 5, 11, 12, 14, 16, 17], "us": [0, 1, 10, 11, 12, 14, 15, 18], "after": [0, 11, 12], "call": [0, 5, 8, 12], "method": [0, 1, 4, 9, 10, 11, 14, 16, 17], "connect": [0, 11], "i": [0, 1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17], "implicitli": 0, "retriev": [0, 11], "from": [0, 1, 3, 5, 8, 9, 10, 11, 12, 14, 15], "cach": 0, "It": [0, 8, 10, 16, 17], "strictli": 0, "requir": [0, 1, 7, 8, 10, 11, 12, 14, 15, 17], "retain": 0, "session": 0, "If": [0, 6, 11, 12, 14, 15], "possibl": [0, 8, 16], "api": [0, 9, 16], "serial": [0, 2, 9, 16], "befor": [0, 12, 15], "destroi": 0, "provid": [0, 10, 12], "next": [0, 10], "time": [0, 1, 4, 7, 15], "construct": [0, 2, 5, 8, 11], "set": [0, 1, 5, 8, 16], "true": [0, 5, 6, 7, 15], "storag": 0, "suffici": 0, "secur": [0, 9], "regard": 0, "confidenti": 0, "privat": 0, "specif": [0, 5, 8, 12, 15], "number": [0, 5, 7, 8, 11], "name": [0, 1, 4, 5, 7, 10, 11, 12, 14, 15], "most": [0, 11, 15, 16], "often": [0, 15], "case": [0, 10, 15, 17], "note": [0, 11, 12], "No": [0, 8], "neither": 0, "pin": [0, 3, 4, 7, 10, 12, 15], "set_data": 0, "blob": [0, 12, 16], "creat": [0, 8, 9, 14, 16], "onli": [0, 5, 6, 8, 10, 11, 12], "onc": [0, 12], "immedi": 0, "ani": [0, 6, 12, 15, 17], "other": 0, "function": [0, 9], "e": [0, 7, 12, 15, 16, 17], "g": [0, 7, 12, 16, 17], "__enter__": 0, "For": [0, 8, 10, 12], "conveni": [0, 8, 14], "can": [0, 1, 8, 10, 11, 12, 14, 16, 17], "pass": [0, 1, 10, 12, 14, 15, 16], "__init__": 0, "facil": [0, 12], "pure": [0, 9], "option": [0, 5, 8, 11, 12, 16], "read": [0, 1, 9, 14, 16], "oper": [0, 9, 12, 15, 16], "mai": [0, 3, 5, 7, 12], "speed": 0, "up": [0, 10], "process": [0, 7, 12], "becaus": [0, 15], "need": [0, 5, 10, 11, 12, 15, 18], "transmit": [0, 11, 12], "again": 0, "transact": [0, 1, 4, 7, 9, 13, 14, 15, 16], "both": [0, 7, 11], "part": [0, 2, 15, 17], "two": [0, 10, 11, 12], "step": [0, 12, 16], "cannot": [0, 8, 12], "complet": [0, 12], "same": [0, 6], "include_priv": 0, "default": [0, 1, 6, 7, 8, 12, 14, 18], "enabl": [0, 16], "ensur": 0, "privaci": 0, "mostli": [0, 12, 17], "your": [0, 9, 10, 12, 14, 15, 17, 18], "manag": 0, "multipl": [0, 1, 14, 15], "ident": 0, "context": 0, "distinct": 0, "per": 0, "NOT": 0, "all": [0, 1, 2, 5, 6, 7, 8, 10, 11, 12, 14], "happen": 0, "so": [0, 5, 8, 17], "simpl": [0, 9, 11, 15], "librari": [0, 1, 10, 11, 12, 13, 15, 16, 17, 18], "automat": [0, 5, 8], "close": [0, 12, 15], "when": [0, 8, 12, 15, 17, 18], "necessari": [0, 15], "each": [0, 5], "take": [0, 3, 5, 8, 10, 12, 16], "one": [0, 10, 11, 12, 15], "roundtrip": 0, "where": 0, "ar": [0, 1, 8, 10, 12, 14, 16], "perform": [0, 8, 12, 16], "indic": [0, 6], "want": [0, 2, 11, 12, 14], "stand": [0, 12, 17], "explicitli": [0, 5], "enter": [0, 1, 10, 11, 12, 14, 15], "handler": 0, "complement": 0, "follow": [0, 3, 5, 11, 13], "get": [0, 8, 9, 11, 12, 16], "backend": 0, "fints3pintancli": [0, 1, 10, 12, 14, 15], "get_sepa_account": [0, 10, 11, 15], "balanc": [0, 9, 13, 15], "get_bal": [0, 11, 15], "get_transact": [0, 11, 15, 16], "involv": [0, 12], "tan": [0, 1, 4, 7, 9, 10, 11, 13, 14, 15, 16, 17], "issu": [0, 10, 15, 17], "within": [0, 5, 11, 12], "In": [0, 3, 7, 16, 17], "mandatori": 0, "otherwis": [0, 6], "would": 0, "own": [0, 14], "implicit": 0, "pause_dialog": [0, 12, 15], "paus": [0, 15], "save": 0, "sometim": [0, 15], "exampl": [0, 3, 5, 9, 10, 12, 15, 16], "web": 0, "app": [0, 12], "dure": [0, 11], "input": [0, 1, 10, 12, 14, 15], "though": [0, 15], "send": [0, 1, 9, 16], "respons": [0, 1, 3, 4, 5, 7, 8, 12, 14, 15], "origin": 0, "task": 0, "f": [0, 10, 11, 15], "tantimedialogassoci": [0, 7, 12], "not_allow": [0, 7], "freez": 0, "current": [0, 10, 11, 12], "start": [0, 7, 9, 11, 14], "frozen": 0, "command": [0, 10, 17], "must": [0, 6, 7, 12], "conjunct": 0, "caller": 0, "resum": [0, 15], "properli": 0, "end": [0, 3, 8, 10, 14, 15], "reason": [0, 10, 14, 15], "amount": [0, 1, 7, 14, 15], "challeng": [0, 1, 4, 7, 9, 10, 14, 15], "sepa_transf": [0, 12, 14, 16], "dialog_data": [0, 12, 15], "now": [0, 16, 17, 18], "new": [0, 2, 9, 16], "exit": 0, "doe": [0, 15], "client_data": [0, 12, 15], "out": [0, 1, 5, 10, 11, 14], "band": 0, "somewher": 0, "later": 0, "possibli": [0, 11, 12], "differ": [0, 15], "resume_dialog": [0, 12, 15], "send_tan": [0, 1, 10, 12, 14, 15], "here": [0, 17], "unless": 0, "submit": 1, "xml": [1, 11, 14, 15], "file": [1, 10, 11, 12], "sepa_debit": [1, 16], "client": [1, 10, 11, 12, 14, 15, 16, 17], "sepaaccount": [1, 11, 14], "pain_messag": [1, 14], "str": [1, 4, 6, 7, 12, 14], "cor1": [1, 4, 7, 16], "control_sum": [1, 14], "currenc": [1, 4, 7, 11, 14], "eur": [1, 14], "book_as_singl": [1, 14], "pain_descriptor": [1, 14, 16], "urn": [1, 11, 14, 16], "iso": [1, 7, 11, 14, 16], "std": [1, 11, 14, 16], "20022": [1, 11, 14, 16], "tech": [1, 11, 14, 16], "xsd": [1, 11, 14, 16], "pain": [1, 4, 7, 11, 14, 16], "008": [1, 16], "003": [1, 11, 16], "01": [1, 7, 16], "custom": [1, 11, 14], "messag": [1, 3, 5, 6, 7, 12, 14], "contain": [1, 3, 7, 11, 12, 14, 15, 16, 17], "detail": [1, 4, 12, 14], "whether": [1, 6, 8, 14, 15], "lead": 1, "reduc": 1, "1": [1, 3, 4, 5, 7, 8, 9, 11, 12, 13, 15], "dai": [1, 11, 15], "sum": [1, 14], "kindli": [1, 14], "ask": [1, 12, 14, 15, 18], "put": [1, 14], "separ": [1, 14], "line": [1, 10, 12, 14], "statement": [1, 5, 10, 11, 13, 14, 17], "schema": [1, 14], "either": [1, 6, 14], "needretryrespons": [1, 12, 14], "transactionrespons": [1, 14], "task_id": [1, 4], "avail": [1, 7, 10, 12, 15, 16], "our": [1, 3, 11, 14, 15], "chapter": [1, 11, 14, 16], "work": [1, 2, 9, 11, 14, 15, 16, 17, 18], "find": [1, 6, 10, 11, 14, 16], "more": [1, 10, 11, 14, 16], "easili": 1, "gener": [1, 3, 4, 7, 8, 12], "sepaxml": 1, "python": [1, 2, 5, 8, 9], "import": [1, 3, 8, 10, 15, 16], "sepadd": 1, "config": 1, "test": [1, 9, 14, 15], "compani": 1, "iban": [1, 4, 7, 11, 14, 15], "de12345": [1, 14], "bic": [1, 7, 11, 14, 15], "bic12345": [1, 14], "batch": 1, "creditor_id": 1, "testcorpid": 1, "002": 1, "02": [1, 7, 11], "add_pay": 1, "100": [1, 7], "type": [1, 2, 4, 5, 6, 8, 11, 12, 16], "ooff": [1, 7], "frst": [1, 7], "rcur": [1, 7], "fnal": [1, 7], "collection_d": 1, "datetim": [1, 4, 7, 10, 15], "date": [1, 4, 7, 10, 11, 15], "todai": [1, 15], "timedelta": [1, 15], "3": [1, 3, 4, 7, 8, 9, 11, 12, 13, 15], "mandate_id": 1, "fintstest1": 1, "mandate_d": 1, "2018": 1, "7": [1, 4, 7, 14, 15], "26": 1, "descript": [1, 16], "export": 1, "decod": 1, "minimal_interactive_cli_bootstrap": [1, 10, 12, 14, 15], "init_tan_respons": [1, 10, 14, 15, 17], "print": [1, 5, 10, 12, 14, 15], "getattr": [1, 14, 15], "challenge_hhduc": [1, 4, 12, 14, 15], "try": [1, 12, 14, 15], "terminal_flicker_unix": [1, 12, 14, 15], "except": [1, 8, 12, 14, 15], "keyboardinterrupt": [1, 12, 14, 15], "pleas": [1, 10, 12, 14, 15], "re": [1, 12, 14, 15], "decim": [1, 5, 7, 14, 15], "00": [1, 7, 14], "isinst": [1, 14, 15], "needtanrespons": [1, 11, 12, 14, 15, 17], "statu": [1, 4, 7, 12, 14, 15], "improv": 2, "also": [2, 15, 16], "just": [2, 12], "look": [2, 6, 12], "behind": 2, "curtain": 2, "pars": [2, 5, 9, 16], "fints3pars": [2, 3], "fints3seri": [2, 3], "segment": [2, 3, 9], "fints3seg": [2, 3, 4, 5, 6, 8], "sequenc": [2, 3, 9], "segmentsequ": [2, 3, 6], "defin": [2, 9], "base": [2, 5, 8, 12], "field": [2, 5, 8, 12], "helper": 2, "parser": [3, 16], "hbci": [3, 4, 7, 9, 10], "parse_messag": 3, "arrai": 3, "serialize_messag": 3, "list": [3, 4, 5, 6, 7, 8, 11, 12], "usag": [3, 15], "b": [3, 7], "hnhbk": [3, 4, 6], "000000000428": 3, "300": [3, 7], "430711670077": 3, "043999659571cn9d": 3, "2": [3, 4, 7, 8, 9, 11, 13, 15], "043": 3, "999659571cn9d": 3, "hnvsk": [3, 4], "998": 3, "oim3blhv6mqbaadygbppp": 3, "kwraqa": 3, "13": [3, 7], "8": [3, 15], "00000000": 3, "5": [3, 4, 7, 15], "280": [3, 7], "15050500": 3, "herm": 3, "hnvsd": [3, 4], "999": [3, 7], "195": 3, "hnshk": [3, 4], "9166926": 3, "6": [3, 4, 7, 15], "10": [3, 8, 15], "16": [3, 7], "hirmg": [3, 4, 8], "0010": [3, 8], "nachricht": [3, 4, 7], "entgegengenommen": 3, "0100": [3, 8], "dialog": [3, 5, 9, 10, 12, 15, 17], "beendet": 3, "hnsha": [3, 4], "hnhb": [3, 4, 5, 8], "hnhbk3": [3, 4, 6], "header": [3, 5, 8], "formal": [3, 4, 5, 7, 8, 11, 12], "segmenthead": [3, 5, 7, 8], "message_s": [3, 4], "hbci_vers": [3, 4], "dialog_id": [3, 4, 7], "message_numb": [3, 4, 5, 7, 8], "reference_messag": [3, 4], "referencemessag": [3, 4, 7], "hnvsk3": [3, 4], "security_profil": [3, 4], "securityprofil": [3, 4, 7], "security_method": [3, 7], "security_method_vers": [3, 7], "security_funct": [3, 4, 7, 12], "security_rol": [3, 4], "security_identification_detail": [3, 4], "securityidentificationdetail": [3, 4, 7], "name_parti": 3, "cid": [3, 7], "identifier_parti": 3, "security_datetim": [3, 4], "securitydatetim": [3, 4, 7], "datetime_typ": 3, "encryption_algorithm": [3, 4, 7], "encryptionalgorithm": [3, 4, 7], "usage_encrypt": [3, 7], "operation_mod": [3, 7], "algorithm_parameter_valu": [3, 7], "algorithm_parameter_nam": [3, 7], "algorithm_parameter_iv_nam": [3, 7], "key_nam": [3, 4], "keynam": [3, 4, 7], "bankidentifi": [3, 4, 7, 11], "country_identifi": [3, 7], "bank_cod": [3, 7], "key_typ": [3, 7], "key_numb": [3, 7], "key_vers": [3, 7], "compression_funct": [3, 4], "hnvsd1": [3, 4], "hnshk4": [3, 4], "security_refer": [3, 4], "security_application_area": [3, 4], "security_reference_numb": [3, 4], "hash_algorithm": [3, 4, 7], "hashalgorithm": [3, 4, 7], "usage_hash": [3, 7], "signature_algorithm": [3, 4, 7], "signaturealgorithm": [3, 4, 7], "usage_signatur": [3, 7], "hirmg2": [3, 4, 8], "code": [3, 4, 7, 8, 9, 15, 17], "reference_el": [3, 7, 8], "text": [3, 7, 8, 12, 15], "hnsha2": [3, 4], "hnhbs1": [3, 4, 5, 8], "idempot": 3, "empti": [3, 8, 11], "element": 3, "never": 3, "them": 3, "hispa1": 4, "arg": [4, 5, 6, 7, 12], "kwarg": [4, 5, 6, 7, 12], "sepa": [4, 7, 9, 11, 16], "kontoverbindung": [4, 7], "r\u00fcckmelden": 4, "version": [4, 5, 6, 7, 11, 12, 13, 16, 18], "financi": [4, 7], "servic": [4, 7, 10], "schnittstellenspezifik": [4, 7], "multibankf\u00e4hig": [4, 7], "gesch\u00e4ftsvorf\u00e4l": [4, 7], "hispa": 4, "ktz1": [4, 7], "hispas1": 4, "parameterseg": 4, "anfordern": [4, 7], "getsepaaccountparameter1": [4, 7], "hkspa1": 4, "hkspa": 4, "account3": [4, 7], "hipins1": 4, "spezifisch": 4, "informationen": [4, 7], "sicherheitsverfahren": [4, 7], "hipin": 4, "parameterpintan": [4, 7], "hitab4": 4, "anzeigen": 4, "bestand": [4, 7], "r\u00fcckmeldung": 4, "hitab": 4, "tan_media_list": 4, "medium": [4, 7, 12, 16], "tanmedia4": [4, 7, 12], "tan_usage_opt": 4, "tan_einsatzopt": 4, "tanusageopt": [4, 7, 12], "hitab5": 4, "tanmedia5": [4, 7, 12], "hitan2": 4, "zwei": [4, 7, 12], "schritt": [4, 7, 12], "einreichung": 4, "hitan": [4, 12], "ben": 4, "challenge_valid_until": 4, "g\u00fcltigkeitsdatum": [4, 7], "und": [4, 7, 12], "uhrzeit": [4, 7], "f\u00fcr": [4, 7], "challengevaliduntil": [4, 7], "tan_list_numb": [4, 7], "listennumm": [4, 7, 12], "tan_process": [4, 7], "prozess": [4, 7], "task_hash_valu": 4, "auftrag": [4, 7], "hashwert": [4, 7], "task_refer": 4, "auftragsreferenz": 4, "hitan3": 4, "tan_medium_nam": [4, 7], "bezeichnung": [4, 7, 12], "de": [4, 7, 10, 12], "hitan5": 4, "hhd_uc": [4, 7, 12], "hitan6": 4, "hitans1": 4, "hitansbas": 4, "parametertwosteptan1": [4, 7], "hitans2": 4, "parametertwosteptan2": [4, 7], "hitans3": 4, "parametertwosteptan3": [4, 7], "hitans4": 4, "parametertwosteptan4": [4, 7], "hitans5": 4, "parametertwosteptan5": [4, 7], "hitans6": 4, "parametertwosteptan6": [4, 7], "hkidn2": 4, "identifik": [4, 7], "hkidn": 4, "kreditinstitutskennung": [4, 7], "kunden": 4, "id": [4, 7, 9, 11, 14, 18], "system_id": 4, "kundensystem": [4, 7], "system_id_statu": 4, "systemidstatu": [4, 7], "hktab4": 4, "hktab": 4, "tan_media_class": 4, "klass": [4, 7, 12], "tanmediaclass3": [4, 7], "tan_media_typ": 4, "art": [4, 7], "tanmediatype2": [4, 7, 12], "hktab5": 4, "tanmediaclass4": [4, 7, 12], "hktan2": 4, "hktan": 4, "cancel_task": 4, "stornieren": 4, "challenge_class": 4, "int": [4, 6, 7, 8, 12, 15], "further_tan_follow": 4, "weiter": 4, "folgt": 4, "parameter_challenge_class": 4, "parameterchallengeclass": [4, 7], "hktan3": 4, "hktan5": 4, "auftraggeb": [4, 7], "kti1": [4, 7], "segment_typ": 4, "segmentkennung": [4, 5, 7], "sms_charge_account": [4, 7], "sm": [4, 7, 12], "abbuchungskonto": [4, 7, 12], "hktan6": 4, "response_hhd_uc": 4, "antwort": [4, 7], "responsehhduc": [4, 7], "hkvvb3": 4, "verarbeitungsvorbereitung": 4, "hkvvb": 4, "bpd_version": 4, "languag": [4, 7], "dialogsprach": [4, 7], "language2": [4, 7], "product_nam": [4, 11], "produktbezeichnung": 4, "produktvers": 4, "upd_vers": 4, "hibpa3": 4, "bankparamet": 4, "allgemein": 4, "hibpa": 4, "bank_nam": 4, "kreditinstitutsbezeichnung": 4, "max_message_length": 4, "maximal": [4, 7, 12], "nachrichtengr\u00f6\u00df": 4, "max_timeout": 4, "timeout": 4, "wert": [4, 7], "min_timeout": 4, "minimal": [4, 7], "number_task": 4, "anzahl": [4, 7, 12], "gesch\u00e4ftsvorfallarten": 4, "pro": 4, "supported_hbci_vers": 4, "unterst\u00fctzt": [4, 7, 12], "versionen": 4, "supportedhbciversions2": [4, 7], "supported_languag": 4, "sprachen": 4, "supportedlanguages2": [4, 7], "hikom4": 4, "kommunikationszugang": 4, "hikom": 4, "communication_paramet": 4, "kommunikationsparamet": [4, 7], "communicationparameter2": [4, 7], "default_languag": 4, "standardsprach": 4, "hiupa4": 4, "userparamet": 4, "hiupa": 4, "extens": 4, "erweiterung": 4, "upd_usag": 4, "verwendung": [4, 7], "updusag": [4, 7], "user_identifi": 4, "benutzerkennung": 4, "usernam": [4, 10, 15], "benutzernam": 4, "hiupd6": 4, "kontoinformationen": [4, 7], "hiupd": 4, "account_curr": 4, "kontow\u00e4hrung": 4, "account_inform": 4, "accountinform": [4, 7], "account_limit": 4, "kontolimit": 4, "accountlimit": [4, 7], "account_product_nam": 4, "kontoproduktbezeichnung": 4, "account_typ": 4, "kontoart": 4, "allowed_transact": 4, "erlaubt": [4, 7, 12], "allowedtransact": [4, 7], "kontobezogen": 4, "name_account_owner_1": 4, "kontoinhab": 4, "name_account_owner_2": 4, "hkkom4": 4, "hkkom": 4, "end_bank_identifi": 4, "bi": [4, 7], "max_number_respons": 4, "eintr\u00e4g": [4, 7], "start_bank_identifi": 4, "von": [4, 7], "touchdown_point": 4, "aufsetzpunkt": 4, "fints3segmentmeta": 4, "classdict": [4, 7], "containermeta": [4, 7], "mro": 4, "resolut": 4, "order": [4, 5, 8], "max_number_task": 4, "auftr\u00e4g": 4, "min_number_signatur": 4, "signaturen": [4, 7], "mindesten": 4, "security_class": 4, "sicherheitsklass": [4, 7], "securityclass": [4, 7], "parametersegment_22": 4, "batchdebitbas": 4, "request_single_book": 4, "einzelbuchung": [4, 7], "gew\u00fcnscht": 4, "sepa_descriptor": [4, 7], "descriptor": [4, 7], "sepa_pain_messag": 4, "sum_amount": 4, "summenfeld": [4, 7], "amount1": [4, 7], "debitresponsebas": 4, "auftragsidentifik": 4, "hidbs1": 4, "terminiert": [4, 7], "einzellastschriften": [4, 7], "hidb": 4, "task_cancel": 4, "l\u00f6schbar": 4, "task_chang": 4, "\u00e4nderbar": 4, "hidbs2": 4, "sepa_c_cod": 4, "c": [4, 7], "sepaccode1": [4, 7], "status_sepa_task": 4, "statussepatask1": [4, 7], "hidbss1": 4, "hidbss": 4, "queryscheduleddebitparameter1": [4, 7], "hidbss2": 4, "queryscheduleddebitparameter2": [4, 7], "hidmb1": 4, "sammellastschriften": [4, 7], "hidmb": 4, "date_book": 4, "ausf\u00fchrungsdatum": 4, "date_ent": 4, "einreichungsdatum": 4, "debit_count": 4, "der": [4, 7], "summ": 4, "betr\u00e4g": 4, "hidmbs1": 4, "queryscheduledbatchdebitparameter1": [4, 7], "hidmc1": 4, "sammellastschrift": [4, 7], "best\u00e4tigen": 4, "hidmc": 4, "hidmcs1": 4, "scheduledcor1batchdebitparameter1": [4, 7], "hidme1": 4, "hidm": 4, "hidme2": 4, "hidmes1": 4, "einreichen": [4, 7], "scheduledbatchdebitparameter1": [4, 7], "hidmes2": 4, "scheduledbatchdebitparameter2": [4, 7], "hidsc1": 4, "einzellastschrift": [4, 7], "hidsc": 4, "hidscs1": 4, "scheduledcor1debitparameter1": [4, 7], "hidse1": 4, "hids": 4, "hidse2": 4, "hidses1": 4, "scheduleddebitparameter1": [4, 7], "hidses2": 4, "scheduleddebitparameter2": [4, 7], "hkdbs1": 4, "hkdb": 4, "date_end": 4, "datum": [4, 7], "date_start": 4, "supported_sepa_pain_messag": 4, "supportedsepapainmessages1": [4, 7], "hkdbs2": 4, "hkdmb1": 4, "hkdmb": 4, "hkdmc1": 4, "hkdmc": 4, "hkdme1": 4, "hkdme": 4, "hkdme2": 4, "hkdsc1": 4, "hkdsc": 4, "hkdse1": 4, "hkdse": 4, "hkdse2": 4, "hiwpd5": 4, "depotaufstellung": 4, "homebank": [4, 7], "comput": [4, 7], "interfac": [4, 7, 12], "hiwpd": 4, "hold": [4, 9, 13, 15], "hiwpd6": 4, "hkwpd5": 4, "hkwpd": 4, "account2": [4, 7], "w\u00e4hrung": [4, 7], "qualiti": 4, "kursqualit\u00e4t": 4, "hkwpd6": 4, "r\u00fcckmeldungen": 4, "zur": [4, 7, 12], "gesamtnachricht": 4, "hirms2": 4, "zu": [4, 7], "segmenten": 4, "hirm": 4, "hisyn4": 4, "synchronisierungsantwort": 4, "hisyn": 4, "nachrichtennumm": [4, 7], "security_reference_digital_signatur": 4, "sicherheitsreferenznumm": 4, "digital": [4, 7], "signatur": [4, 7, 10], "security_reference_signature_kei": 4, "signierschl\u00fcssel": [4, 7], "hkend1": 4, "dialogend": 4, "hkend": 4, "hksyn3": 4, "synchronisierung": 4, "hksyn": 4, "synchronization_mod": 4, "synchronizationmod": [4, 7], "hipro3": 4, "statusprotokol": 4, "hipro": 4, "refer": [4, 7, 9], "bezugsseg": [4, 5, 7], "bezugsnachricht": 4, "hipro4": 4, "hipros3": 4, "hipros4": 4, "hkpro3": 4, "hkpro": 4, "hkpro4": 4, "nachrichtenkopf": 4, "gr\u00f6\u00dfe": 4, "nach": 4, "verschl\u00fcsselung": 4, "komprimierung": 4, "nachrichtenabschluss": 4, "signaturabschluss": [4, 7], "sicherheitskontrollreferenz": 4, "user_defined_signatur": 4, "benutzerdefiniert": 4, "userdefinedsignatur": [4, 7], "validation_result": 4, "validierungsresultat": 4, "signaturkopf": [4, 7], "certif": [4, 7], "zertifikat": 4, "hashalgorithmu": 4, "schl\u00fcsselnam": 4, "bereich": [4, 7], "sicherheitsapplik": [4, 7], "kodiert": [4, 7], "securityapplicationarea": [4, 7], "sicherheitsdatum": 4, "sicherheitsfunkt": [4, 7], "sicherheitsidentifik": 4, "sicherheitsprofil": [4, 7], "roll": [4, 7], "sicherheitslieferanten": [4, 7], "securityrol": [4, 7], "signaturalgorithmu": 4, "verschl\u00fcsselt": [4, 7], "daten": [4, 7], "verschl\u00fcsselungskopf": 4, "komprimierungsfunkt": [4, 7], "compressionfunct": [4, 7], "verschl\u00fcsselungsalgorithmu": 4, "hisal5": 4, "saldenr\u00fcckmeldung": 4, "hisal": 4, "account_product": 4, "available_amount": 4, "verf\u00fcgbar": [4, 7], "betrag": [4, 7, 12], "balance_book": 4, "gebucht": [4, 7], "balance1": [4, 7], "balance_pend": 4, "vorgemerkten": 4, "ums\u00e4tz": [4, 7], "booking_d": 4, "buchungsdatum": 4, "booking_tim": 4, "buchungsuhrzeit": 4, "date_du": 4, "f\u00e4lligkeit": 4, "line_of_credit": 4, "kreditlini": 4, "used_amount": 4, "bereit": 4, "verf\u00fcgter": 4, "hisal6": 4, "balance2": [4, 7], "booking_timestamp": 4, "buchungszeitpunkt": 4, "timestamp1": [4, 7], "overdraft": 4, "\u00fcberziehung": 4, "hisal7": 4, "hksal5": 4, "saldenabfrag": 4, "hksal": 4, "all_account": 4, "konten": 4, "hksal6": 4, "hksal7": 4, "dikku2": 4, "kreditkartenums\u00e4tz": [4, 7], "revers": [4, 7], "engin": [4, 7], "dikku": 4, "dikkus2": 4, "querycreditcardstatements2": [4, 7], "dkkku2": 4, "dkkku": 4, "credit_card_numb": 4, "kreditkartennumm": 4, "subaccount": [4, 11], "hicaz1": 4, "kontoums\u00e4tz": 4, "zeitraum": [4, 7], "hicaz": 4, "camt_descriptor": 4, "camt": [4, 7, 11], "deskriptor": 4, "statement_book": 4, "bookedcamtstatements1": [4, 7], "statement_pend": 4, "nicht": [4, 7], "hikaz5": 4, "hikaz": 4, "hikaz6": 4, "hikaz7": 4, "hkcaz1": 4, "hkcaz": 4, "supported_camt_messag": 4, "supportedmessagetyp": [4, 7], "hkkaz5": 4, "hkkaz": 4, "hkkaz6": 4, "hkkaz7": 4, "hiccms1": 4, "sammel\u00fcberweisung": [4, 7], "hiccm": 4, "batchtransferparameter1": [4, 7], "hkccm1": 4, "hkccm": 4, "hkccs1": 4, "einzel\u00fcberweisung": 4, "hkcc": 4, "hkipm1": 4, "instant": [4, 14], "hkipm": 4, "hkipz1": 4, "hkipz": 4, "core": 5, "commun": [5, 10, 11], "workhors": 5, "ha": [5, 11, 12, 16], "fix": 5, "format": [5, 7, 8, 12, 16], "which": [5, 8, 10, 11, 12], "anoth": 5, "relat": 5, "The": [5, 6, 8, 9, 10, 11, 12, 13, 15, 16, 18], "nest": [5, 6, 11], "structur": [5, 16], "group": 5, "exact": 5, "depend": [5, 12], "deriv": 5, "specifi": [5, 6], "attribut": [5, 12], "Will": 5, "determin": 5, "subclass": [5, 8, 12], "consist": 5, "uppercas": 5, "charact": [5, 12], "digit": [5, 12], "instead": [5, 11, 16], "classmethod": [5, 7, 12], "find_subclass": 5, "given": [5, 6, 8], "match": [5, 6], "segmentkopf": [5, 7], "print_nest": [5, 6, 8], "stream": [5, 6], "level": [5, 6, 10, 15, 16], "indent": [5, 6], "prefix": [5, 6], "first_level_ind": [5, 6], "trailer": [5, 6], "print_doc": [5, 6], "first_line_suffix": [5, 6], "object": [5, 6, 8, 9, 11, 12], "eval": 5, "abl": [5, 15], "reconstruct": 5, "emploi": 5, "dynam": 5, "program": [5, 10], "techniqu": 5, "convers": 5, "etc": 5, "place": [5, 16], "basic": [5, 17], "behav": 5, "expect": [5, 17], "nativ": 5, "datatyp": 5, "consid": 5, "dataelementfield": [5, 7], "num": [5, 7], "max_length": [5, 7, 8], "might": [5, 10, 15, 17], "output": [5, 16], "modul": [5, 7], "auth": [5, 7], "debit": [5, 7, 9, 13, 15, 16], "depot": 5, "journal": 5, "saldo": [5, 7], "transfer": [5, 9, 13, 15, 16], "search": 6, "recurs": [6, 8], "find_segment_first": 6, "first": [6, 10, 11, 12, 15], "find_seg": 6, "found": [6, 15], "find_segment_highest_vers": 6, "queri": 6, "callback": 6, "highest": 6, "throw": 6, "yield": 6, "iter": 6, "tupl": [6, 11, 12], "string": 6, "callabl": 6, "sole": 6, "argument": [6, 8, 15, 16], "boolean": [6, 11], "segmentsequencefield": [6, 7], "valu": [6, 7, 8, 12], "fintsnoresponseerror": 6, "thrown": 6, "result": [6, 8, 9, 12], "AND": 6, "combin": 6, "render_byt": 6, "length": [7, 8], "min_length": 7, "count": 7, "min_count": 7, "max_count": 7, "_d": 7, "render": [7, 8, 12], "typedfield": 7, "valuelist": 7, "parent": 7, "naive_pars": 7, "is_unset": 7, "containerfield": 7, "dataelementgroupfield": 7, "genericfield": 7, "genericgroupfield": 7, "textfield": 7, "txt": 7, "alphanumericfield": 7, "dtausfield": 7, "dta": 7, "numericfield": 7, "zeropaddednumericfield": 7, "digitsfield": 7, "dig": [7, 15], "floatfield": 7, "float": 7, "amountfield": 7, "wrt": 7, "binaryfield": 7, "bin": [7, 10], "idfield": 7, "booleanfield": 7, "jn": 7, "codefieldmixin": 7, "enum": 7, "codefield": 7, "intcodefield": 7, "countryfield": 7, "ctr": 7, "currencyfield": 7, "cur": 7, "datefield": 7, "dat": 7, "timefield": 7, "tim": 7, "passwordfield": 7, "sf": 7, "dataelementgroup": 7, "segmentnumm": 7, "segmentvers": 7, "securitymethod": 7, "qualnam": 7, "boundari": 7, "ddv": 7, "rah": 7, "rdh": 7, "identifiedrol": 7, "m": 7, "sender": [7, 14], "mr": 7, "receiv": [7, 12], "identified_rol": 7, "datetimetyp": 7, "st": 7, "sicherheitszeitstempel": 7, "crt": 7, "revoc": 7, "date_time_typ": 7, "usageencrypt": 7, "osi": 7, "owner": [7, 11], "symmetr": 7, "operationmod": 7, "cbc": 7, "cipher": 7, "block": 7, "chain": 7, "iso_9796_1": 7, "9796": 7, "bei": 7, "iso_9796_2_random": 7, "17": 7, "mit": 7, "zufallszahl": 7, "pkcs1v15": 7, "18": 7, "rsassa": 7, "pkc": 7, "v1": 7, "rsae": 7, "pss": 7, "19": 7, "zzz": 7, "gegenseitig": 7, "vereinbart": 7, "retail": 7, "mac": 7, "encryptionalgorithmcod": 7, "twokey3d": 7, "kei": [7, 12], "tripl": 7, "aes256": 7, "14": 7, "ae": 7, "256": 7, "algorithmparameternam": 7, "kye": 7, "symmetrisch": 7, "schl\u00fcssel": 7, "symmetrischem": 7, "kyp": 7, "\u00f6ffentlichem": 7, "algorithmparameterivnam": 7, "ivc": 7, "initi": [7, 10, 15, 17, 18], "clear": [7, 8, 12], "algorithm_parameter_iv_valu": 7, "country_alpha_to_numer": 7, "AT": 7, "040": 7, "BE": 7, "056": 7, "bg": 7, "ca": 7, "124": 7, "ch": 7, "756": 7, "cz": 7, "203": 7, "dk": 7, "208": 7, "724": 7, "eu": 7, "978": 7, "fi": 7, "246": 7, "fr": 7, "250": 7, "gb": 7, "826": 7, "gr": 7, "hr": 7, "191": 7, "hu": 7, "348": 7, "ie": 7, "372": 7, "352": 7, "IT": [7, 18], "380": 7, "jp": 7, "392": 7, "li": 7, "438": 7, "lu": 7, "442": 7, "nl": 7, "528": 7, "pl": 7, "616": 7, "pt": 7, "620": 7, "ro": 7, "642": 7, "ru": 7, "643": 7, "se": 7, "752": 7, "si": 7, "705": 7, "sk": 7, "703": 7, "tr": 7, "792": 7, "u": [7, 15, 18], "840": 7, "country_numeric_to_alpha": 7, "276": 7, "keytyp": 7, "schl\u00fcsselart": 7, "d": 7, "erzeugung": 7, "v": 7, "chiffrierschl\u00fcssel": 7, "certificate_typ": 7, "certificate_cont": 7, "util": [7, 10, 12, 15], "password": 7, "account_numb": [7, 11], "subaccount_numb": [7, 11], "limit_typ": 7, "limit_amount": 7, "limit_dai": 7, "required_signatur": 7, "zeitversetzt": 7, "dialog\u00fcbergreifend": 7, "beid": 7, "verfahren": [7, 12], "not_applic": 7, "zutreffend": 7, "allowedformat": [7, 12], "numer": [7, 12], "numerisch": 7, "alphanumer": 7, "alfanumerisch": 7, "tanlistnumberrequir": [7, 12], "NO": 7, "nein": 7, "ye": [7, 13], "ja": 7, "initializationmod": [7, 12], "cleartext_pin_no_tan": 7, "initialisierungsverfahren": 7, "klartext": 7, "ohn": 7, "encrypted_pin_no_tan": 7, "schablon": 7, "mask_02": 7, "reserviert": 7, "zeit": [7, 12], "verwendet": 7, "descriptionrequir": [7, 12], "must_not": 7, "darf": 7, "angegeben": 7, "werden": 7, "kann": 7, "muss": 7, "smschargeaccountrequir": [7, 12], "principalaccountrequir": [7, 12], "auftraggeberkonto": [7, 12], "wenn": 7, "im": [7, 12], "gesch\u00e4ftsvorfal": 7, "enthalten": 7, "taskhashalgorithm": 7, "ripemd_160": 7, "ripemd": 7, "160": 7, "sha_1": 7, "sha": 7, "twostepparameterscommon": [7, 12], "properti": [7, 12], "mechan": [7, 12], "tech_id": 7, "technisch": 7, "twostepparameters1": 7, "max_length_input": [7, 12], "l\u00e4nge": [7, 12], "eingabewert": [7, 12], "allowed_format": [7, 12], "text_return_valu": [7, 12], "belegung": [7, 12], "r\u00fcckgabewert": [7, 12], "max_length_return_valu": [7, 12], "number_of_supported_list": [7, 12], "aktiv": [7, 12], "listen": [7, 12], "multiple_tans_allow": [7, 12], "mehrfach": [7, 12], "tan_time_delayed_allow": 7, "twostepparameters2": [7, 12], "tan_time_dialog_associ": [7, 12], "dialogbezug": [7, 12], "tan_list_number_requir": [7, 12], "erforderlich": [7, 12], "cancel_allow": [7, 12], "auftragsstorno": [7, 12], "challenge_class_requir": [7, 12], "challenge_value_requir": [7, 12], "twostepparameters3": [7, 12], "initialization_mod": [7, 12], "initialisierungsmodu": [7, 12], "description_requir": [7, 12], "supported_media_numb": [7, 12], "medien": [7, 12], "twostepparameters4": 7, "zka_id": [7, 12], "zka": [7, 10, 12], "zka_vers": [7, 12], "sms_charge_account_requir": [7, 12], "challenge_structur": [7, 12], "strukturiert": [7, 12], "twostepparameters5": [7, 12], "principal_account_requir": [7, 12], "twostepparameters6": 7, "response_hhd_uc_requir": 7, "parametertwostepcommon": 7, "onestep_method_allow": 7, "multiple_tasks_allow": 7, "task_hash_algorithm": 7, "hashwertverfahren": 7, "security_profile_bank_signatur": 7, "twostep_paramet": 7, "transactiontanrequir": 7, "tan_requir": 7, "min_pin_length": 7, "max_pin_length": 7, "max_tan_length": 7, "user_id_field_text": 7, "customer_id_field_text": 7, "transaction_tans_requir": 7, "standard": 7, "deutsch": [7, 13, 18], "subset": 7, "codeset": 7, "latin": 7, "en": 7, "englisch": 7, "franz\u00f6sisch": 7, "zv": 7, "is_sepa": 7, "kontoverwendung": 7, "konto": 7, "depotnumm": 7, "unterkontomerkm": 7, "as_sepa_account": 7, "from_sepa_account": 7, "acc": 7, "l\u00e4nderkennzeichen": 7, "kreditinstitutscod": 7, "\u00fcber": 7, "da": 7, "verh\u00e4ltni": 7, "desjenigen": 7, "bez\u00fcglich": 7, "chernden": 7, "die": 7, "sicherheit": 7, "gew\u00e4hrleistet": 7, "wahl": 7, "ist": 7, "bankfachlichen": 7, "auslegung": 7, "respekt": 7, "vom": 7, "vertraglichen": 7, "zustand": 7, "zwischen": 7, "kund": 7, "kreditinstitut": 7, "abh\u00e4ngig": 7, "iss": 7, "erfass": 7, "erstsignatur": 7, "con": 7, "unterst\u00fctz": 7, "zweitsignatur": 7, "wit": 7, "zeug": 7, "\u00fcbermittl": 7, "null": 7, "kein": 7, "kompress": 7, "lzw": 7, "lempel": 7, "ziv": 7, "welch": 7, "com": 7, "optim": 7, "lzss": 7, "lzhuf": 7, "lz": 7, "huffman": 7, "zip": 7, "pkzip": 7, "gzip": 7, "deflat": 7, "http": [7, 9, 10], "www": 7, "org": [7, 9], "zlib": 7, "bzip2": 7, "sourcewar": 7, "cygnu": 7, "dar\u00fcber": 7, "kryptographischen": 7, "verarbeitet": 7, "shm": 7, "nutzdaten": 7, "sht": 7, "gibt": 7, "jede": 7, "den": 7, "erforderlichen": 7, "sicherheitsdienst": 7, "authentik": 7, "auth_adv": 7, "fortgeschritten": 7, "elektronisch": 7, "optional": 7, "zertifikatspr\u00fcfung": 7, "non_repud": 7, "non": [7, 8], "repudi": 7, "non_repud_qu": 7, "bzw": 7, "qualifiziert": 7, "zwingend": 7, "kennzeichen": 7, "daf\u00fcr": 7, "wie": 7, "diejenigen": 7, "interpretieren": 7, "sind": 7, "beschreibung": 7, "unter": 7, "erlaubten": 7, "gesch\u00e4ftsvorf\u00e4llen": 7, "aufgef\u00fchrt": 7, "upd_conclus": 7, "aufgef\u00fchrten": 7, "gesperrt": 7, "upd_inconclus": 7, "aussag": 7, "m\u00f6glich": 7, "ob": 7, "dies": 7, "oder": 7, "id_unnecessari": 7, "wird": 7, "ben\u00f6tigt": 7, "id_necessari": 7, "synchronisierungsmodu": 7, "new_system_id": 7, "neue": 7, "zur\u00fcckmelden": 7, "last_messag": 7, "letzt": 7, "signature_id": 7, "creditdebit2": 7, "soll": 7, "haben": 7, "credit": 7, "credit_debit": 7, "as_mt940_bal": 7, "zeitstempel": 7, "activ": [7, 12], "l": 7, "mobil": [7, 13], "mobiltelefon": 7, "mobiletan": 7, "secod": 7, "bilater": 7, "tanmediumstatu": 7, "active_successor": 7, "folgekart": 7, "available_successor": 7, "tan_medium_class": 7, "card_numb": 7, "kartennumm": 7, "card_sequ": 7, "kartenfolgenumm": 7, "card_typ": 7, "kartenart": 7, "kontonumm": 7, "valid_from": 7, "g\u00fcltig": 7, "ab": 7, "valid_until": 7, "mobile_number_mask": 7, "mobiltelefonnumm": 7, "verschleiert": 7, "mobile_numb": 7, "number_free_tan": 7, "freie": 7, "last_us": 7, "benutzung": 7, "active_sinc": 7, "freigeschaltet": 7, "am": 7, "einsatzopt": 7, "all_act": 7, "aktiven": 7, "parallel": 7, "nutzen": 7, "exactly_on": 7, "genau": 7, "ein": 7, "einer": 7, "mobile_and_gener": 7, "einen": 7, "atc": 7, "ac": 7, "applic": [7, 10, 18], "cryptogram": 7, "ef_id_data": 7, "ef_id": 7, "cvr": 7, "version_info_chiptan": 7, "versionsinfo": 7, "chiptan": [7, 12], "applik": 7, "max_transfer_count": 7, "credittransfertransactioninform": 7, "sum_amount_requir": 7, "single_booking_allow": 7, "servicetype2": 7, "t_onlin": 7, "t": [7, 17, 18], "onlin": [7, 9], "tcp_ip": 7, "tcp": 7, "ip": 7, "protokollstack": 7, "slip": 7, "ppp": 7, "service_typ": 7, "kommunikationsdienst": 7, "address": 7, "kommunikationsadress": 7, "address_adjunct": 7, "kommunikationsadresszusatz": 7, "filter_funct": 7, "filterfunkt": 7, "filter_function_vers": 7, "min_advance_notice_fnal_rcur": 7, "vorlaufzeit": 7, "max_advance_notice_fnal_rcur": 7, "min_advance_notice_frst_ooff": 7, "max_advance_notice_frst_ooff": 7, "min_advance_notic": 7, "lastschrift": 7, "max_advance_notic": 7, "allowed_purpose_cod": 7, "zul\u00e4ssig": 7, "purpos": 7, "supported_sepa_format": [7, 11], "datenform": 7, "max_debit_count": 7, "directdebittransf": 7, "transactioninform": 7, "date_range_allow": 7, "max_number_responses_allow": 7, "eingab": 7, "cutoff_dai": 7, "vorhaltezeit": 7, "delet": 7, "pend": [7, 11, 12], "terminierung": 7, "declin": 7, "abgelehnt": 7, "erster": 7, "inkassostel": 7, "in_progress": 7, "bearbeitung": 7, "creditoren": 7, "seitig": 7, "buchung": 7, "veranlasst": 7, "revok": 7, "r": 7, "transakt": 7, "wurd": 7, "single_account_query_allow": 7, "einzelkontenabruf": 7, "national_account_allow": 7, "national": 7, "structured_purpose_allow": 7, "verwendungszweck": 7, "expected_typ": 7, "camt_stat": 7, "constructor": 8, "subfield": 8, "consum": 8, "appropri": [8, 12], "restrict": 8, "check": [8, 10, 12, 15], "abc": 8, "valueerror": 8, "invalid": 8, "liter": 8, "12345": 8, "exceed": 8, "everi": [8, 12, 17], "make": [8, 15], "unset": 8, "condition": 8, "still": [8, 17], "fill": [8, 10, 11], "access": [8, 10, 11, 12, 15], "alwai": [8, 17], "without": [8, 15], "encount": 8, "wai": [8, 15], "keyword": 8, "assign": [8, 10, 18], "present": 8, "manual": 8, "42": 8, "foo": [8, 14], "have": [8, 12, 13, 15, 18], "variabl": 8, "These": [8, 16], "treat": 8, "minimum": 8, "maximum": 8, "obei": 8, "beyond": 8, "ad": [8, 16], "maintain": 8, "correct": 8, "2342": 8, "target": [9, 15], "pypi": 9, "implement": [9, 10, 17], "formerli": 9, "known": 9, "protocol": [9, 15], "commonli": 9, "support": [9, 10, 12, 15, 17], "german": [9, 10, 18], "regist": [9, 18], "product": [9, 11, 18], "fetch": [9, 10, 15, 16], "store": [9, 16], "restor": [9, 16], "state": [9, 16], "keep": 9, "open": [9, 10, 12, 15], "flicker": [9, 15], "optitan": 9, "phototan": [9, 13], "advanc": 9, "full": [9, 15, 16], "legaci": 9, "upgrad": 9, "x": [9, 13], "troubleshoot": 9, "bug": 9, "report": 9, "As": 10, "septemb": 10, "14th": 10, "2019": [10, 17], "pdf": 10, "form": [10, 12], "week": 10, "complianc": 10, "european": 10, "union": 10, "2nd": 10, "payment": [10, 14], "direct": [10, 13], "psd2": [10, 15, 17], "mandat": 10, "transpar": 10, "see": [10, 12], "cna": 10, "well": [10, 15], "registr": [10, 18], "websit": 10, "instal": 10, "pip3": 10, "Then": 10, "blz": [10, 11, 15], "log": [10, 15, 16], "chip": 10, "card": 10, "getpass": [10, 15], "basicconfig": [10, 15], "debug": [10, 15, 16], "123456789": 10, "myusernam": 10, "login": 10, "pintan": 10, "gad": 10, "cgi": 10, "hbciservlet": 10, "abov": 10, "sinc": [10, 15, 17, 18], "almost": 10, "readi": [10, 15], "deal": 10, "quick": 10, "we": [10, 12, 15, 17], "minim": 10, "help": [10, 15], "choos": [10, 12, 15], "real": 10, "let": [10, 15], "go": 10, "page": [10, 11], "what": [10, 15, 17], "actual": [11, 15], "model": 11, "accountnumb": 11, "mani": [11, 12, 15], "further": [11, 15], "show": 11, "meta": 11, "get_inform": [11, 15, 16], "doubt": 11, "like": 11, "info": 11, "dictionari": [11, 12], "supported_oper": 11, "dict": 11, "fintsoper": 11, "supported_format": 11, "001": [11, 14, 16], "03": [11, 14, 16], "sub": 11, "owner_nam": 11, "mt940": 11, "mt": 11, "940": 11, "document": [11, 15], "certain": 11, "timefram": 11, "start_dat": 11, "end_dat": 11, "last": [11, 15], "get_transactions_xml": [11, 15], "052": 11, "book": 11, "bytestr": 11, "second": [11, 12], "get_hold": [11, 15], "isin": 11, "market_valu": 11, "value_symbol": 11, "valuation_d": 11, "piec": 11, "total_valu": 11, "acquisitionpric": 11, "authent": 12, "move": 12, "monei": 12, "chang": [12, 15, 16, 17, 18], "multitud": 12, "paper": 12, "smartcard": 12, "reader": 12, "smartphon": 12, "do": [12, 15, 17, 18], "get_tan_mechan": [12, 16], "map": 12, "three": 12, "vari": 12, "friendli": 12, "displai": 12, "To": [12, 15], "select": 12, "set_tan_mechan": [12, 16], "media": 12, "get_tan_media": 12, "set_tan_medium": [12, 16], "how": 12, "persist": 12, "server": 12, "get_current_tan_mechan": 12, "implemented_hktan_vers": 12, "twostepparamet": 12, "media_typ": 12, "media_class": 12, "tan_medium": 12, "proce": 12, "continu": 12, "been": [12, 13, 16], "command_seg": 12, "tan_request": 12, "resume_method": 12, "tan_request_structur": 12, "textual": 12, "challenge_html": 12, "html": 12, "safe": 12, "challenge_matrix": 12, "matrix": 12, "mime_typ": 12, "challenge_raw": 12, "raw": 12, "get_data": 12, "compress": 12, "repres": 12, "human": 12, "readabl": 12, "instruct": 12, "nicer": 12, "prefer": 12, "primari": 12, "content": 12, "guarante": 12, "proper": 12, "clean": 12, "bleach": 12, "thei": [12, 15], "mark_saf": 12, "django": 12, "devic": 12, "hand": 12, "held": 12, "unidirect": 12, "coupl": [12, 16], "optic": 12, "unix": 12, "termin": 12, "challenge_hhd_uc": 12, "hhd": [12, 15], "field_width": 12, "space_width": 12, "height": 12, "wait": 12, "05": 12, "encod": 12, "width": 12, "space": 12, "interv": 12, "between": [12, 15], "probabl": [12, 15], "catch": 12, "abort": 12, "imag": 12, "write": 12, "png": 12, "wb": 12, "writer": 12, "obtain": 12, "confirm": 12, "respond": 12, "factori": 12, "extern": 12, "retri": 12, "concret": 12, "typic": 12, "togeth": 12, "tan_data": 12, "request": 12, "third": 12, "postbank": 13, "bbbank": 13, "eg": 13, "sparkass": 13, "heidelberg": 13, "comdirect": 13, "902": 13, "921": 13, "pushtan": 13, "930": 13, "942": 13, "962": 13, "smart": 13, "plu": 13, "manuel": 13, "972": 13, "optisch": 13, "old": 13, "cortalconsor": 13, "gl": 13, "dkb": 13, "ing": 13, "diba": 13, "netbank": 13, "nibc": 13, "triodo": 13, "volksbank": 13, "fiducia": 13, "w\u00fcstenrot": 13, "1822direkt": 13, "darmstadt": 13, "s\u00fcdhessen": 13, "skatbank": 13, "mlp": 13, "ag": 13, "simple_sepa_transf": [14, 15, 16], "recipient_nam": [14, 15], "account_nam": [14, 15], "instant_pay": 14, "endtoend_id": [14, 15], "notprovid": [14, 15], "recipi": [14, 15], "suppli": [14, 18], "birthdai": 14, "gift": 14, "long": 15, "complic": 15, "leav": 15, "thing": 15, "interpret": 15, "implementor": 15, "even": 15, "realli": 15, "valid": [15, 16], "hard": 15, "imposs": 15, "therefor": 15, "patienc": 15, "deeper": 15, "run": 15, "troubl": 15, "yourself": 15, "veri": [15, 17, 18], "question": 15, "me": 15, "answer": 15, "attach": 15, "script": 15, "below": 15, "affect": [15, 17], "featur": [15, 16], "apart": 15, "credenti": 15, "top": 15, "modif": 15, "past": 15, "bit": 15, "jupyt": 15, "notebook": [15, 17], "comment": 15, "compat": 15, "feel": 15, "free": 15, "sure": 15, "titl": 15, "fail": 15, "someth": 15, "wrong": 15, "reproduc": 15, "problem": 15, "post": 15, "anyth": 15, "github": 15, "similarli": 15, "sensit": 15, "sy": 15, "fintsunsupportedoper": 15, "client_arg": 15, "replacem": 15, "def": 15, "ask_for_tan": 15, "len": 15, "els": 15, "mm": 15, "enumer": 15, "choic": 15, "strip": 15, "while": 15, "30": 15, "120": 15, "schedul": 15, "o": 15, "break": [15, 18], "elif": 15, "get_scheduled_debit": 15, "9": 15, "get_status_protocol": 15, "seen": 16, "major": 16, "rewrit": 16, "lot": 16, "know": [16, 17], "get_stat": 16, "wa": [16, 17, 18], "renam": 16, "start_simple_sepa_transf": 16, "longer": [16, 17], "start_sepa_transf": 16, "start_sepa_debit": 16, "get_tan_metho": 16, "chosen": 16, "syntax": 16, "much": 16, "easier": 16, "robust": 16, "exchang": 16, "great": 16, "multi": 16, "stateless": 16, "environ": 16, "releas": [17, 18], "made": [17, 18], "adjust": 17, "port": 17, "handl": 17, "gracefulli": 17, "everyth": 17, "outsid": 17, "deprec": 17, "few": 17, "didn": [17, 18], "disabl": 17, "repl": 17, "introduc": 18, "kreditwirtschaft": 18, "associ": 18, "built": 18, "stop": 18, "undermind": 18, "whole": 18, "point": 18, "prior": 18, "deactiv": 18}, "objects": {"fints.client": [[12, 0, 1, "", "NeedRetryResponse"], [12, 0, 1, "", "NeedTANResponse"]], "fints.client.NeedRetryResponse": [[12, 1, 1, "", "from_data"]], "fints.client.NeedTANResponse": [[12, 2, 1, "", "challenge"], [12, 2, 1, "", "challenge_hhduc"], [12, 2, 1, "", "challenge_html"], [12, 2, 1, "", "challenge_matrix"], [12, 2, 1, "", "challenge_raw"], [12, 1, 1, "", "get_data"]], "fints": [[7, 3, 0, "-", "fields"], [7, 3, 0, "-", "formals"], [7, 3, 0, "-", "types"]], "fints.fields": [[7, 0, 1, "", "AlphanumericField"], [7, 0, 1, "", "AmountField"], [7, 0, 1, "", "BinaryField"], [7, 0, 1, "", "BooleanField"], [7, 0, 1, "", "CodeField"], [7, 0, 1, "", "CodeFieldMixin"], [7, 0, 1, "", "ContainerField"], [7, 0, 1, "", "CountryField"], [7, 0, 1, "", "CurrencyField"], [7, 0, 1, "", "DTAUSField"], [7, 0, 1, "", "DataElementField"], [7, 0, 1, "", "DataElementGroupField"], [7, 0, 1, "", "DateField"], [7, 0, 1, "", "DigitsField"], [7, 0, 1, "", "FloatField"], [7, 0, 1, "", "GenericField"], [7, 0, 1, "", "GenericGroupField"], [7, 0, 1, "", "IDField"], [7, 0, 1, "", "IntCodeField"], [7, 0, 1, "", "NumericField"], [7, 0, 1, "", "PasswordField"], [7, 0, 1, "", "SegmentSequenceField"], [7, 0, 1, "", "TextField"], [7, 0, 1, "", "TimeField"], [7, 0, 1, "", "ZeroPaddedNumericField"]], "fints.fields.AlphanumericField": [[7, 2, 1, "", "type"]], "fints.fields.AmountField": [[7, 2, 1, "", "type"]], "fints.fields.BinaryField": [[7, 2, 1, "", "type"]], "fints.fields.BooleanField": [[7, 2, 1, "", "type"]], "fints.fields.CodeField": [[7, 2, 1, "", "type"]], "fints.fields.CountryField": [[7, 2, 1, "", "type"]], "fints.fields.CurrencyField": [[7, 2, 1, "", "type"]], "fints.fields.DTAUSField": [[7, 2, 1, "", "type"]], "fints.fields.DateField": [[7, 2, 1, "", "type"]], "fints.fields.DigitsField": [[7, 2, 1, "", "type"]], "fints.fields.FloatField": [[7, 2, 1, "", "type"]], "fints.fields.GenericField": [[7, 2, 1, "", "type"]], "fints.fields.GenericGroupField": [[7, 2, 1, "", "type"]], "fints.fields.IDField": [[7, 2, 1, "", "type"]], "fints.fields.IntCodeField": [[7, 2, 1, "", "type"]], "fints.fields.NumericField": [[7, 2, 1, "", "type"]], "fints.fields.PasswordField": [[7, 2, 1, "", "type"]], "fints.fields.SegmentSequenceField": [[7, 2, 1, "", "type"]], "fints.fields.TextField": [[7, 2, 1, "", "type"]], "fints.fields.TimeField": [[7, 2, 1, "", "type"]], "fints.fields.ZeroPaddedNumericField": [[7, 2, 1, "", "type"]], "fints.formals": [[7, 0, 1, "", "Account2"], [7, 0, 1, "", "Account3"], [7, 0, 1, "", "AccountInformation"], [7, 0, 1, "", "AccountLimit"], [7, 0, 1, "", "AlgorithmParameterIVName"], [7, 0, 1, "", "AlgorithmParameterName"], [7, 0, 1, "", "AllowedFormat"], [7, 0, 1, "", "AllowedTransaction"], [7, 0, 1, "", "Amount1"], [7, 0, 1, "", "Balance1"], [7, 0, 1, "", "Balance2"], [7, 0, 1, "", "BankIdentifier"], [7, 0, 1, "", "BatchTransferParameter1"], [7, 0, 1, "", "BookedCamtStatements1"], [7, 0, 1, "", "Certificate"], [7, 0, 1, "", "ChallengeValidUntil"], [7, 0, 1, "", "CommunicationParameter2"], [7, 0, 1, "", "CompressionFunction"], [7, 0, 1, "", "CreditDebit2"], [7, 0, 1, "", "DataElementGroup"], [7, 0, 1, "", "DateTimeType"], [7, 0, 1, "", "DescriptionRequired"], [7, 0, 1, "", "EncryptionAlgorithm"], [7, 0, 1, "", "EncryptionAlgorithmCoded"], [7, 0, 1, "", "GetSEPAAccountParameter1"], [7, 0, 1, "", "HashAlgorithm"], [7, 0, 1, "", "IdentifiedRole"], [7, 0, 1, "", "InitializationMode"], [7, 0, 1, "", "KTI1"], [7, 0, 1, "", "KTZ1"], [7, 0, 1, "", "KeyName"], [7, 0, 1, "", "KeyType"], [7, 0, 1, "", "Language2"], [7, 0, 1, "", "OperationMode"], [7, 0, 1, "", "ParameterChallengeClass"], [7, 0, 1, "", "ParameterPinTan"], [7, 0, 1, "", "ParameterTwostepCommon"], [7, 0, 1, "", "ParameterTwostepTAN1"], [7, 0, 1, "", "ParameterTwostepTAN2"], [7, 0, 1, "", "ParameterTwostepTAN3"], [7, 0, 1, "", "ParameterTwostepTAN4"], [7, 0, 1, "", "ParameterTwostepTAN5"], [7, 0, 1, "", "ParameterTwostepTAN6"], [7, 0, 1, "", "PrincipalAccountRequired"], [7, 0, 1, "", "QueryCreditCardStatements2"], [7, 0, 1, "", "QueryScheduledBatchDebitParameter1"], [7, 0, 1, "", "QueryScheduledDebitParameter1"], [7, 0, 1, "", "QueryScheduledDebitParameter2"], [7, 0, 1, "", "ReferenceMessage"], [7, 0, 1, "", "Response"], [7, 0, 1, "", "ResponseHHDUC"], [7, 0, 1, "", "SEPACCode1"], [7, 0, 1, "", "SMSChargeAccountRequired"], [7, 0, 1, "", "ScheduledBatchDebitParameter1"], [7, 0, 1, "", "ScheduledBatchDebitParameter2"], [7, 0, 1, "", "ScheduledCOR1BatchDebitParameter1"], [7, 0, 1, "", "ScheduledCOR1DebitParameter1"], [7, 0, 1, "", "ScheduledDebitParameter1"], [7, 0, 1, "", "ScheduledDebitParameter2"], [7, 0, 1, "", "SecurityApplicationArea"], [7, 0, 1, "", "SecurityClass"], [7, 0, 1, "", "SecurityDateTime"], [7, 0, 1, "", "SecurityIdentificationDetails"], [7, 0, 1, "", "SecurityMethod"], [7, 0, 1, "", "SecurityProfile"], [7, 0, 1, "", "SecurityRole"], [7, 0, 1, "", "SegmentHeader"], [7, 0, 1, "", "ServiceType2"], [7, 0, 1, "", "SignatureAlgorithm"], [7, 0, 1, "", "StatusSEPATask1"], [7, 0, 1, "", "SupportedHBCIVersions2"], [7, 0, 1, "", "SupportedLanguages2"], [7, 0, 1, "", "SupportedMessageTypes"], [7, 0, 1, "", "SupportedSEPAPainMessages1"], [7, 0, 1, "", "SynchronizationMode"], [7, 0, 1, "", "SystemIDStatus"], [7, 0, 1, "", "TANListNumberRequired"], [7, 0, 1, "", "TANMedia4"], [7, 0, 1, "", "TANMedia5"], [7, 0, 1, "", "TANMediaClass3"], [7, 0, 1, "", "TANMediaClass4"], [7, 0, 1, "", "TANMediaType2"], [7, 0, 1, "", "TANMediumStatus"], [7, 0, 1, "", "TANTimeDialogAssociation"], [7, 0, 1, "", "TANUsageOption"], [7, 0, 1, "", "TaskHashAlgorithm"], [7, 0, 1, "", "Timestamp1"], [7, 0, 1, "", "TransactionTanRequired"], [7, 0, 1, "", "TwoStepParameters1"], [7, 0, 1, "", "TwoStepParameters2"], [7, 0, 1, "", "TwoStepParameters3"], [7, 0, 1, "", "TwoStepParameters4"], [7, 0, 1, "", "TwoStepParameters5"], [7, 0, 1, "", "TwoStepParameters6"], [7, 0, 1, "", "TwoStepParametersCommon"], [7, 0, 1, "", "UPDUsage"], [7, 0, 1, "", "UsageEncryption"], [7, 0, 1, "", "UserDefinedSignature"]], "fints.formals.Account2": [[7, 2, 1, "", "account_number"], [7, 2, 1, "", "bank_code"], [7, 2, 1, "", "country_identifier"], [7, 1, 1, "", "from_sepa_account"], [7, 2, 1, "", "subaccount_number"]], "fints.formals.Account3": [[7, 2, 1, "", "account_number"], [7, 2, 1, "", "bank_identifier"], [7, 1, 1, "", "from_sepa_account"], [7, 2, 1, "", "subaccount_number"]], "fints.formals.AccountInformation": [[7, 2, 1, "", "account_number"], [7, 2, 1, "", "bank_identifier"], [7, 2, 1, "", "subaccount_number"]], "fints.formals.AccountLimit": [[7, 2, 1, "", "limit_amount"], [7, 2, 1, "", "limit_days"], [7, 2, 1, "", "limit_type"]], "fints.formals.AlgorithmParameterIVName": [[7, 2, 1, "", "IVC"]], "fints.formals.AlgorithmParameterName": [[7, 2, 1, "", "KYE"], [7, 2, 1, "", "KYP"]], "fints.formals.AllowedFormat": [[7, 2, 1, "", "ALPHANUMERIC"], [7, 2, 1, "", "NUMERIC"]], "fints.formals.AllowedTransaction": [[7, 2, 1, "", "limit_amount"], [7, 2, 1, "", "limit_days"], [7, 2, 1, "", "limit_type"], [7, 2, 1, "", "required_signatures"], [7, 2, 1, "", "transaction"]], "fints.formals.Amount1": [[7, 2, 1, "", "amount"], [7, 2, 1, "", "currency"]], "fints.formals.Balance1": [[7, 2, 1, "", "amount"], [7, 1, 1, "", "as_mt940_Balance"], [7, 2, 1, "", "credit_debit"], [7, 2, 1, "", "currency"], [7, 2, 1, "", "date"], [7, 2, 1, "", "time"]], "fints.formals.Balance2": [[7, 2, 1, "", "amount"], [7, 1, 1, "", "as_mt940_Balance"], [7, 2, 1, "", "credit_debit"], [7, 2, 1, "", "date"], [7, 2, 1, "", "time"]], "fints.formals.BankIdentifier": [[7, 2, 1, "", "COUNTRY_ALPHA_TO_NUMERIC"], [7, 2, 1, "", "COUNTRY_NUMERIC_TO_ALPHA"], [7, 2, 1, "", "bank_code"], [7, 2, 1, "", "country_identifier"]], "fints.formals.BatchTransferParameter1": [[7, 2, 1, "", "max_transfer_count"], [7, 2, 1, "", "single_booking_allowed"], [7, 2, 1, "", "sum_amount_required"]], "fints.formals.BookedCamtStatements1": [[7, 2, 1, "", "camt_statements"]], "fints.formals.Certificate": [[7, 2, 1, "", "certificate_content"], [7, 2, 1, "", "certificate_type"]], "fints.formals.ChallengeValidUntil": [[7, 2, 1, "", "date"], [7, 2, 1, "", "time"]], "fints.formals.CommunicationParameter2": [[7, 2, 1, "", "address"], [7, 2, 1, "", "address_adjunct"], [7, 2, 1, "", "filter_function"], [7, 2, 1, "", "filter_function_version"], [7, 2, 1, "", "service_type"]], "fints.formals.CompressionFunction": [[7, 2, 1, "", "BZIP2"], [7, 2, 1, "", "COM"], [7, 2, 1, "", "GZIP"], [7, 2, 1, "", "LZHuf"], [7, 2, 1, "", "LZSS"], [7, 2, 1, "", "LZW"], [7, 2, 1, "", "NULL"], [7, 2, 1, "", "ZIP"], [7, 2, 1, "", "ZZZ"]], "fints.formals.CreditDebit2": [[7, 2, 1, "", "CREDIT"], [7, 2, 1, "", "DEBIT"]], "fints.formals.DateTimeType": [[7, 2, 1, "", "CRT"], [7, 2, 1, "", "STS"]], "fints.formals.DescriptionRequired": [[7, 2, 1, "", "MAY"], [7, 2, 1, "", "MUST"], [7, 2, 1, "", "MUST_NOT"]], "fints.formals.EncryptionAlgorithm": [[7, 2, 1, "", "algorithm_parameter_iv_name"], [7, 2, 1, "", "algorithm_parameter_iv_value"], [7, 2, 1, "", "algorithm_parameter_name"], [7, 2, 1, "", "algorithm_parameter_value"], [7, 2, 1, "", "encryption_algorithm"], [7, 2, 1, "", "operation_mode"], [7, 2, 1, "", "usage_encryption"]], "fints.formals.EncryptionAlgorithmCoded": [[7, 2, 1, "", "AES256"], [7, 2, 1, "", "TWOKEY3DES"]], "fints.formals.GetSEPAAccountParameter1": [[7, 2, 1, "", "national_account_allowed"], [7, 2, 1, "", "single_account_query_allowed"], [7, 2, 1, "", "structured_purpose_allowed"], [7, 2, 1, "", "supported_sepa_formats"]], "fints.formals.HashAlgorithm": [[7, 2, 1, "", "algorithm_parameter_name"], [7, 2, 1, "", "algorithm_parameter_value"], [7, 2, 1, "", "hash_algorithm"], [7, 2, 1, "", "usage_hash"]], "fints.formals.IdentifiedRole": [[7, 2, 1, "", "MR"], [7, 2, 1, "", "MS"]], "fints.formals.InitializationMode": [[7, 2, 1, "", "CLEARTEXT_PIN_NO_TAN"], [7, 2, 1, "", "ENCRYPTED_PIN_NO_TAN"], [7, 2, 1, "", "MASK_02"]], "fints.formals.KTI1": [[7, 2, 1, "", "account_number"], [7, 2, 1, "", "bank_identifier"], [7, 2, 1, "", "bic"], [7, 1, 1, "", "from_sepa_account"], [7, 2, 1, "", "iban"], [7, 2, 1, "", "subaccount_number"]], "fints.formals.KTZ1": [[7, 2, 1, "", "account_number"], [7, 1, 1, "", "as_sepa_account"], [7, 2, 1, "", "bank_identifier"], [7, 2, 1, "", "bic"], [7, 1, 1, "", "from_sepa_account"], [7, 2, 1, "", "iban"], [7, 2, 1, "", "is_sepa"], [7, 2, 1, "", "subaccount_number"]], "fints.formals.KeyName": [[7, 2, 1, "", "bank_identifier"], [7, 2, 1, "", "key_number"], [7, 2, 1, "", "key_type"], [7, 2, 1, "", "key_version"], [7, 2, 1, "", "user_id"]], "fints.formals.KeyType": [[7, 2, 1, "", "D"], [7, 2, 1, "", "S"], [7, 2, 1, "", "V"]], "fints.formals.Language2": [[7, 2, 1, "", "DE"], [7, 2, 1, "", "DEFAULT"], [7, 2, 1, "", "EN"], [7, 2, 1, "", "FR"]], "fints.formals.OperationMode": [[7, 2, 1, "", "CBC"], [7, 2, 1, "", "ISO_9796_1"], [7, 2, 1, "", "ISO_9796_2_RANDOM"], [7, 2, 1, "", "PKCS1V15"], [7, 2, 1, "", "PSS"], [7, 2, 1, "", "ZZZ"]], "fints.formals.ParameterChallengeClass": [[7, 2, 1, "", "parameters"]], "fints.formals.ParameterPinTan": [[7, 2, 1, "", "customer_id_field_text"], [7, 2, 1, "", "max_pin_length"], [7, 2, 1, "", "max_tan_length"], [7, 2, 1, "", "min_pin_length"], [7, 2, 1, "", "transaction_tans_required"], [7, 2, 1, "", "user_id_field_text"]], "fints.formals.ParameterTwostepCommon": [[7, 2, 1, "", "multiple_tasks_allowed"], [7, 2, 1, "", "onestep_method_allowed"], [7, 2, 1, "", "task_hash_algorithm"]], "fints.formals.ParameterTwostepTAN1": [[7, 2, 1, "", "security_profile_bank_signature"], [7, 2, 1, "", "twostep_parameters"]], "fints.formals.ParameterTwostepTAN2": [[7, 2, 1, "", "twostep_parameters"]], "fints.formals.ParameterTwostepTAN3": [[7, 2, 1, "", "twostep_parameters"]], "fints.formals.ParameterTwostepTAN4": [[7, 2, 1, "", "twostep_parameters"]], "fints.formals.ParameterTwostepTAN5": [[7, 2, 1, "", "twostep_parameters"]], "fints.formals.ParameterTwostepTAN6": [[7, 2, 1, "", "twostep_parameters"]], "fints.formals.PrincipalAccountRequired": [[7, 2, 1, "", "MUST"], [7, 2, 1, "", "MUST_NOT"]], "fints.formals.QueryCreditCardStatements2": [[7, 2, 1, "", "cutoff_days"], [7, 2, 1, "", "date_range_allowed"], [7, 2, 1, "", "max_number_responses_allowed"]], "fints.formals.QueryScheduledBatchDebitParameter1": [[7, 2, 1, "", "date_range_allowed"], [7, 2, 1, "", "max_number_responses_allowed"]], "fints.formals.QueryScheduledDebitParameter1": [[7, 2, 1, "", "date_range_allowed"], [7, 2, 1, "", "max_number_responses_allowed"]], "fints.formals.QueryScheduledDebitParameter2": [[7, 2, 1, "", "date_range_allowed"], [7, 2, 1, "", "max_number_responses_allowed"], [7, 2, 1, "", "supported_sepa_formats"]], "fints.formals.ReferenceMessage": [[7, 2, 1, "", "dialog_id"], [7, 2, 1, "", "message_number"]], "fints.formals.Response": [[7, 2, 1, "", "code"], [7, 2, 1, "", "parameters"], [7, 2, 1, "", "reference_element"], [7, 2, 1, "", "text"]], "fints.formals.ResponseHHDUC": [[7, 2, 1, "", "ac"], [7, 2, 1, "", "atc"], [7, 2, 1, "", "cvr"], [7, 2, 1, "", "ef_id_data"], [7, 2, 1, "", "version_info_chiptan"]], "fints.formals.SEPACCode1": [[7, 2, 1, "", "DELETION"], [7, 2, 1, "", "REVERSAL"], [7, 2, 1, "", "REVOCATION"]], "fints.formals.SMSChargeAccountRequired": [[7, 2, 1, "", "MAY"], [7, 2, 1, "", "MUST"], [7, 2, 1, "", "MUST_NOT"]], "fints.formals.ScheduledBatchDebitParameter1": [[7, 2, 1, "", "max_advance_notice_FNAL_RCUR"], [7, 2, 1, "", "max_advance_notice_FRST_OOFF"], [7, 2, 1, "", "max_debit_count"], [7, 2, 1, "", "min_advance_notice_FNAL_RCUR"], [7, 2, 1, "", "min_advance_notice_FRST_OOFF"], [7, 2, 1, "", "single_booking_allowed"], [7, 2, 1, "", "sum_amount_required"]], "fints.formals.ScheduledBatchDebitParameter2": [[7, 2, 1, "", "allowed_purpose_codes"], [7, 2, 1, "", "max_advance_notice"], [7, 2, 1, "", "max_debit_count"], [7, 2, 1, "", "min_advance_notice"], [7, 2, 1, "", "single_booking_allowed"], [7, 2, 1, "", "sum_amount_required"], [7, 2, 1, "", "supported_sepa_formats"]], "fints.formals.ScheduledCOR1BatchDebitParameter1": [[7, 2, 1, "", "allowed_purpose_codes"], [7, 2, 1, "", "max_advance_notice_FNAL_RCUR"], [7, 2, 1, "", "max_advance_notice_FRST_OOFF"], [7, 2, 1, "", "max_debit_count"], [7, 2, 1, "", "min_advance_notice_FNAL_RCUR"], [7, 2, 1, "", "min_advance_notice_FRST_OOFF"], [7, 2, 1, "", "single_booking_allowed"], [7, 2, 1, "", "sum_amount_required"], [7, 2, 1, "", "supported_sepa_formats"]], "fints.formals.ScheduledCOR1DebitParameter1": [[7, 2, 1, "", "allowed_purpose_codes"], [7, 2, 1, "", "max_advance_notice_FNAL_RCUR"], [7, 2, 1, "", "max_advance_notice_FRST_OOFF"], [7, 2, 1, "", "min_advance_notice_FNAL_RCUR"], [7, 2, 1, "", "min_advance_notice_FRST_OOFF"], [7, 2, 1, "", "supported_sepa_formats"]], "fints.formals.ScheduledDebitParameter1": [[7, 2, 1, "", "max_advance_notice_FNAL_RCUR"], [7, 2, 1, "", "max_advance_notice_FRST_OOFF"], [7, 2, 1, "", "min_advance_notice_FNAL_RCUR"], [7, 2, 1, "", "min_advance_notice_FRST_OOFF"]], "fints.formals.ScheduledDebitParameter2": [[7, 2, 1, "", "allowed_purpose_codes"], [7, 2, 1, "", "max_advance_notice"], [7, 2, 1, "", "min_advance_notice"], [7, 2, 1, "", "supported_sepa_formats"]], "fints.formals.SecurityApplicationArea": [[7, 2, 1, "", "SHM"], [7, 2, 1, "", "SHT"]], "fints.formals.SecurityClass": [[7, 2, 1, "", "AUTH"], [7, 2, 1, "", "AUTH_ADV"], [7, 2, 1, "", "NONE"], [7, 2, 1, "", "NON_REPUD"], [7, 2, 1, "", "NON_REPUD_QUAL"]], "fints.formals.SecurityDateTime": [[7, 2, 1, "", "date"], [7, 2, 1, "", "date_time_type"], [7, 2, 1, "", "time"]], "fints.formals.SecurityIdentificationDetails": [[7, 2, 1, "", "cid"], [7, 2, 1, "", "identified_role"], [7, 2, 1, "", "identifier"]], "fints.formals.SecurityMethod": [[7, 2, 1, "", "DDV"], [7, 2, 1, "", "PIN"], [7, 2, 1, "", "RAH"], [7, 2, 1, "", "RDH"]], "fints.formals.SecurityProfile": [[7, 2, 1, "", "security_method"], [7, 2, 1, "", "security_method_version"]], "fints.formals.SecurityRole": [[7, 2, 1, "", "CON"], [7, 2, 1, "", "ISS"], [7, 2, 1, "", "WIT"]], "fints.formals.SegmentHeader": [[7, 2, 1, "", "number"], [7, 2, 1, "", "reference"], [7, 2, 1, "", "type"], [7, 2, 1, "", "version"]], "fints.formals.ServiceType2": [[7, 2, 1, "", "HTTPS"], [7, 2, 1, "", "TCP_IP"], [7, 2, 1, "", "T_ONLINE"]], "fints.formals.SignatureAlgorithm": [[7, 2, 1, "", "operation_mode"], [7, 2, 1, "", "signature_algorithm"], [7, 2, 1, "", "usage_signature"]], "fints.formals.StatusSEPATask1": [[7, 2, 1, "", "DECLINED"], [7, 2, 1, "", "IN_PROGRESS"], [7, 2, 1, "", "PENDING"], [7, 2, 1, "", "PROCESSED"], [7, 2, 1, "", "REVOKED"]], "fints.formals.SupportedHBCIVersions2": [[7, 2, 1, "", "versions"]], "fints.formals.SupportedLanguages2": [[7, 2, 1, "", "languages"]], "fints.formals.SupportedMessageTypes": [[7, 2, 1, "", "expected_type"]], "fints.formals.SupportedSEPAPainMessages1": [[7, 2, 1, "", "sepa_descriptors"]], "fints.formals.SynchronizationMode": [[7, 2, 1, "", "LAST_MESSAGE"], [7, 2, 1, "", "NEW_SYSTEM_ID"], [7, 2, 1, "", "SIGNATURE_ID"]], "fints.formals.SystemIDStatus": [[7, 2, 1, "", "ID_NECESSARY"], [7, 2, 1, "", "ID_UNNECESSARY"]], "fints.formals.TANListNumberRequired": [[7, 2, 1, "", "NO"], [7, 2, 1, "", "YES"]], "fints.formals.TANMedia4": [[7, 2, 1, "", "account"], [7, 2, 1, "", "active_since"], [7, 2, 1, "", "card_number"], [7, 2, 1, "", "card_sequence"], [7, 2, 1, "", "card_type"], [7, 2, 1, "", "last_use"], [7, 2, 1, "", "mobile_number"], [7, 2, 1, "", "mobile_number_masked"], [7, 2, 1, "", "number_free_tans"], [7, 2, 1, "", "sms_charge_account"], [7, 2, 1, "", "status"], [7, 2, 1, "", "tan_list_number"], [7, 2, 1, "", "tan_medium_class"], [7, 2, 1, "", "tan_medium_name"], [7, 2, 1, "", "valid_from"], [7, 2, 1, "", "valid_until"]], "fints.formals.TANMedia5": [[7, 2, 1, "", "account"], [7, 2, 1, "", "active_since"], [7, 2, 1, "", "card_number"], [7, 2, 1, "", "card_sequence"], [7, 2, 1, "", "card_type"], [7, 2, 1, "", "last_use"], [7, 2, 1, "", "mobile_number"], [7, 2, 1, "", "mobile_number_masked"], [7, 2, 1, "", "number_free_tans"], [7, 2, 1, "", "security_function"], [7, 2, 1, "", "sms_charge_account"], [7, 2, 1, "", "status"], [7, 2, 1, "", "tan_list_number"], [7, 2, 1, "", "tan_medium_class"], [7, 2, 1, "", "tan_medium_name"], [7, 2, 1, "", "valid_from"], [7, 2, 1, "", "valid_until"]], "fints.formals.TANMediaClass3": [[7, 2, 1, "", "ALL"], [7, 2, 1, "", "GENERATOR"], [7, 2, 1, "", "LIST"], [7, 2, 1, "", "MOBILE"], [7, 2, 1, "", "SECODER"]], "fints.formals.TANMediaClass4": [[7, 2, 1, "", "ALL"], [7, 2, 1, "", "BILATERAL"], [7, 2, 1, "", "GENERATOR"], [7, 2, 1, "", "LIST"], [7, 2, 1, "", "MOBILE"], [7, 2, 1, "", "SECODER"]], "fints.formals.TANMediaType2": [[7, 2, 1, "", "ACTIVE"], [7, 2, 1, "", "ALL"], [7, 2, 1, "", "AVAILABLE"]], "fints.formals.TANMediumStatus": [[7, 2, 1, "", "ACTIVE"], [7, 2, 1, "", "ACTIVE_SUCCESSOR"], [7, 2, 1, "", "AVAILABLE"], [7, 2, 1, "", "AVAILABLE_SUCCESSOR"]], "fints.formals.TANTimeDialogAssociation": [[7, 2, 1, "", "ALLOWED"], [7, 2, 1, "", "BOTH"], [7, 2, 1, "", "NOT_ALLOWED"], [7, 2, 1, "", "NOT_APPLICABLE"]], "fints.formals.TANUsageOption": [[7, 2, 1, "", "ALL_ACTIVE"], [7, 2, 1, "", "EXACTLY_ONE"], [7, 2, 1, "", "MOBILE_AND_GENERATOR"]], "fints.formals.TaskHashAlgorithm": [[7, 2, 1, "", "NONE"], [7, 2, 1, "", "RIPEMD_160"], [7, 2, 1, "", "SHA_1"]], "fints.formals.Timestamp1": [[7, 2, 1, "", "date"], [7, 2, 1, "", "time"]], "fints.formals.TransactionTanRequired": [[7, 2, 1, "", "tan_required"], [7, 2, 1, "", "transaction"]], "fints.formals.TwoStepParameters1": [[7, 2, 1, "", "allowed_format"], [7, 2, 1, "", "max_length_input"], [7, 2, 1, "", "max_length_return_value"], [7, 2, 1, "", "multiple_tans_allowed"], [7, 2, 1, "", "name"], [7, 2, 1, "", "number_of_supported_lists"], [7, 2, 1, "", "tan_time_delayed_allowed"], [7, 2, 1, "", "text_return_value"]], "fints.formals.TwoStepParameters2": [[7, 2, 1, "", "allowed_format"], [7, 2, 1, "", "cancel_allowed"], [7, 2, 1, "", "challenge_class_required"], [7, 2, 1, "", "challenge_value_required"], [7, 2, 1, "", "max_length_input"], [7, 2, 1, "", "max_length_return_value"], [7, 2, 1, "", "multiple_tans_allowed"], [7, 2, 1, "", "name"], [7, 2, 1, "", "number_of_supported_lists"], [7, 2, 1, "", "tan_list_number_required"], [7, 2, 1, "", "tan_time_dialog_association"], [7, 2, 1, "", "text_return_value"]], "fints.formals.TwoStepParameters3": [[7, 2, 1, "", "allowed_format"], [7, 2, 1, "", "cancel_allowed"], [7, 2, 1, "", "challenge_class_required"], [7, 2, 1, "", "challenge_value_required"], [7, 2, 1, "", "description_required"], [7, 2, 1, "", "initialization_mode"], [7, 2, 1, "", "max_length_input"], [7, 2, 1, "", "max_length_return_value"], [7, 2, 1, "", "multiple_tans_allowed"], [7, 2, 1, "", "name"], [7, 2, 1, "", "number_of_supported_lists"], [7, 2, 1, "", "supported_media_number"], [7, 2, 1, "", "tan_list_number_required"], [7, 2, 1, "", "tan_time_dialog_association"], [7, 2, 1, "", "text_return_value"]], "fints.formals.TwoStepParameters4": [[7, 2, 1, "", "allowed_format"], [7, 2, 1, "", "cancel_allowed"], [7, 2, 1, "", "challenge_class_required"], [7, 2, 1, "", "challenge_structured"], [7, 2, 1, "", "challenge_value_required"], [7, 2, 1, "", "description_required"], [7, 2, 1, "", "initialization_mode"], [7, 2, 1, "", "max_length_input"], [7, 2, 1, "", "max_length_return_value"], [7, 2, 1, "", "multiple_tans_allowed"], [7, 2, 1, "", "name"], [7, 2, 1, "", "number_of_supported_lists"], [7, 2, 1, "", "sms_charge_account_required"], [7, 2, 1, "", "supported_media_number"], [7, 2, 1, "", "tan_list_number_required"], [7, 2, 1, "", "tan_time_dialog_association"], [7, 2, 1, "", "text_return_value"], [7, 2, 1, "", "zka_id"], [7, 2, 1, "", "zka_version"]], "fints.formals.TwoStepParameters5": [[7, 2, 1, "", "allowed_format"], [7, 2, 1, "", "cancel_allowed"], [7, 2, 1, "", "challenge_class_required"], [7, 2, 1, "", "challenge_structured"], [7, 2, 1, "", "description_required"], [7, 2, 1, "", "initialization_mode"], [7, 2, 1, "", "max_length_input"], [7, 2, 1, "", "max_length_return_value"], [7, 2, 1, "", "multiple_tans_allowed"], [7, 2, 1, "", "name"], [7, 2, 1, "", "number_of_supported_lists"], [7, 2, 1, "", "principal_account_required"], [7, 2, 1, "", "sms_charge_account_required"], [7, 2, 1, "", "supported_media_number"], [7, 2, 1, "", "tan_list_number_required"], [7, 2, 1, "", "tan_time_dialog_association"], [7, 2, 1, "", "text_return_value"], [7, 2, 1, "", "zka_id"], [7, 2, 1, "", "zka_version"]], "fints.formals.TwoStepParameters6": [[7, 2, 1, "", "allowed_format"], [7, 2, 1, "", "cancel_allowed"], [7, 2, 1, "", "challenge_class_required"], [7, 2, 1, "", "challenge_structured"], [7, 2, 1, "", "description_required"], [7, 2, 1, "", "initialization_mode"], [7, 2, 1, "", "max_length_input"], [7, 2, 1, "", "max_length_return_value"], [7, 2, 1, "", "multiple_tans_allowed"], [7, 2, 1, "", "name"], [7, 2, 1, "", "principal_account_required"], [7, 2, 1, "", "response_hhd_uc_required"], [7, 2, 1, "", "sms_charge_account_required"], [7, 2, 1, "", "supported_media_number"], [7, 2, 1, "", "tan_time_dialog_association"], [7, 2, 1, "", "text_return_value"], [7, 2, 1, "", "zka_id"], [7, 2, 1, "", "zka_version"]], "fints.formals.TwoStepParametersCommon": [[7, 4, 1, "", "VERSION"], [7, 2, 1, "", "security_function"], [7, 2, 1, "", "tan_process"], [7, 2, 1, "", "tech_id"]], "fints.formals.UPDUsage": [[7, 2, 1, "", "UPD_CONCLUSIVE"], [7, 2, 1, "", "UPD_INCONCLUSIVE"]], "fints.formals.UsageEncryption": [[7, 2, 1, "", "OSY"]], "fints.formals.UserDefinedSignature": [[7, 2, 1, "", "pin"], [7, 2, 1, "", "tan"]], "fints.hhd.flicker": [[12, 5, 1, "", "terminal_flicker_unix"]], "fints.models": [[11, 0, 1, "", "Holding"], [11, 0, 1, "", "SEPAAccount"]], "fints.parser": [[3, 0, 1, "", "FinTS3Parser"], [3, 0, 1, "", "FinTS3Serializer"]], "fints.parser.FinTS3Parser": [[3, 1, 1, "", "parse_message"]], "fints.parser.FinTS3Serializer": [[3, 1, 1, "", "serialize_message"]], "fints.segments": [[4, 3, 0, "-", "accounts"], [4, 3, 0, "-", "auth"], [4, 3, 0, "-", "bank"], [4, 3, 0, "-", "base"], [4, 3, 0, "-", "debit"], [4, 3, 0, "-", "depot"], [4, 3, 0, "-", "dialog"], [4, 3, 0, "-", "journal"], [4, 3, 0, "-", "message"], [4, 3, 0, "-", "saldo"], [4, 3, 0, "-", "statement"], [4, 3, 0, "-", "transfer"]], "fints.segments.accounts": [[4, 0, 1, "", "HISPA1"], [4, 0, 1, "", "HISPAS1"], [4, 0, 1, "", "HKSPA1"]], "fints.segments.accounts.HISPA1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "accounts"]], "fints.segments.accounts.HISPAS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.accounts.HKSPA1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "accounts"]], "fints.segments.auth": [[4, 0, 1, "", "HIPINS1"], [4, 0, 1, "", "HITAB4"], [4, 0, 1, "", "HITAB5"], [4, 0, 1, "", "HITAN2"], [4, 0, 1, "", "HITAN3"], [4, 0, 1, "", "HITAN5"], [4, 0, 1, "", "HITAN6"], [4, 0, 1, "", "HITANS1"], [4, 0, 1, "", "HITANS2"], [4, 0, 1, "", "HITANS3"], [4, 0, 1, "", "HITANS4"], [4, 0, 1, "", "HITANS5"], [4, 0, 1, "", "HITANS6"], [4, 0, 1, "", "HITANSBase"], [4, 0, 1, "", "HKIDN2"], [4, 0, 1, "", "HKTAB4"], [4, 0, 1, "", "HKTAB5"], [4, 0, 1, "", "HKTAN2"], [4, 0, 1, "", "HKTAN3"], [4, 0, 1, "", "HKTAN5"], [4, 0, 1, "", "HKTAN6"], [4, 0, 1, "", "HKVVB3"]], "fints.segments.auth.HIPINS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.auth.HITAB4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "tan_media_list"], [4, 2, 1, "", "tan_usage_option"]], "fints.segments.auth.HITAB5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "tan_media_list"], [4, 2, 1, "", "tan_usage_option"]], "fints.segments.auth.HITAN2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "ben"], [4, 2, 1, "", "challenge"], [4, 2, 1, "", "challenge_valid_until"], [4, 2, 1, "", "tan_list_number"], [4, 2, 1, "", "tan_process"], [4, 2, 1, "", "task_hash_value"], [4, 2, 1, "", "task_reference"]], "fints.segments.auth.HITAN3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "ben"], [4, 2, 1, "", "challenge"], [4, 2, 1, "", "challenge_valid_until"], [4, 2, 1, "", "tan_list_number"], [4, 2, 1, "", "tan_medium_name"], [4, 2, 1, "", "tan_process"], [4, 2, 1, "", "task_hash_value"], [4, 2, 1, "", "task_reference"]], "fints.segments.auth.HITAN5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "ben"], [4, 2, 1, "", "challenge"], [4, 2, 1, "", "challenge_hhduc"], [4, 2, 1, "", "challenge_valid_until"], [4, 2, 1, "", "tan_list_number"], [4, 2, 1, "", "tan_medium_name"], [4, 2, 1, "", "tan_process"], [4, 2, 1, "", "task_hash_value"], [4, 2, 1, "", "task_reference"]], "fints.segments.auth.HITAN6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "challenge"], [4, 2, 1, "", "challenge_hhduc"], [4, 2, 1, "", "challenge_valid_until"], [4, 2, 1, "", "tan_medium_name"], [4, 2, 1, "", "tan_process"], [4, 2, 1, "", "task_hash_value"], [4, 2, 1, "", "task_reference"]], "fints.segments.auth.HITANS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.auth.HITANS2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.auth.HITANS3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.auth.HITANS4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.auth.HITANS5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.auth.HITANS6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.auth.HITANSBase": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.auth.HKIDN2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "bank_identifier"], [4, 2, 1, "", "customer_id"], [4, 2, 1, "", "system_id"], [4, 2, 1, "", "system_id_status"]], "fints.segments.auth.HKTAB4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "tan_media_class"], [4, 2, 1, "", "tan_media_type"]], "fints.segments.auth.HKTAB5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "tan_media_class"], [4, 2, 1, "", "tan_media_type"]], "fints.segments.auth.HKTAN2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "cancel_task"], [4, 2, 1, "", "challenge_class"], [4, 2, 1, "", "further_tan_follows"], [4, 2, 1, "", "parameter_challenge_class"], [4, 2, 1, "", "tan_list_number"], [4, 2, 1, "", "tan_process"], [4, 2, 1, "", "task_hash_value"], [4, 2, 1, "", "task_reference"]], "fints.segments.auth.HKTAN3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "cancel_task"], [4, 2, 1, "", "challenge_class"], [4, 2, 1, "", "further_tan_follows"], [4, 2, 1, "", "parameter_challenge_class"], [4, 2, 1, "", "tan_list_number"], [4, 2, 1, "", "tan_medium_name"], [4, 2, 1, "", "tan_process"], [4, 2, 1, "", "task_hash_value"], [4, 2, 1, "", "task_reference"]], "fints.segments.auth.HKTAN5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "cancel_task"], [4, 2, 1, "", "challenge_class"], [4, 2, 1, "", "further_tan_follows"], [4, 2, 1, "", "parameter_challenge_class"], [4, 2, 1, "", "segment_type"], [4, 2, 1, "", "sms_charge_account"], [4, 2, 1, "", "tan_list_number"], [4, 2, 1, "", "tan_medium_name"], [4, 2, 1, "", "tan_process"], [4, 2, 1, "", "task_hash_value"], [4, 2, 1, "", "task_reference"]], "fints.segments.auth.HKTAN6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "cancel_task"], [4, 2, 1, "", "challenge_class"], [4, 2, 1, "", "further_tan_follows"], [4, 2, 1, "", "parameter_challenge_class"], [4, 2, 1, "", "response_hhd_uc"], [4, 2, 1, "", "segment_type"], [4, 2, 1, "", "sms_charge_account"], [4, 2, 1, "", "tan_medium_name"], [4, 2, 1, "", "tan_process"], [4, 2, 1, "", "task_hash_value"], [4, 2, 1, "", "task_reference"]], "fints.segments.auth.HKVVB3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "bpd_version"], [4, 2, 1, "", "language"], [4, 2, 1, "", "product_name"], [4, 2, 1, "", "product_version"], [4, 2, 1, "", "upd_version"]], "fints.segments.bank": [[4, 0, 1, "", "HIBPA3"], [4, 0, 1, "", "HIKOM4"], [4, 0, 1, "", "HIUPA4"], [4, 0, 1, "", "HIUPD6"], [4, 0, 1, "", "HKKOM4"]], "fints.segments.bank.HIBPA3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "bank_identifier"], [4, 2, 1, "", "bank_name"], [4, 2, 1, "", "bpd_version"], [4, 2, 1, "", "max_message_length"], [4, 2, 1, "", "max_timeout"], [4, 2, 1, "", "min_timeout"], [4, 2, 1, "", "number_tasks"], [4, 2, 1, "", "supported_hbci_version"], [4, 2, 1, "", "supported_languages"]], "fints.segments.bank.HIKOM4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "bank_identifier"], [4, 2, 1, "", "communication_parameters"], [4, 2, 1, "", "default_language"]], "fints.segments.bank.HIUPA4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "extension"], [4, 2, 1, "", "upd_usage"], [4, 2, 1, "", "upd_version"], [4, 2, 1, "", "user_identifier"], [4, 2, 1, "", "username"]], "fints.segments.bank.HIUPD6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account_currency"], [4, 2, 1, "", "account_information"], [4, 2, 1, "", "account_limit"], [4, 2, 1, "", "account_product_name"], [4, 2, 1, "", "account_type"], [4, 2, 1, "", "allowed_transactions"], [4, 2, 1, "", "customer_id"], [4, 2, 1, "", "extension"], [4, 2, 1, "", "iban"], [4, 2, 1, "", "name_account_owner_1"], [4, 2, 1, "", "name_account_owner_2"]], "fints.segments.bank.HKKOM4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "end_bank_identifier"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "start_bank_identifier"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.base": [[5, 0, 1, "", "FinTS3Segment"], [4, 0, 1, "", "FinTS3SegmentMeta"], [4, 0, 1, "", "ParameterSegment"], [4, 0, 1, "", "ParameterSegment_22"]], "fints.segments.base.FinTS3Segment": [[5, 2, 1, "", "TYPE"], [5, 2, 1, "", "VERSION"], [5, 1, 1, "", "find_subclass"], [5, 2, 1, "", "header"], [5, 1, 1, "", "print_nested"]], "fints.segments.base.FinTS3SegmentMeta": [[4, 1, 1, "", "mro"]], "fints.segments.base.ParameterSegment": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "max_number_tasks"], [4, 2, 1, "", "min_number_signatures"], [4, 2, 1, "", "security_class"]], "fints.segments.base.ParameterSegment_22": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "max_number_tasks"], [4, 2, 1, "", "min_number_signatures"]], "fints.segments.debit": [[4, 0, 1, "", "BatchDebitBase"], [4, 0, 1, "", "DebitResponseBase"], [4, 0, 1, "", "HIDBS1"], [4, 0, 1, "", "HIDBS2"], [4, 0, 1, "", "HIDBSS1"], [4, 0, 1, "", "HIDBSS2"], [4, 0, 1, "", "HIDMB1"], [4, 0, 1, "", "HIDMBS1"], [4, 0, 1, "", "HIDMC1"], [4, 0, 1, "", "HIDMCS1"], [4, 0, 1, "", "HIDME1"], [4, 0, 1, "", "HIDME2"], [4, 0, 1, "", "HIDMES1"], [4, 0, 1, "", "HIDMES2"], [4, 0, 1, "", "HIDSC1"], [4, 0, 1, "", "HIDSCS1"], [4, 0, 1, "", "HIDSE1"], [4, 0, 1, "", "HIDSE2"], [4, 0, 1, "", "HIDSES1"], [4, 0, 1, "", "HIDSES2"], [4, 0, 1, "", "HKDBS1"], [4, 0, 1, "", "HKDBS2"], [4, 0, 1, "", "HKDMB1"], [4, 0, 1, "", "HKDMC1"], [4, 0, 1, "", "HKDME1"], [4, 0, 1, "", "HKDME2"], [4, 0, 1, "", "HKDSC1"], [4, 0, 1, "", "HKDSE1"], [4, 0, 1, "", "HKDSE2"]], "fints.segments.debit.BatchDebitBase": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "request_single_booking"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"], [4, 2, 1, "", "sum_amount"]], "fints.segments.debit.DebitResponseBase": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "task_id"]], "fints.segments.debit.HIDBS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"], [4, 2, 1, "", "task_cancelable"], [4, 2, 1, "", "task_changeable"], [4, 2, 1, "", "task_id"]], "fints.segments.debit.HIDBS2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "sepa_c_code"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"], [4, 2, 1, "", "status_sepa_task"], [4, 2, 1, "", "task_changeable"], [4, 2, 1, "", "task_id"]], "fints.segments.debit.HIDBSS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HIDBSS2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HIDMB1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "date_booked"], [4, 2, 1, "", "date_entered"], [4, 2, 1, "", "debit_count"], [4, 2, 1, "", "sum_amount"], [4, 2, 1, "", "task_id"]], "fints.segments.debit.HIDMBS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HIDMC1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HIDMCS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HIDME1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HIDME2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HIDMES1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HIDMES2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HIDSC1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HIDSCS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HIDSE1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HIDSE2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HIDSES1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HIDSES2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.debit.HKDBS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "supported_sepa_pain_messages"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.debit.HKDBS2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "supported_sepa_pain_messages"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.debit.HKDMB1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.debit.HKDMC1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HKDME1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HKDME2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.debit.HKDSC1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"]], "fints.segments.debit.HKDSE1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"]], "fints.segments.debit.HKDSE2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"]], "fints.segments.depot": [[4, 0, 1, "", "HIWPD5"], [4, 0, 1, "", "HIWPD6"], [4, 0, 1, "", "HKWPD5"], [4, 0, 1, "", "HKWPD6"]], "fints.segments.depot.HIWPD5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "holdings"]], "fints.segments.depot.HIWPD6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "holdings"]], "fints.segments.depot.HKWPD5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "currency"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "quality"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.depot.HKWPD6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "currency"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "quality"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.dialog": [[4, 0, 1, "", "HIRMG2"], [4, 0, 1, "", "HIRMS2"], [4, 0, 1, "", "HISYN4"], [4, 0, 1, "", "HKEND1"], [4, 0, 1, "", "HKSYN3"]], "fints.segments.dialog.HIRMG2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "responses"]], "fints.segments.dialog.HIRMS2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "responses"]], "fints.segments.dialog.HISYN4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "message_number"], [4, 2, 1, "", "security_reference_digital_signature"], [4, 2, 1, "", "security_reference_signature_key"], [4, 2, 1, "", "system_id"]], "fints.segments.dialog.HKEND1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "dialog_id"]], "fints.segments.dialog.HKSYN3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "synchronization_mode"]], "fints.segments.journal": [[4, 0, 1, "", "HIPRO3"], [4, 0, 1, "", "HIPRO4"], [4, 0, 1, "", "HIPROS3"], [4, 0, 1, "", "HIPROS4"], [4, 0, 1, "", "HKPRO3"], [4, 0, 1, "", "HKPRO4"]], "fints.segments.journal.HIPRO3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "date"], [4, 2, 1, "", "reference"], [4, 2, 1, "", "reference_message"], [4, 2, 1, "", "responses"], [4, 2, 1, "", "time"]], "fints.segments.journal.HIPRO4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "date"], [4, 2, 1, "", "reference"], [4, 2, 1, "", "reference_message"], [4, 2, 1, "", "responses"], [4, 2, 1, "", "time"]], "fints.segments.journal.HIPROS3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.journal.HIPROS4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.journal.HKPRO3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.journal.HKPRO4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.message": [[4, 0, 1, "", "HNHBK3"], [4, 0, 1, "", "HNHBS1"], [4, 0, 1, "", "HNSHA2"], [4, 0, 1, "", "HNSHK4"], [4, 0, 1, "", "HNVSD1"], [4, 0, 1, "", "HNVSK3"]], "fints.segments.message.HNHBK3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "dialog_id"], [4, 2, 1, "", "hbci_version"], [4, 2, 1, "", "message_number"], [4, 2, 1, "", "message_size"], [4, 2, 1, "", "reference_message"]], "fints.segments.message.HNHBS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "message_number"]], "fints.segments.message.HNSHA2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "security_reference"], [4, 2, 1, "", "user_defined_signature"], [4, 2, 1, "", "validation_result"]], "fints.segments.message.HNSHK4": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "certificate"], [4, 2, 1, "", "hash_algorithm"], [4, 2, 1, "", "key_name"], [4, 2, 1, "", "security_application_area"], [4, 2, 1, "", "security_datetime"], [4, 2, 1, "", "security_function"], [4, 2, 1, "", "security_identification_details"], [4, 2, 1, "", "security_profile"], [4, 2, 1, "", "security_reference"], [4, 2, 1, "", "security_reference_number"], [4, 2, 1, "", "security_role"], [4, 2, 1, "", "signature_algorithm"]], "fints.segments.message.HNVSD1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "data"]], "fints.segments.message.HNVSK3": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "certificate"], [4, 2, 1, "", "compression_function"], [4, 2, 1, "", "encryption_algorithm"], [4, 2, 1, "", "key_name"], [4, 2, 1, "", "security_datetime"], [4, 2, 1, "", "security_function"], [4, 2, 1, "", "security_identification_details"], [4, 2, 1, "", "security_profile"], [4, 2, 1, "", "security_role"]], "fints.segments.saldo": [[4, 0, 1, "", "HISAL5"], [4, 0, 1, "", "HISAL6"], [4, 0, 1, "", "HISAL7"], [4, 0, 1, "", "HKSAL5"], [4, 0, 1, "", "HKSAL6"], [4, 0, 1, "", "HKSAL7"]], "fints.segments.saldo.HISAL5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "account_product"], [4, 2, 1, "", "available_amount"], [4, 2, 1, "", "balance_booked"], [4, 2, 1, "", "balance_pending"], [4, 2, 1, "", "booking_date"], [4, 2, 1, "", "booking_time"], [4, 2, 1, "", "currency"], [4, 2, 1, "", "date_due"], [4, 2, 1, "", "line_of_credit"], [4, 2, 1, "", "used_amount"]], "fints.segments.saldo.HISAL6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "account_product"], [4, 2, 1, "", "available_amount"], [4, 2, 1, "", "balance_booked"], [4, 2, 1, "", "balance_pending"], [4, 2, 1, "", "booking_timestamp"], [4, 2, 1, "", "currency"], [4, 2, 1, "", "date_due"], [4, 2, 1, "", "line_of_credit"], [4, 2, 1, "", "overdraft"], [4, 2, 1, "", "used_amount"]], "fints.segments.saldo.HISAL7": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "account_product"], [4, 2, 1, "", "available_amount"], [4, 2, 1, "", "balance_booked"], [4, 2, 1, "", "balance_pending"], [4, 2, 1, "", "booking_timestamp"], [4, 2, 1, "", "currency"], [4, 2, 1, "", "date_due"], [4, 2, 1, "", "line_of_credit"], [4, 2, 1, "", "overdraft"], [4, 2, 1, "", "used_amount"]], "fints.segments.saldo.HKSAL5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "all_accounts"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.saldo.HKSAL6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "all_accounts"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.saldo.HKSAL7": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "all_accounts"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.statement": [[4, 0, 1, "", "DIKKU2"], [4, 0, 1, "", "DIKKUS2"], [4, 0, 1, "", "DKKKU2"], [4, 0, 1, "", "HICAZ1"], [4, 0, 1, "", "HIKAZ5"], [4, 0, 1, "", "HIKAZ6"], [4, 0, 1, "", "HIKAZ7"], [4, 0, 1, "", "HKCAZ1"], [4, 0, 1, "", "HKKAZ5"], [4, 0, 1, "", "HKKAZ6"], [4, 0, 1, "", "HKKAZ7"]], "fints.segments.statement.DIKKU2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"]], "fints.segments.statement.DIKKUS2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.statement.DKKKU2": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "credit_card_number"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "subaccount"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.statement.HICAZ1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "camt_descriptor"], [4, 2, 1, "", "statement_booked"], [4, 2, 1, "", "statement_pending"]], "fints.segments.statement.HIKAZ5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "statement_booked"], [4, 2, 1, "", "statement_pending"]], "fints.segments.statement.HIKAZ6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "statement_booked"], [4, 2, 1, "", "statement_pending"]], "fints.segments.statement.HIKAZ7": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "statement_booked"], [4, 2, 1, "", "statement_pending"]], "fints.segments.statement.HKCAZ1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "all_accounts"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "supported_camt_messages"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.statement.HKKAZ5": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "all_accounts"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.statement.HKKAZ6": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "all_accounts"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.statement.HKKAZ7": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "all_accounts"], [4, 2, 1, "", "date_end"], [4, 2, 1, "", "date_start"], [4, 2, 1, "", "max_number_responses"], [4, 2, 1, "", "touchdown_point"]], "fints.segments.transfer": [[4, 0, 1, "", "HICCMS1"], [4, 0, 1, "", "HKCCM1"], [4, 0, 1, "", "HKCCS1"], [4, 0, 1, "", "HKIPM1"], [4, 0, 1, "", "HKIPZ1"]], "fints.segments.transfer.HICCMS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "parameter"]], "fints.segments.transfer.HKCCM1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "request_single_booking"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"], [4, 2, 1, "", "sum_amount"]], "fints.segments.transfer.HKCCS1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"]], "fints.segments.transfer.HKIPM1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "request_single_booking"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"], [4, 2, 1, "", "sum_amount"]], "fints.segments.transfer.HKIPZ1": [[4, 2, 1, "", "TYPE"], [4, 2, 1, "", "VERSION"], [4, 2, 1, "", "account"], [4, 2, 1, "", "sepa_descriptor"], [4, 2, 1, "", "sepa_pain_message"]], "fints.types": [[7, 0, 1, "", "Container"], [7, 0, 1, "", "ContainerMeta"], [7, 0, 1, "", "Field"], [6, 0, 1, "", "SegmentSequence"], [7, 0, 1, "", "TypedField"], [7, 0, 1, "", "ValueList"]], "fints.types.Container": [[7, 1, 1, "", "is_unset"], [7, 1, 1, "", "naive_parse"]], "fints.types.Field": [[7, 1, 1, "", "render"]], "fints.types.SegmentSequence": [[6, 1, 1, "", "find_segment_first"], [6, 1, 1, "", "find_segment_highest_version"], [6, 1, 1, "", "find_segments"], [6, 1, 1, "", "print_nested"], [6, 1, 1, "", "render_bytes"]]}, "objtypes": {"0": "py:class", "1": "py:method", "2": "py:attribute", "3": "py:module", "4": "py:property", "5": "py:function"}, "objnames": {"0": ["py", "class", "Python class"], "1": ["py", "method", "Python method"], "2": ["py", "attribute", "Python attribute"], "3": ["py", "module", "Python module"], "4": ["py", "property", "Python property"], "5": ["py", "function", "Python function"]}, "titleterms": {"The": 0, "client": [0, 9], "object": 0, "store": [0, 12], "restor": [0, 12], "state": [0, 12], "keep": 0, "dialog": [0, 4], "open": 0, "creat": 1, "sepa": [1, 14], "debit": [1, 4], "full": [1, 14], "exampl": [1, 14], "develop": [2, 9], "document": [2, 9], "api": 2, "content": [2, 9], "pars": 3, "serial": 3, "all": 4, "segment": [4, 5, 6, 7, 8], "fint": [4, 5, 6, 9, 16, 17, 18], "account": [4, 11], "modul": 4, "auth": 4, "bank": [4, 11, 13], "base": [4, 7], "depot": 4, "journal": 4, "messag": 4, "saldo": 4, "statement": 4, "transfer": [4, 14], "sequenc": 6, "defin": 7, "new": 7, "class": 7, "type": 7, "field": 7, "construct": 7, "helper": 7, "work": [8, 12], "librari": 9, "user": 9, "get": 10, "start": 10, "regist": 10, "product": 10, "id": 10, "code": [10, 12], "read": 11, "oper": 11, "fetch": 11, "your": 11, "inform": 11, "balanc": 11, "transact": 11, "hold": 11, "tan": 12, "method": 12, "challeng": 12, "flicker": 12, "optitan": 12, "phototan": 12, "send": [12, 14], "refer": 12, "test": 13, "secur": 13, "function": 13, "legaci": 13, "result": 13, "simpl": 14, "mode": 14, "advanc": 14, "troubleshoot": 15, "bug": 15, "report": 15, "upgrad": [16, 17, 18], "from": [16, 17, 18], "python": [16, 17, 18], "1": 16, "x": [16, 17, 18], "2": [16, 17], "3": [17, 18], "4": 18}, "envversion": {"sphinx.domains.c": 3, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 9, "sphinx.domains.index": 1, "sphinx.domains.javascript": 3, "sphinx.domains.math": 2, "sphinx.domains.python": 4, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx.ext.todo": 2, "sphinx.ext.viewcode": 1, "sphinx": 60}, "alltitles": {"The client object": [[0, "the-client-object"]], "Storing and restoring client state": [[0, "storing-and-restoring-client-state"]], "Keeping the dialog open": [[0, "keeping-the-dialog-open"]], "Storing and restoring dialog state": [[0, "storing-and-restoring-dialog-state"]], "Creating SEPA debits": [[1, "creating-sepa-debits"]], "Full example": [[1, "full-example"], [14, "full-example"]], "Developer documentation/API": [[2, "developer-documentation-api"]], "Contents:": [[2, null]], "Parsing and serialization": [[3, "parsing-and-serialization"]], "All Segments": [[4, "all-segments"]], "fints.segments.accounts module": [[4, "module-fints.segments.accounts"]], "fints.segments.auth module": [[4, "module-fints.segments.auth"]], "fints.segments.bank module": [[4, "module-fints.segments.bank"]], "fints.segments.base module": [[4, "module-fints.segments.base"]], "fints.segments.debit module": [[4, "module-fints.segments.debit"]], "fints.segments.depot module": [[4, "module-fints.segments.depot"]], "fints.segments.dialog module": [[4, "module-fints.segments.dialog"]], "fints.segments.journal module": [[4, "module-fints.segments.journal"]], "fints.segments.message module": [[4, "module-fints.segments.message"]], "fints.segments.saldo module": [[4, "module-fints.segments.saldo"]], "fints.segments.statement module": [[4, "module-fints.segments.statement"]], "fints.segments.transfer module": [[4, "module-fints.segments.transfer"]], "FinTS Segments": [[5, "fints-segments"]], "FinTS Segment Sequence": [[6, "fints-segment-sequence"]], "Defining new Segment classes": [[7, "defining-new-segment-classes"]], "Base types": [[7, "module-fints.types"]], "Field types": [[7, "module-fints.fields"]], "Constructed and helper types": [[7, "module-fints.formals"]], "Working with Segments": [[8, "working-with-segments"]], "FinTS client library": [[9, "fints-client-library"]], "Library user documentation content": [[9, "library-user-documentation-content"]], "Library developer documentation content": [[9, "library-developer-documentation-content"]], "Getting started": [[10, "getting-started"]], "Register for a product ID": [[10, "register-for-a-product-id"]], "Start coding": [[10, "start-coding"]], "Reading operations": [[11, "reading-operations"]], "Fetching your bank accounts": [[11, "fetching-your-bank-accounts"]], "Fetching bank information": [[11, "fetching-bank-information"]], "Fetching account balances": [[11, "fetching-account-balances"]], "Reading account transactions": [[11, "reading-account-transactions"]], "Fetching holdings": [[11, "fetching-holdings"]], "Working with TANs": [[12, "working-with-tans"]], "TAN methods": [[12, "tan-methods"]], "TAN challenges": [[12, "tan-challenges"]], "Flicker-Code / optiTAN": [[12, "flicker-code-optitan"]], "photoTAN": [[12, "phototan"]], "Sending the TAN": [[12, "sending-the-tan"]], "Storing and restoring TAN state": [[12, "storing-and-restoring-tan-state"]], "Reference": [[12, "reference"]], "Tested banks": [[13, "tested-banks"]], "Tested security functions": [[13, "tested-security-functions"]], "Legacy results": [[13, "legacy-results"]], "Sending SEPA transfers": [[14, "sending-sepa-transfers"]], "Simple mode": [[14, "simple-mode"]], "Advanced mode": [[14, "advanced-mode"]], "Troubleshooting and bug reporting": [[15, "troubleshooting-and-bug-reporting"]], "Upgrading from python-fints 1.x to 2.x": [[16, "upgrading-from-python-fints-1-x-to-2-x"]], "Upgrading from python-fints 2.x to 3.x": [[17, "upgrading-from-python-fints-2-x-to-3-x"]], "Upgrading from python-fints 3.x to 4.x": [[18, "upgrading-from-python-fints-3-x-to-4-x"]]}, "indexentries": {"fints3parser (class in fints.parser)": [[3, "fints.parser.FinTS3Parser"]], "fints3serializer (class in fints.parser)": [[3, "fints.parser.FinTS3Serializer"]], "parse_message() (fints.parser.fints3parser method)": [[3, "fints.parser.FinTS3Parser.parse_message"]], "serialize_message() (fints.parser.fints3serializer method)": [[3, "fints.parser.FinTS3Serializer.serialize_message"]], "batchdebitbase (class in fints.segments.debit)": [[4, "fints.segments.debit.BatchDebitBase"]], "dikku2 (class in fints.segments.statement)": [[4, "fints.segments.statement.DIKKU2"]], "dikkus2 (class in fints.segments.statement)": [[4, "fints.segments.statement.DIKKUS2"]], "dkkku2 (class in fints.segments.statement)": [[4, "fints.segments.statement.DKKKU2"]], "debitresponsebase (class in fints.segments.debit)": [[4, "fints.segments.debit.DebitResponseBase"]], "fints3segmentmeta (class in fints.segments.base)": [[4, "fints.segments.base.FinTS3SegmentMeta"]], "hibpa3 (class in fints.segments.bank)": [[4, "fints.segments.bank.HIBPA3"]], "hicaz1 (class in fints.segments.statement)": [[4, "fints.segments.statement.HICAZ1"]], "hiccms1 (class in fints.segments.transfer)": [[4, "fints.segments.transfer.HICCMS1"]], "hidbs1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDBS1"]], "hidbs2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDBS2"]], "hidbss1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDBSS1"]], "hidbss2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDBSS2"]], "hidmb1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDMB1"]], "hidmbs1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDMBS1"]], "hidmc1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDMC1"]], "hidmcs1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDMCS1"]], "hidme1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDME1"]], "hidme2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDME2"]], "hidmes1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDMES1"]], "hidmes2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDMES2"]], "hidsc1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDSC1"]], "hidscs1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDSCS1"]], "hidse1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDSE1"]], "hidse2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDSE2"]], "hidses1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDSES1"]], "hidses2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HIDSES2"]], "hikaz5 (class in fints.segments.statement)": [[4, "fints.segments.statement.HIKAZ5"]], "hikaz6 (class in fints.segments.statement)": [[4, "fints.segments.statement.HIKAZ6"]], "hikaz7 (class in fints.segments.statement)": [[4, "fints.segments.statement.HIKAZ7"]], "hikom4 (class in fints.segments.bank)": [[4, "fints.segments.bank.HIKOM4"]], "hipins1 (class in fints.segments.auth)": [[4, "fints.segments.auth.HIPINS1"]], "hipro3 (class in fints.segments.journal)": [[4, "fints.segments.journal.HIPRO3"]], "hipro4 (class in fints.segments.journal)": [[4, "fints.segments.journal.HIPRO4"]], "hipros3 (class in fints.segments.journal)": [[4, "fints.segments.journal.HIPROS3"]], "hipros4 (class in fints.segments.journal)": [[4, "fints.segments.journal.HIPROS4"]], "hirmg2 (class in fints.segments.dialog)": [[4, "fints.segments.dialog.HIRMG2"]], "hirms2 (class in fints.segments.dialog)": [[4, "fints.segments.dialog.HIRMS2"]], "hisal5 (class in fints.segments.saldo)": [[4, "fints.segments.saldo.HISAL5"]], "hisal6 (class in fints.segments.saldo)": [[4, "fints.segments.saldo.HISAL6"]], "hisal7 (class in fints.segments.saldo)": [[4, "fints.segments.saldo.HISAL7"]], "hispa1 (class in fints.segments.accounts)": [[4, "fints.segments.accounts.HISPA1"]], "hispas1 (class in fints.segments.accounts)": [[4, "fints.segments.accounts.HISPAS1"]], "hisyn4 (class in fints.segments.dialog)": [[4, "fints.segments.dialog.HISYN4"]], "hitab4 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITAB4"]], "hitab5 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITAB5"]], "hitan2 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITAN2"]], "hitan3 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITAN3"]], "hitan5 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITAN5"]], "hitan6 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITAN6"]], "hitans1 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITANS1"]], "hitans2 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITANS2"]], "hitans3 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITANS3"]], "hitans4 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITANS4"]], "hitans5 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITANS5"]], "hitans6 (class in fints.segments.auth)": [[4, "fints.segments.auth.HITANS6"]], "hitansbase (class in fints.segments.auth)": [[4, "fints.segments.auth.HITANSBase"]], "hiupa4 (class in fints.segments.bank)": [[4, "fints.segments.bank.HIUPA4"]], "hiupd6 (class in fints.segments.bank)": [[4, "fints.segments.bank.HIUPD6"]], "hiwpd5 (class in fints.segments.depot)": [[4, "fints.segments.depot.HIWPD5"]], "hiwpd6 (class in fints.segments.depot)": [[4, "fints.segments.depot.HIWPD6"]], "hkcaz1 (class in fints.segments.statement)": [[4, "fints.segments.statement.HKCAZ1"]], "hkccm1 (class in fints.segments.transfer)": [[4, "fints.segments.transfer.HKCCM1"]], "hkccs1 (class in fints.segments.transfer)": [[4, "fints.segments.transfer.HKCCS1"]], "hkdbs1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDBS1"]], "hkdbs2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDBS2"]], "hkdmb1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDMB1"]], "hkdmc1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDMC1"]], "hkdme1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDME1"]], "hkdme2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDME2"]], "hkdsc1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDSC1"]], "hkdse1 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDSE1"]], "hkdse2 (class in fints.segments.debit)": [[4, "fints.segments.debit.HKDSE2"]], "hkend1 (class in fints.segments.dialog)": [[4, "fints.segments.dialog.HKEND1"]], "hkidn2 (class in fints.segments.auth)": [[4, "fints.segments.auth.HKIDN2"]], "hkipm1 (class in fints.segments.transfer)": [[4, "fints.segments.transfer.HKIPM1"]], "hkipz1 (class in fints.segments.transfer)": [[4, "fints.segments.transfer.HKIPZ1"]], "hkkaz5 (class in fints.segments.statement)": [[4, "fints.segments.statement.HKKAZ5"]], "hkkaz6 (class in fints.segments.statement)": [[4, "fints.segments.statement.HKKAZ6"]], "hkkaz7 (class in fints.segments.statement)": [[4, "fints.segments.statement.HKKAZ7"]], "hkkom4 (class in fints.segments.bank)": [[4, "fints.segments.bank.HKKOM4"]], "hkpro3 (class in fints.segments.journal)": [[4, "fints.segments.journal.HKPRO3"]], "hkpro4 (class in fints.segments.journal)": [[4, "fints.segments.journal.HKPRO4"]], "hksal5 (class in fints.segments.saldo)": [[4, "fints.segments.saldo.HKSAL5"]], "hksal6 (class in fints.segments.saldo)": [[4, "fints.segments.saldo.HKSAL6"]], "hksal7 (class in fints.segments.saldo)": [[4, "fints.segments.saldo.HKSAL7"]], "hkspa1 (class in fints.segments.accounts)": [[4, "fints.segments.accounts.HKSPA1"]], "hksyn3 (class in fints.segments.dialog)": [[4, "fints.segments.dialog.HKSYN3"]], "hktab4 (class in fints.segments.auth)": [[4, "fints.segments.auth.HKTAB4"]], "hktab5 (class in fints.segments.auth)": [[4, "fints.segments.auth.HKTAB5"]], "hktan2 (class in fints.segments.auth)": [[4, "fints.segments.auth.HKTAN2"]], "hktan3 (class in fints.segments.auth)": [[4, "fints.segments.auth.HKTAN3"]], "hktan5 (class in fints.segments.auth)": [[4, "fints.segments.auth.HKTAN5"]], "hktan6 (class in fints.segments.auth)": [[4, "fints.segments.auth.HKTAN6"]], "hkvvb3 (class in fints.segments.auth)": [[4, "fints.segments.auth.HKVVB3"]], "hkwpd5 (class in fints.segments.depot)": [[4, "fints.segments.depot.HKWPD5"]], "hkwpd6 (class in fints.segments.depot)": [[4, "fints.segments.depot.HKWPD6"]], "hnhbk3 (class in fints.segments.message)": [[4, "fints.segments.message.HNHBK3"]], "hnhbs1 (class in fints.segments.message)": [[4, "fints.segments.message.HNHBS1"]], "hnsha2 (class in fints.segments.message)": [[4, "fints.segments.message.HNSHA2"]], "hnshk4 (class in fints.segments.message)": [[4, "fints.segments.message.HNSHK4"]], "hnvsd1 (class in fints.segments.message)": [[4, "fints.segments.message.HNVSD1"]], "hnvsk3 (class in fints.segments.message)": [[4, "fints.segments.message.HNVSK3"]], "parametersegment (class in fints.segments.base)": [[4, "fints.segments.base.ParameterSegment"]], "parametersegment_22 (class in fints.segments.base)": [[4, "fints.segments.base.ParameterSegment_22"]], "type (fints.segments.accounts.hispa1 attribute)": [[4, "fints.segments.accounts.HISPA1.TYPE"]], "type (fints.segments.accounts.hispas1 attribute)": [[4, "fints.segments.accounts.HISPAS1.TYPE"]], "type (fints.segments.accounts.hkspa1 attribute)": [[4, "fints.segments.accounts.HKSPA1.TYPE"]], "type (fints.segments.auth.hipins1 attribute)": [[4, "fints.segments.auth.HIPINS1.TYPE"]], "type (fints.segments.auth.hitab4 attribute)": [[4, "fints.segments.auth.HITAB4.TYPE"]], "type (fints.segments.auth.hitab5 attribute)": [[4, "fints.segments.auth.HITAB5.TYPE"]], "type (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.TYPE"]], "type (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.TYPE"]], "type (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.TYPE"]], "type (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.TYPE"]], "type (fints.segments.auth.hitans1 attribute)": [[4, "fints.segments.auth.HITANS1.TYPE"]], "type (fints.segments.auth.hitans2 attribute)": [[4, "fints.segments.auth.HITANS2.TYPE"]], "type (fints.segments.auth.hitans3 attribute)": [[4, "fints.segments.auth.HITANS3.TYPE"]], "type (fints.segments.auth.hitans4 attribute)": [[4, "fints.segments.auth.HITANS4.TYPE"]], "type (fints.segments.auth.hitans5 attribute)": [[4, "fints.segments.auth.HITANS5.TYPE"]], "type (fints.segments.auth.hitans6 attribute)": [[4, "fints.segments.auth.HITANS6.TYPE"]], "type (fints.segments.auth.hitansbase attribute)": [[4, "fints.segments.auth.HITANSBase.TYPE"]], "type (fints.segments.auth.hkidn2 attribute)": [[4, "fints.segments.auth.HKIDN2.TYPE"]], "type (fints.segments.auth.hktab4 attribute)": [[4, "fints.segments.auth.HKTAB4.TYPE"]], "type (fints.segments.auth.hktab5 attribute)": [[4, "fints.segments.auth.HKTAB5.TYPE"]], "type (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.TYPE"]], "type (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.TYPE"]], "type (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.TYPE"]], "type (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.TYPE"]], "type (fints.segments.auth.hkvvb3 attribute)": [[4, "fints.segments.auth.HKVVB3.TYPE"]], "type (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.TYPE"]], "type (fints.segments.bank.hikom4 attribute)": [[4, "fints.segments.bank.HIKOM4.TYPE"]], "type (fints.segments.bank.hiupa4 attribute)": [[4, "fints.segments.bank.HIUPA4.TYPE"]], "type (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.TYPE"]], "type (fints.segments.bank.hkkom4 attribute)": [[4, "fints.segments.bank.HKKOM4.TYPE"]], "type (fints.segments.base.parametersegment attribute)": [[4, "fints.segments.base.ParameterSegment.TYPE"]], "type (fints.segments.base.parametersegment_22 attribute)": [[4, "fints.segments.base.ParameterSegment_22.TYPE"]], "type (fints.segments.debit.batchdebitbase attribute)": [[4, "fints.segments.debit.BatchDebitBase.TYPE"]], "type (fints.segments.debit.debitresponsebase attribute)": [[4, "fints.segments.debit.DebitResponseBase.TYPE"]], "type (fints.segments.debit.hidbs1 attribute)": [[4, "fints.segments.debit.HIDBS1.TYPE"]], "type (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.TYPE"]], "type (fints.segments.debit.hidbss1 attribute)": [[4, "fints.segments.debit.HIDBSS1.TYPE"]], "type (fints.segments.debit.hidbss2 attribute)": [[4, "fints.segments.debit.HIDBSS2.TYPE"]], "type (fints.segments.debit.hidmb1 attribute)": [[4, "fints.segments.debit.HIDMB1.TYPE"]], "type (fints.segments.debit.hidmbs1 attribute)": [[4, "fints.segments.debit.HIDMBS1.TYPE"]], "type (fints.segments.debit.hidmc1 attribute)": [[4, "fints.segments.debit.HIDMC1.TYPE"]], "type (fints.segments.debit.hidmcs1 attribute)": [[4, "fints.segments.debit.HIDMCS1.TYPE"]], "type (fints.segments.debit.hidme1 attribute)": [[4, "fints.segments.debit.HIDME1.TYPE"]], "type (fints.segments.debit.hidme2 attribute)": [[4, "fints.segments.debit.HIDME2.TYPE"]], "type (fints.segments.debit.hidmes1 attribute)": [[4, "fints.segments.debit.HIDMES1.TYPE"]], "type (fints.segments.debit.hidmes2 attribute)": [[4, "fints.segments.debit.HIDMES2.TYPE"]], "type (fints.segments.debit.hidsc1 attribute)": [[4, "fints.segments.debit.HIDSC1.TYPE"]], "type (fints.segments.debit.hidscs1 attribute)": [[4, "fints.segments.debit.HIDSCS1.TYPE"]], "type (fints.segments.debit.hidse1 attribute)": [[4, "fints.segments.debit.HIDSE1.TYPE"]], "type (fints.segments.debit.hidse2 attribute)": [[4, "fints.segments.debit.HIDSE2.TYPE"]], "type (fints.segments.debit.hidses1 attribute)": [[4, "fints.segments.debit.HIDSES1.TYPE"]], "type (fints.segments.debit.hidses2 attribute)": [[4, "fints.segments.debit.HIDSES2.TYPE"]], "type (fints.segments.debit.hkdbs1 attribute)": [[4, "fints.segments.debit.HKDBS1.TYPE"]], "type (fints.segments.debit.hkdbs2 attribute)": [[4, "fints.segments.debit.HKDBS2.TYPE"]], "type (fints.segments.debit.hkdmb1 attribute)": [[4, "fints.segments.debit.HKDMB1.TYPE"]], "type (fints.segments.debit.hkdmc1 attribute)": [[4, "fints.segments.debit.HKDMC1.TYPE"]], "type (fints.segments.debit.hkdme1 attribute)": [[4, "fints.segments.debit.HKDME1.TYPE"]], "type (fints.segments.debit.hkdme2 attribute)": [[4, "fints.segments.debit.HKDME2.TYPE"]], "type (fints.segments.debit.hkdsc1 attribute)": [[4, "fints.segments.debit.HKDSC1.TYPE"]], "type (fints.segments.debit.hkdse1 attribute)": [[4, "fints.segments.debit.HKDSE1.TYPE"]], "type (fints.segments.debit.hkdse2 attribute)": [[4, "fints.segments.debit.HKDSE2.TYPE"]], "type (fints.segments.depot.hiwpd5 attribute)": [[4, "fints.segments.depot.HIWPD5.TYPE"]], "type (fints.segments.depot.hiwpd6 attribute)": [[4, "fints.segments.depot.HIWPD6.TYPE"]], "type (fints.segments.depot.hkwpd5 attribute)": [[4, "fints.segments.depot.HKWPD5.TYPE"]], "type (fints.segments.depot.hkwpd6 attribute)": [[4, "fints.segments.depot.HKWPD6.TYPE"]], "type (fints.segments.dialog.hirmg2 attribute)": [[4, "fints.segments.dialog.HIRMG2.TYPE"]], "type (fints.segments.dialog.hirms2 attribute)": [[4, "fints.segments.dialog.HIRMS2.TYPE"]], "type (fints.segments.dialog.hisyn4 attribute)": [[4, "fints.segments.dialog.HISYN4.TYPE"]], "type (fints.segments.dialog.hkend1 attribute)": [[4, "fints.segments.dialog.HKEND1.TYPE"]], "type (fints.segments.dialog.hksyn3 attribute)": [[4, "fints.segments.dialog.HKSYN3.TYPE"]], "type (fints.segments.journal.hipro3 attribute)": [[4, "fints.segments.journal.HIPRO3.TYPE"]], "type (fints.segments.journal.hipro4 attribute)": [[4, "fints.segments.journal.HIPRO4.TYPE"]], "type (fints.segments.journal.hipros3 attribute)": [[4, "fints.segments.journal.HIPROS3.TYPE"]], "type (fints.segments.journal.hipros4 attribute)": [[4, "fints.segments.journal.HIPROS4.TYPE"]], "type (fints.segments.journal.hkpro3 attribute)": [[4, "fints.segments.journal.HKPRO3.TYPE"]], "type (fints.segments.journal.hkpro4 attribute)": [[4, "fints.segments.journal.HKPRO4.TYPE"]], "type (fints.segments.message.hnhbk3 attribute)": [[4, "fints.segments.message.HNHBK3.TYPE"]], "type (fints.segments.message.hnhbs1 attribute)": [[4, "fints.segments.message.HNHBS1.TYPE"]], "type (fints.segments.message.hnsha2 attribute)": [[4, "fints.segments.message.HNSHA2.TYPE"]], "type (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.TYPE"]], "type (fints.segments.message.hnvsd1 attribute)": [[4, "fints.segments.message.HNVSD1.TYPE"]], "type (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.TYPE"]], "type (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.TYPE"]], "type (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.TYPE"]], "type (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.TYPE"]], "type (fints.segments.saldo.hksal5 attribute)": [[4, "fints.segments.saldo.HKSAL5.TYPE"]], "type (fints.segments.saldo.hksal6 attribute)": [[4, "fints.segments.saldo.HKSAL6.TYPE"]], "type (fints.segments.saldo.hksal7 attribute)": [[4, "fints.segments.saldo.HKSAL7.TYPE"]], "type (fints.segments.statement.dikku2 attribute)": [[4, "fints.segments.statement.DIKKU2.TYPE"]], "type (fints.segments.statement.dikkus2 attribute)": [[4, "fints.segments.statement.DIKKUS2.TYPE"]], "type (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.TYPE"]], "type (fints.segments.statement.hicaz1 attribute)": [[4, "fints.segments.statement.HICAZ1.TYPE"]], "type (fints.segments.statement.hikaz5 attribute)": [[4, "fints.segments.statement.HIKAZ5.TYPE"]], "type (fints.segments.statement.hikaz6 attribute)": [[4, "fints.segments.statement.HIKAZ6.TYPE"]], "type (fints.segments.statement.hikaz7 attribute)": [[4, "fints.segments.statement.HIKAZ7.TYPE"]], "type (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.TYPE"]], "type (fints.segments.statement.hkkaz5 attribute)": [[4, "fints.segments.statement.HKKAZ5.TYPE"]], "type (fints.segments.statement.hkkaz6 attribute)": [[4, "fints.segments.statement.HKKAZ6.TYPE"]], "type (fints.segments.statement.hkkaz7 attribute)": [[4, "fints.segments.statement.HKKAZ7.TYPE"]], "type (fints.segments.transfer.hiccms1 attribute)": [[4, "fints.segments.transfer.HICCMS1.TYPE"]], "type (fints.segments.transfer.hkccm1 attribute)": [[4, "fints.segments.transfer.HKCCM1.TYPE"]], "type (fints.segments.transfer.hkccs1 attribute)": [[4, "fints.segments.transfer.HKCCS1.TYPE"]], "type (fints.segments.transfer.hkipm1 attribute)": [[4, "fints.segments.transfer.HKIPM1.TYPE"]], "type (fints.segments.transfer.hkipz1 attribute)": [[4, "fints.segments.transfer.HKIPZ1.TYPE"]], "version (fints.segments.accounts.hispa1 attribute)": [[4, "fints.segments.accounts.HISPA1.VERSION"]], "version (fints.segments.accounts.hispas1 attribute)": [[4, "fints.segments.accounts.HISPAS1.VERSION"]], "version (fints.segments.accounts.hkspa1 attribute)": [[4, "fints.segments.accounts.HKSPA1.VERSION"]], "version (fints.segments.auth.hipins1 attribute)": [[4, "fints.segments.auth.HIPINS1.VERSION"]], "version (fints.segments.auth.hitab4 attribute)": [[4, "fints.segments.auth.HITAB4.VERSION"]], "version (fints.segments.auth.hitab5 attribute)": [[4, "fints.segments.auth.HITAB5.VERSION"]], "version (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.VERSION"]], "version (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.VERSION"]], "version (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.VERSION"]], "version (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.VERSION"]], "version (fints.segments.auth.hitans1 attribute)": [[4, "fints.segments.auth.HITANS1.VERSION"]], "version (fints.segments.auth.hitans2 attribute)": [[4, "fints.segments.auth.HITANS2.VERSION"]], "version (fints.segments.auth.hitans3 attribute)": [[4, "fints.segments.auth.HITANS3.VERSION"]], "version (fints.segments.auth.hitans4 attribute)": [[4, "fints.segments.auth.HITANS4.VERSION"]], "version (fints.segments.auth.hitans5 attribute)": [[4, "fints.segments.auth.HITANS5.VERSION"]], "version (fints.segments.auth.hitans6 attribute)": [[4, "fints.segments.auth.HITANS6.VERSION"]], "version (fints.segments.auth.hitansbase attribute)": [[4, "fints.segments.auth.HITANSBase.VERSION"]], "version (fints.segments.auth.hkidn2 attribute)": [[4, "fints.segments.auth.HKIDN2.VERSION"]], "version (fints.segments.auth.hktab4 attribute)": [[4, "fints.segments.auth.HKTAB4.VERSION"]], "version (fints.segments.auth.hktab5 attribute)": [[4, "fints.segments.auth.HKTAB5.VERSION"]], "version (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.VERSION"]], "version (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.VERSION"]], "version (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.VERSION"]], "version (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.VERSION"]], "version (fints.segments.auth.hkvvb3 attribute)": [[4, "fints.segments.auth.HKVVB3.VERSION"]], "version (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.VERSION"]], "version (fints.segments.bank.hikom4 attribute)": [[4, "fints.segments.bank.HIKOM4.VERSION"]], "version (fints.segments.bank.hiupa4 attribute)": [[4, "fints.segments.bank.HIUPA4.VERSION"]], "version (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.VERSION"]], "version (fints.segments.bank.hkkom4 attribute)": [[4, "fints.segments.bank.HKKOM4.VERSION"]], "version (fints.segments.base.parametersegment attribute)": [[4, "fints.segments.base.ParameterSegment.VERSION"]], "version (fints.segments.base.parametersegment_22 attribute)": [[4, "fints.segments.base.ParameterSegment_22.VERSION"]], "version (fints.segments.debit.batchdebitbase attribute)": [[4, "fints.segments.debit.BatchDebitBase.VERSION"]], "version (fints.segments.debit.debitresponsebase attribute)": [[4, "fints.segments.debit.DebitResponseBase.VERSION"]], "version (fints.segments.debit.hidbs1 attribute)": [[4, "fints.segments.debit.HIDBS1.VERSION"]], "version (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.VERSION"]], "version (fints.segments.debit.hidbss1 attribute)": [[4, "fints.segments.debit.HIDBSS1.VERSION"]], "version (fints.segments.debit.hidbss2 attribute)": [[4, "fints.segments.debit.HIDBSS2.VERSION"]], "version (fints.segments.debit.hidmb1 attribute)": [[4, "fints.segments.debit.HIDMB1.VERSION"]], "version (fints.segments.debit.hidmbs1 attribute)": [[4, "fints.segments.debit.HIDMBS1.VERSION"]], "version (fints.segments.debit.hidmc1 attribute)": [[4, "fints.segments.debit.HIDMC1.VERSION"]], "version (fints.segments.debit.hidmcs1 attribute)": [[4, "fints.segments.debit.HIDMCS1.VERSION"]], "version (fints.segments.debit.hidme1 attribute)": [[4, "fints.segments.debit.HIDME1.VERSION"]], "version (fints.segments.debit.hidme2 attribute)": [[4, "fints.segments.debit.HIDME2.VERSION"]], "version (fints.segments.debit.hidmes1 attribute)": [[4, "fints.segments.debit.HIDMES1.VERSION"]], "version (fints.segments.debit.hidmes2 attribute)": [[4, "fints.segments.debit.HIDMES2.VERSION"]], "version (fints.segments.debit.hidsc1 attribute)": [[4, "fints.segments.debit.HIDSC1.VERSION"]], "version (fints.segments.debit.hidscs1 attribute)": [[4, "fints.segments.debit.HIDSCS1.VERSION"]], "version (fints.segments.debit.hidse1 attribute)": [[4, "fints.segments.debit.HIDSE1.VERSION"]], "version (fints.segments.debit.hidse2 attribute)": [[4, "fints.segments.debit.HIDSE2.VERSION"]], "version (fints.segments.debit.hidses1 attribute)": [[4, "fints.segments.debit.HIDSES1.VERSION"]], "version (fints.segments.debit.hidses2 attribute)": [[4, "fints.segments.debit.HIDSES2.VERSION"]], "version (fints.segments.debit.hkdbs1 attribute)": [[4, "fints.segments.debit.HKDBS1.VERSION"]], "version (fints.segments.debit.hkdbs2 attribute)": [[4, "fints.segments.debit.HKDBS2.VERSION"]], "version (fints.segments.debit.hkdmb1 attribute)": [[4, "fints.segments.debit.HKDMB1.VERSION"]], "version (fints.segments.debit.hkdmc1 attribute)": [[4, "fints.segments.debit.HKDMC1.VERSION"]], "version (fints.segments.debit.hkdme1 attribute)": [[4, "fints.segments.debit.HKDME1.VERSION"]], "version (fints.segments.debit.hkdme2 attribute)": [[4, "fints.segments.debit.HKDME2.VERSION"]], "version (fints.segments.debit.hkdsc1 attribute)": [[4, "fints.segments.debit.HKDSC1.VERSION"]], "version (fints.segments.debit.hkdse1 attribute)": [[4, "fints.segments.debit.HKDSE1.VERSION"]], "version (fints.segments.debit.hkdse2 attribute)": [[4, "fints.segments.debit.HKDSE2.VERSION"]], "version (fints.segments.depot.hiwpd5 attribute)": [[4, "fints.segments.depot.HIWPD5.VERSION"]], "version (fints.segments.depot.hiwpd6 attribute)": [[4, "fints.segments.depot.HIWPD6.VERSION"]], "version (fints.segments.depot.hkwpd5 attribute)": [[4, "fints.segments.depot.HKWPD5.VERSION"]], "version (fints.segments.depot.hkwpd6 attribute)": [[4, "fints.segments.depot.HKWPD6.VERSION"]], "version (fints.segments.dialog.hirmg2 attribute)": [[4, "fints.segments.dialog.HIRMG2.VERSION"]], "version (fints.segments.dialog.hirms2 attribute)": [[4, "fints.segments.dialog.HIRMS2.VERSION"]], "version (fints.segments.dialog.hisyn4 attribute)": [[4, "fints.segments.dialog.HISYN4.VERSION"]], "version (fints.segments.dialog.hkend1 attribute)": [[4, "fints.segments.dialog.HKEND1.VERSION"]], "version (fints.segments.dialog.hksyn3 attribute)": [[4, "fints.segments.dialog.HKSYN3.VERSION"]], "version (fints.segments.journal.hipro3 attribute)": [[4, "fints.segments.journal.HIPRO3.VERSION"]], "version (fints.segments.journal.hipro4 attribute)": [[4, "fints.segments.journal.HIPRO4.VERSION"]], "version (fints.segments.journal.hipros3 attribute)": [[4, "fints.segments.journal.HIPROS3.VERSION"]], "version (fints.segments.journal.hipros4 attribute)": [[4, "fints.segments.journal.HIPROS4.VERSION"]], "version (fints.segments.journal.hkpro3 attribute)": [[4, "fints.segments.journal.HKPRO3.VERSION"]], "version (fints.segments.journal.hkpro4 attribute)": [[4, "fints.segments.journal.HKPRO4.VERSION"]], "version (fints.segments.message.hnhbk3 attribute)": [[4, "fints.segments.message.HNHBK3.VERSION"]], "version (fints.segments.message.hnhbs1 attribute)": [[4, "fints.segments.message.HNHBS1.VERSION"]], "version (fints.segments.message.hnsha2 attribute)": [[4, "fints.segments.message.HNSHA2.VERSION"]], "version (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.VERSION"]], "version (fints.segments.message.hnvsd1 attribute)": [[4, "fints.segments.message.HNVSD1.VERSION"]], "version (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.VERSION"]], "version (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.VERSION"]], "version (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.VERSION"]], "version (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.VERSION"]], "version (fints.segments.saldo.hksal5 attribute)": [[4, "fints.segments.saldo.HKSAL5.VERSION"]], "version (fints.segments.saldo.hksal6 attribute)": [[4, "fints.segments.saldo.HKSAL6.VERSION"]], "version (fints.segments.saldo.hksal7 attribute)": [[4, "fints.segments.saldo.HKSAL7.VERSION"]], "version (fints.segments.statement.dikku2 attribute)": [[4, "fints.segments.statement.DIKKU2.VERSION"]], "version (fints.segments.statement.dikkus2 attribute)": [[4, "fints.segments.statement.DIKKUS2.VERSION"]], "version (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.VERSION"]], "version (fints.segments.statement.hicaz1 attribute)": [[4, "fints.segments.statement.HICAZ1.VERSION"]], "version (fints.segments.statement.hikaz5 attribute)": [[4, "fints.segments.statement.HIKAZ5.VERSION"]], "version (fints.segments.statement.hikaz6 attribute)": [[4, "fints.segments.statement.HIKAZ6.VERSION"]], "version (fints.segments.statement.hikaz7 attribute)": [[4, "fints.segments.statement.HIKAZ7.VERSION"]], "version (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.VERSION"]], "version (fints.segments.statement.hkkaz5 attribute)": [[4, "fints.segments.statement.HKKAZ5.VERSION"]], "version (fints.segments.statement.hkkaz6 attribute)": [[4, "fints.segments.statement.HKKAZ6.VERSION"]], "version (fints.segments.statement.hkkaz7 attribute)": [[4, "fints.segments.statement.HKKAZ7.VERSION"]], "version (fints.segments.transfer.hiccms1 attribute)": [[4, "fints.segments.transfer.HICCMS1.VERSION"]], "version (fints.segments.transfer.hkccm1 attribute)": [[4, "fints.segments.transfer.HKCCM1.VERSION"]], "version (fints.segments.transfer.hkccs1 attribute)": [[4, "fints.segments.transfer.HKCCS1.VERSION"]], "version (fints.segments.transfer.hkipm1 attribute)": [[4, "fints.segments.transfer.HKIPM1.VERSION"]], "version (fints.segments.transfer.hkipz1 attribute)": [[4, "fints.segments.transfer.HKIPZ1.VERSION"]], "account (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.account"]], "account (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.account"]], "account (fints.segments.debit.batchdebitbase attribute)": [[4, "fints.segments.debit.BatchDebitBase.account"]], "account (fints.segments.debit.hidbs1 attribute)": [[4, "fints.segments.debit.HIDBS1.account"]], "account (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.account"]], "account (fints.segments.debit.hidmb1 attribute)": [[4, "fints.segments.debit.HIDMB1.account"]], "account (fints.segments.debit.hkdbs1 attribute)": [[4, "fints.segments.debit.HKDBS1.account"]], "account (fints.segments.debit.hkdbs2 attribute)": [[4, "fints.segments.debit.HKDBS2.account"]], "account (fints.segments.debit.hkdmb1 attribute)": [[4, "fints.segments.debit.HKDMB1.account"]], "account (fints.segments.debit.hkdsc1 attribute)": [[4, "fints.segments.debit.HKDSC1.account"]], "account (fints.segments.debit.hkdse1 attribute)": [[4, "fints.segments.debit.HKDSE1.account"]], "account (fints.segments.debit.hkdse2 attribute)": [[4, "fints.segments.debit.HKDSE2.account"]], "account (fints.segments.depot.hkwpd5 attribute)": [[4, "fints.segments.depot.HKWPD5.account"]], "account (fints.segments.depot.hkwpd6 attribute)": [[4, "fints.segments.depot.HKWPD6.account"]], "account (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.account"]], "account (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.account"]], "account (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.account"]], "account (fints.segments.saldo.hksal5 attribute)": [[4, "fints.segments.saldo.HKSAL5.account"]], "account (fints.segments.saldo.hksal6 attribute)": [[4, "fints.segments.saldo.HKSAL6.account"]], "account (fints.segments.saldo.hksal7 attribute)": [[4, "fints.segments.saldo.HKSAL7.account"]], "account (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.account"]], "account (fints.segments.statement.hicaz1 attribute)": [[4, "fints.segments.statement.HICAZ1.account"]], "account (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.account"]], "account (fints.segments.statement.hkkaz5 attribute)": [[4, "fints.segments.statement.HKKAZ5.account"]], "account (fints.segments.statement.hkkaz6 attribute)": [[4, "fints.segments.statement.HKKAZ6.account"]], "account (fints.segments.statement.hkkaz7 attribute)": [[4, "fints.segments.statement.HKKAZ7.account"]], "account (fints.segments.transfer.hkccm1 attribute)": [[4, "fints.segments.transfer.HKCCM1.account"]], "account (fints.segments.transfer.hkccs1 attribute)": [[4, "fints.segments.transfer.HKCCS1.account"]], "account (fints.segments.transfer.hkipm1 attribute)": [[4, "fints.segments.transfer.HKIPM1.account"]], "account (fints.segments.transfer.hkipz1 attribute)": [[4, "fints.segments.transfer.HKIPZ1.account"]], "account_currency (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.account_currency"]], "account_information (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.account_information"]], "account_limit (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.account_limit"]], "account_product (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.account_product"]], "account_product (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.account_product"]], "account_product (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.account_product"]], "account_product_name (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.account_product_name"]], "account_type (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.account_type"]], "accounts (fints.segments.accounts.hispa1 attribute)": [[4, "fints.segments.accounts.HISPA1.accounts"]], "accounts (fints.segments.accounts.hkspa1 attribute)": [[4, "fints.segments.accounts.HKSPA1.accounts"]], "all_accounts (fints.segments.saldo.hksal5 attribute)": [[4, "fints.segments.saldo.HKSAL5.all_accounts"]], "all_accounts (fints.segments.saldo.hksal6 attribute)": [[4, "fints.segments.saldo.HKSAL6.all_accounts"]], "all_accounts (fints.segments.saldo.hksal7 attribute)": [[4, "fints.segments.saldo.HKSAL7.all_accounts"]], "all_accounts (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.all_accounts"]], "all_accounts (fints.segments.statement.hkkaz5 attribute)": [[4, "fints.segments.statement.HKKAZ5.all_accounts"]], "all_accounts (fints.segments.statement.hkkaz6 attribute)": [[4, "fints.segments.statement.HKKAZ6.all_accounts"]], "all_accounts (fints.segments.statement.hkkaz7 attribute)": [[4, "fints.segments.statement.HKKAZ7.all_accounts"]], "allowed_transactions (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.allowed_transactions"]], "available_amount (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.available_amount"]], "available_amount (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.available_amount"]], "available_amount (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.available_amount"]], "balance_booked (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.balance_booked"]], "balance_booked (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.balance_booked"]], "balance_booked (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.balance_booked"]], "balance_pending (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.balance_pending"]], "balance_pending (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.balance_pending"]], "balance_pending (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.balance_pending"]], "bank_identifier (fints.segments.auth.hkidn2 attribute)": [[4, "fints.segments.auth.HKIDN2.bank_identifier"]], "bank_identifier (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.bank_identifier"]], "bank_identifier (fints.segments.bank.hikom4 attribute)": [[4, "fints.segments.bank.HIKOM4.bank_identifier"]], "bank_name (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.bank_name"]], "ben (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.ben"]], "ben (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.ben"]], "ben (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.ben"]], "booking_date (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.booking_date"]], "booking_time (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.booking_time"]], "booking_timestamp (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.booking_timestamp"]], "booking_timestamp (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.booking_timestamp"]], "bpd_version (fints.segments.auth.hkvvb3 attribute)": [[4, "fints.segments.auth.HKVVB3.bpd_version"]], "bpd_version (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.bpd_version"]], "camt_descriptor (fints.segments.statement.hicaz1 attribute)": [[4, "fints.segments.statement.HICAZ1.camt_descriptor"]], "cancel_task (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.cancel_task"]], "cancel_task (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.cancel_task"]], "cancel_task (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.cancel_task"]], "cancel_task (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.cancel_task"]], "certificate (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.certificate"]], "certificate (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.certificate"]], "challenge (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.challenge"]], "challenge (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.challenge"]], "challenge (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.challenge"]], "challenge (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.challenge"]], "challenge_class (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.challenge_class"]], "challenge_class (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.challenge_class"]], "challenge_class (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.challenge_class"]], "challenge_class (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.challenge_class"]], "challenge_hhduc (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.challenge_hhduc"]], "challenge_hhduc (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.challenge_hhduc"]], "challenge_valid_until (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.challenge_valid_until"]], "challenge_valid_until (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.challenge_valid_until"]], "challenge_valid_until (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.challenge_valid_until"]], "challenge_valid_until (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.challenge_valid_until"]], "communication_parameters (fints.segments.bank.hikom4 attribute)": [[4, "fints.segments.bank.HIKOM4.communication_parameters"]], "compression_function (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.compression_function"]], "credit_card_number (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.credit_card_number"]], "currency (fints.segments.depot.hkwpd5 attribute)": [[4, "fints.segments.depot.HKWPD5.currency"]], "currency (fints.segments.depot.hkwpd6 attribute)": [[4, "fints.segments.depot.HKWPD6.currency"]], "currency (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.currency"]], "currency (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.currency"]], "currency (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.currency"]], "customer_id (fints.segments.auth.hkidn2 attribute)": [[4, "fints.segments.auth.HKIDN2.customer_id"]], "customer_id (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.customer_id"]], "data (fints.segments.message.hnvsd1 attribute)": [[4, "fints.segments.message.HNVSD1.data"]], "date (fints.segments.journal.hipro3 attribute)": [[4, "fints.segments.journal.HIPRO3.date"]], "date (fints.segments.journal.hipro4 attribute)": [[4, "fints.segments.journal.HIPRO4.date"]], "date_booked (fints.segments.debit.hidmb1 attribute)": [[4, "fints.segments.debit.HIDMB1.date_booked"]], "date_due (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.date_due"]], "date_due (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.date_due"]], "date_due (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.date_due"]], "date_end (fints.segments.debit.hkdbs1 attribute)": [[4, "fints.segments.debit.HKDBS1.date_end"]], "date_end (fints.segments.debit.hkdbs2 attribute)": [[4, "fints.segments.debit.HKDBS2.date_end"]], "date_end (fints.segments.debit.hkdmb1 attribute)": [[4, "fints.segments.debit.HKDMB1.date_end"]], "date_end (fints.segments.journal.hkpro3 attribute)": [[4, "fints.segments.journal.HKPRO3.date_end"]], "date_end (fints.segments.journal.hkpro4 attribute)": [[4, "fints.segments.journal.HKPRO4.date_end"]], "date_end (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.date_end"]], "date_end (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.date_end"]], "date_end (fints.segments.statement.hkkaz5 attribute)": [[4, "fints.segments.statement.HKKAZ5.date_end"]], "date_end (fints.segments.statement.hkkaz6 attribute)": [[4, "fints.segments.statement.HKKAZ6.date_end"]], "date_end (fints.segments.statement.hkkaz7 attribute)": [[4, "fints.segments.statement.HKKAZ7.date_end"]], "date_entered (fints.segments.debit.hidmb1 attribute)": [[4, "fints.segments.debit.HIDMB1.date_entered"]], "date_start (fints.segments.debit.hkdbs1 attribute)": [[4, "fints.segments.debit.HKDBS1.date_start"]], "date_start (fints.segments.debit.hkdbs2 attribute)": [[4, "fints.segments.debit.HKDBS2.date_start"]], "date_start (fints.segments.debit.hkdmb1 attribute)": [[4, "fints.segments.debit.HKDMB1.date_start"]], "date_start (fints.segments.journal.hkpro3 attribute)": [[4, "fints.segments.journal.HKPRO3.date_start"]], "date_start (fints.segments.journal.hkpro4 attribute)": [[4, "fints.segments.journal.HKPRO4.date_start"]], "date_start (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.date_start"]], "date_start (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.date_start"]], "date_start (fints.segments.statement.hkkaz5 attribute)": [[4, "fints.segments.statement.HKKAZ5.date_start"]], "date_start (fints.segments.statement.hkkaz6 attribute)": [[4, "fints.segments.statement.HKKAZ6.date_start"]], "date_start (fints.segments.statement.hkkaz7 attribute)": [[4, "fints.segments.statement.HKKAZ7.date_start"]], "debit_count (fints.segments.debit.hidmb1 attribute)": [[4, "fints.segments.debit.HIDMB1.debit_count"]], "default_language (fints.segments.bank.hikom4 attribute)": [[4, "fints.segments.bank.HIKOM4.default_language"]], "dialog_id (fints.segments.dialog.hkend1 attribute)": [[4, "fints.segments.dialog.HKEND1.dialog_id"]], "dialog_id (fints.segments.message.hnhbk3 attribute)": [[4, "fints.segments.message.HNHBK3.dialog_id"]], "encryption_algorithm (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.encryption_algorithm"]], "end_bank_identifier (fints.segments.bank.hkkom4 attribute)": [[4, "fints.segments.bank.HKKOM4.end_bank_identifier"]], "extension (fints.segments.bank.hiupa4 attribute)": [[4, "fints.segments.bank.HIUPA4.extension"]], "extension (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.extension"]], "fints.segments.accounts": [[4, "module-fints.segments.accounts"]], "fints.segments.auth": [[4, "module-fints.segments.auth"]], "fints.segments.bank": [[4, "module-fints.segments.bank"]], "fints.segments.base": [[4, "module-fints.segments.base"]], "fints.segments.debit": [[4, "module-fints.segments.debit"]], "fints.segments.depot": [[4, "module-fints.segments.depot"]], "fints.segments.dialog": [[4, "module-fints.segments.dialog"]], "fints.segments.journal": [[4, "module-fints.segments.journal"]], "fints.segments.message": [[4, "module-fints.segments.message"]], "fints.segments.saldo": [[4, "module-fints.segments.saldo"]], "fints.segments.statement": [[4, "module-fints.segments.statement"]], "fints.segments.transfer": [[4, "module-fints.segments.transfer"]], "further_tan_follows (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.further_tan_follows"]], "further_tan_follows (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.further_tan_follows"]], "further_tan_follows (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.further_tan_follows"]], "further_tan_follows (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.further_tan_follows"]], "hash_algorithm (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.hash_algorithm"]], "hbci_version (fints.segments.message.hnhbk3 attribute)": [[4, "fints.segments.message.HNHBK3.hbci_version"]], "holdings (fints.segments.depot.hiwpd5 attribute)": [[4, "fints.segments.depot.HIWPD5.holdings"]], "holdings (fints.segments.depot.hiwpd6 attribute)": [[4, "fints.segments.depot.HIWPD6.holdings"]], "iban (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.iban"]], "key_name (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.key_name"]], "key_name (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.key_name"]], "language (fints.segments.auth.hkvvb3 attribute)": [[4, "fints.segments.auth.HKVVB3.language"]], "line_of_credit (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.line_of_credit"]], "line_of_credit (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.line_of_credit"]], "line_of_credit (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.line_of_credit"]], "max_message_length (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.max_message_length"]], "max_number_responses (fints.segments.bank.hkkom4 attribute)": [[4, "fints.segments.bank.HKKOM4.max_number_responses"]], "max_number_responses (fints.segments.debit.hkdbs1 attribute)": [[4, "fints.segments.debit.HKDBS1.max_number_responses"]], "max_number_responses (fints.segments.debit.hkdbs2 attribute)": [[4, "fints.segments.debit.HKDBS2.max_number_responses"]], "max_number_responses (fints.segments.debit.hkdmb1 attribute)": [[4, "fints.segments.debit.HKDMB1.max_number_responses"]], "max_number_responses (fints.segments.depot.hkwpd5 attribute)": [[4, "fints.segments.depot.HKWPD5.max_number_responses"]], "max_number_responses (fints.segments.depot.hkwpd6 attribute)": [[4, "fints.segments.depot.HKWPD6.max_number_responses"]], "max_number_responses (fints.segments.journal.hkpro3 attribute)": [[4, "fints.segments.journal.HKPRO3.max_number_responses"]], "max_number_responses (fints.segments.journal.hkpro4 attribute)": [[4, "fints.segments.journal.HKPRO4.max_number_responses"]], "max_number_responses (fints.segments.saldo.hksal5 attribute)": [[4, "fints.segments.saldo.HKSAL5.max_number_responses"]], "max_number_responses (fints.segments.saldo.hksal6 attribute)": [[4, "fints.segments.saldo.HKSAL6.max_number_responses"]], "max_number_responses (fints.segments.saldo.hksal7 attribute)": [[4, "fints.segments.saldo.HKSAL7.max_number_responses"]], "max_number_responses (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.max_number_responses"]], "max_number_responses (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.max_number_responses"]], "max_number_responses (fints.segments.statement.hkkaz5 attribute)": [[4, "fints.segments.statement.HKKAZ5.max_number_responses"]], "max_number_responses (fints.segments.statement.hkkaz6 attribute)": [[4, "fints.segments.statement.HKKAZ6.max_number_responses"]], "max_number_responses (fints.segments.statement.hkkaz7 attribute)": [[4, "fints.segments.statement.HKKAZ7.max_number_responses"]], "max_number_tasks (fints.segments.base.parametersegment attribute)": [[4, "fints.segments.base.ParameterSegment.max_number_tasks"]], "max_number_tasks (fints.segments.base.parametersegment_22 attribute)": [[4, "fints.segments.base.ParameterSegment_22.max_number_tasks"]], "max_timeout (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.max_timeout"]], "message_number (fints.segments.dialog.hisyn4 attribute)": [[4, "fints.segments.dialog.HISYN4.message_number"]], "message_number (fints.segments.message.hnhbk3 attribute)": [[4, "fints.segments.message.HNHBK3.message_number"]], "message_number (fints.segments.message.hnhbs1 attribute)": [[4, "fints.segments.message.HNHBS1.message_number"]], "message_size (fints.segments.message.hnhbk3 attribute)": [[4, "fints.segments.message.HNHBK3.message_size"]], "min_number_signatures (fints.segments.base.parametersegment attribute)": [[4, "fints.segments.base.ParameterSegment.min_number_signatures"]], "min_number_signatures (fints.segments.base.parametersegment_22 attribute)": [[4, "fints.segments.base.ParameterSegment_22.min_number_signatures"]], "min_timeout (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.min_timeout"]], "module": [[4, "module-fints.segments.accounts"], [4, "module-fints.segments.auth"], [4, "module-fints.segments.bank"], [4, "module-fints.segments.base"], [4, "module-fints.segments.debit"], [4, "module-fints.segments.depot"], [4, "module-fints.segments.dialog"], [4, "module-fints.segments.journal"], [4, "module-fints.segments.message"], [4, "module-fints.segments.saldo"], [4, "module-fints.segments.statement"], [4, "module-fints.segments.transfer"], [7, "module-fints.fields"], [7, "module-fints.formals"], [7, "module-fints.types"]], "mro() (fints.segments.base.fints3segmentmeta method)": [[4, "fints.segments.base.FinTS3SegmentMeta.mro"]], "name_account_owner_1 (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.name_account_owner_1"]], "name_account_owner_2 (fints.segments.bank.hiupd6 attribute)": [[4, "fints.segments.bank.HIUPD6.name_account_owner_2"]], "number_tasks (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.number_tasks"]], "overdraft (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.overdraft"]], "overdraft (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.overdraft"]], "parameter (fints.segments.accounts.hispas1 attribute)": [[4, "fints.segments.accounts.HISPAS1.parameter"]], "parameter (fints.segments.auth.hipins1 attribute)": [[4, "fints.segments.auth.HIPINS1.parameter"]], "parameter (fints.segments.auth.hitans1 attribute)": [[4, "fints.segments.auth.HITANS1.parameter"]], "parameter (fints.segments.auth.hitans2 attribute)": [[4, "fints.segments.auth.HITANS2.parameter"]], "parameter (fints.segments.auth.hitans3 attribute)": [[4, "fints.segments.auth.HITANS3.parameter"]], "parameter (fints.segments.auth.hitans4 attribute)": [[4, "fints.segments.auth.HITANS4.parameter"]], "parameter (fints.segments.auth.hitans5 attribute)": [[4, "fints.segments.auth.HITANS5.parameter"]], "parameter (fints.segments.auth.hitans6 attribute)": [[4, "fints.segments.auth.HITANS6.parameter"]], "parameter (fints.segments.debit.hidbss1 attribute)": [[4, "fints.segments.debit.HIDBSS1.parameter"]], "parameter (fints.segments.debit.hidbss2 attribute)": [[4, "fints.segments.debit.HIDBSS2.parameter"]], "parameter (fints.segments.debit.hidmbs1 attribute)": [[4, "fints.segments.debit.HIDMBS1.parameter"]], "parameter (fints.segments.debit.hidmcs1 attribute)": [[4, "fints.segments.debit.HIDMCS1.parameter"]], "parameter (fints.segments.debit.hidmes1 attribute)": [[4, "fints.segments.debit.HIDMES1.parameter"]], "parameter (fints.segments.debit.hidmes2 attribute)": [[4, "fints.segments.debit.HIDMES2.parameter"]], "parameter (fints.segments.debit.hidscs1 attribute)": [[4, "fints.segments.debit.HIDSCS1.parameter"]], "parameter (fints.segments.debit.hidses1 attribute)": [[4, "fints.segments.debit.HIDSES1.parameter"]], "parameter (fints.segments.debit.hidses2 attribute)": [[4, "fints.segments.debit.HIDSES2.parameter"]], "parameter (fints.segments.statement.dikkus2 attribute)": [[4, "fints.segments.statement.DIKKUS2.parameter"]], "parameter (fints.segments.transfer.hiccms1 attribute)": [[4, "fints.segments.transfer.HICCMS1.parameter"]], "parameter_challenge_class (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.parameter_challenge_class"]], "parameter_challenge_class (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.parameter_challenge_class"]], "parameter_challenge_class (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.parameter_challenge_class"]], "parameter_challenge_class (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.parameter_challenge_class"]], "product_name (fints.segments.auth.hkvvb3 attribute)": [[4, "fints.segments.auth.HKVVB3.product_name"]], "product_version (fints.segments.auth.hkvvb3 attribute)": [[4, "fints.segments.auth.HKVVB3.product_version"]], "quality (fints.segments.depot.hkwpd5 attribute)": [[4, "fints.segments.depot.HKWPD5.quality"]], "quality (fints.segments.depot.hkwpd6 attribute)": [[4, "fints.segments.depot.HKWPD6.quality"]], "reference (fints.segments.journal.hipro3 attribute)": [[4, "fints.segments.journal.HIPRO3.reference"]], "reference (fints.segments.journal.hipro4 attribute)": [[4, "fints.segments.journal.HIPRO4.reference"]], "reference_message (fints.segments.journal.hipro3 attribute)": [[4, "fints.segments.journal.HIPRO3.reference_message"]], "reference_message (fints.segments.journal.hipro4 attribute)": [[4, "fints.segments.journal.HIPRO4.reference_message"]], "reference_message (fints.segments.message.hnhbk3 attribute)": [[4, "fints.segments.message.HNHBK3.reference_message"]], "request_single_booking (fints.segments.debit.batchdebitbase attribute)": [[4, "fints.segments.debit.BatchDebitBase.request_single_booking"]], "request_single_booking (fints.segments.transfer.hkccm1 attribute)": [[4, "fints.segments.transfer.HKCCM1.request_single_booking"]], "request_single_booking (fints.segments.transfer.hkipm1 attribute)": [[4, "fints.segments.transfer.HKIPM1.request_single_booking"]], "response_hhd_uc (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.response_hhd_uc"]], "responses (fints.segments.dialog.hirmg2 attribute)": [[4, "fints.segments.dialog.HIRMG2.responses"]], "responses (fints.segments.dialog.hirms2 attribute)": [[4, "fints.segments.dialog.HIRMS2.responses"]], "responses (fints.segments.journal.hipro3 attribute)": [[4, "fints.segments.journal.HIPRO3.responses"]], "responses (fints.segments.journal.hipro4 attribute)": [[4, "fints.segments.journal.HIPRO4.responses"]], "security_application_area (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.security_application_area"]], "security_class (fints.segments.base.parametersegment attribute)": [[4, "fints.segments.base.ParameterSegment.security_class"]], "security_datetime (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.security_datetime"]], "security_datetime (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.security_datetime"]], "security_function (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.security_function"]], "security_function (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.security_function"]], "security_identification_details (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.security_identification_details"]], "security_identification_details (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.security_identification_details"]], "security_profile (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.security_profile"]], "security_profile (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.security_profile"]], "security_reference (fints.segments.message.hnsha2 attribute)": [[4, "fints.segments.message.HNSHA2.security_reference"]], "security_reference (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.security_reference"]], "security_reference_digital_signature (fints.segments.dialog.hisyn4 attribute)": [[4, "fints.segments.dialog.HISYN4.security_reference_digital_signature"]], "security_reference_number (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.security_reference_number"]], "security_reference_signature_key (fints.segments.dialog.hisyn4 attribute)": [[4, "fints.segments.dialog.HISYN4.security_reference_signature_key"]], "security_role (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.security_role"]], "security_role (fints.segments.message.hnvsk3 attribute)": [[4, "fints.segments.message.HNVSK3.security_role"]], "segment_type (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.segment_type"]], "segment_type (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.segment_type"]], "sepa_c_code (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.sepa_c_code"]], "sepa_descriptor (fints.segments.debit.batchdebitbase attribute)": [[4, "fints.segments.debit.BatchDebitBase.sepa_descriptor"]], "sepa_descriptor (fints.segments.debit.hidbs1 attribute)": [[4, "fints.segments.debit.HIDBS1.sepa_descriptor"]], "sepa_descriptor (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.sepa_descriptor"]], "sepa_descriptor (fints.segments.debit.hkdsc1 attribute)": [[4, "fints.segments.debit.HKDSC1.sepa_descriptor"]], "sepa_descriptor (fints.segments.debit.hkdse1 attribute)": [[4, "fints.segments.debit.HKDSE1.sepa_descriptor"]], "sepa_descriptor (fints.segments.debit.hkdse2 attribute)": [[4, "fints.segments.debit.HKDSE2.sepa_descriptor"]], "sepa_descriptor (fints.segments.transfer.hkccm1 attribute)": [[4, "fints.segments.transfer.HKCCM1.sepa_descriptor"]], "sepa_descriptor (fints.segments.transfer.hkccs1 attribute)": [[4, "fints.segments.transfer.HKCCS1.sepa_descriptor"]], "sepa_descriptor (fints.segments.transfer.hkipm1 attribute)": [[4, "fints.segments.transfer.HKIPM1.sepa_descriptor"]], "sepa_descriptor (fints.segments.transfer.hkipz1 attribute)": [[4, "fints.segments.transfer.HKIPZ1.sepa_descriptor"]], "sepa_pain_message (fints.segments.debit.batchdebitbase attribute)": [[4, "fints.segments.debit.BatchDebitBase.sepa_pain_message"]], "sepa_pain_message (fints.segments.debit.hidbs1 attribute)": [[4, "fints.segments.debit.HIDBS1.sepa_pain_message"]], "sepa_pain_message (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.sepa_pain_message"]], "sepa_pain_message (fints.segments.debit.hkdsc1 attribute)": [[4, "fints.segments.debit.HKDSC1.sepa_pain_message"]], "sepa_pain_message (fints.segments.debit.hkdse1 attribute)": [[4, "fints.segments.debit.HKDSE1.sepa_pain_message"]], "sepa_pain_message (fints.segments.debit.hkdse2 attribute)": [[4, "fints.segments.debit.HKDSE2.sepa_pain_message"]], "sepa_pain_message (fints.segments.transfer.hkccm1 attribute)": [[4, "fints.segments.transfer.HKCCM1.sepa_pain_message"]], "sepa_pain_message (fints.segments.transfer.hkccs1 attribute)": [[4, "fints.segments.transfer.HKCCS1.sepa_pain_message"]], "sepa_pain_message (fints.segments.transfer.hkipm1 attribute)": [[4, "fints.segments.transfer.HKIPM1.sepa_pain_message"]], "sepa_pain_message (fints.segments.transfer.hkipz1 attribute)": [[4, "fints.segments.transfer.HKIPZ1.sepa_pain_message"]], "signature_algorithm (fints.segments.message.hnshk4 attribute)": [[4, "fints.segments.message.HNSHK4.signature_algorithm"]], "sms_charge_account (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.sms_charge_account"]], "sms_charge_account (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.sms_charge_account"]], "start_bank_identifier (fints.segments.bank.hkkom4 attribute)": [[4, "fints.segments.bank.HKKOM4.start_bank_identifier"]], "statement_booked (fints.segments.statement.hicaz1 attribute)": [[4, "fints.segments.statement.HICAZ1.statement_booked"]], "statement_booked (fints.segments.statement.hikaz5 attribute)": [[4, "fints.segments.statement.HIKAZ5.statement_booked"]], "statement_booked (fints.segments.statement.hikaz6 attribute)": [[4, "fints.segments.statement.HIKAZ6.statement_booked"]], "statement_booked (fints.segments.statement.hikaz7 attribute)": [[4, "fints.segments.statement.HIKAZ7.statement_booked"]], "statement_pending (fints.segments.statement.hicaz1 attribute)": [[4, "fints.segments.statement.HICAZ1.statement_pending"]], "statement_pending (fints.segments.statement.hikaz5 attribute)": [[4, "fints.segments.statement.HIKAZ5.statement_pending"]], "statement_pending (fints.segments.statement.hikaz6 attribute)": [[4, "fints.segments.statement.HIKAZ6.statement_pending"]], "statement_pending (fints.segments.statement.hikaz7 attribute)": [[4, "fints.segments.statement.HIKAZ7.statement_pending"]], "status_sepa_task (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.status_sepa_task"]], "subaccount (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.subaccount"]], "sum_amount (fints.segments.debit.batchdebitbase attribute)": [[4, "fints.segments.debit.BatchDebitBase.sum_amount"]], "sum_amount (fints.segments.debit.hidmb1 attribute)": [[4, "fints.segments.debit.HIDMB1.sum_amount"]], "sum_amount (fints.segments.transfer.hkccm1 attribute)": [[4, "fints.segments.transfer.HKCCM1.sum_amount"]], "sum_amount (fints.segments.transfer.hkipm1 attribute)": [[4, "fints.segments.transfer.HKIPM1.sum_amount"]], "supported_camt_messages (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.supported_camt_messages"]], "supported_hbci_version (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.supported_hbci_version"]], "supported_languages (fints.segments.bank.hibpa3 attribute)": [[4, "fints.segments.bank.HIBPA3.supported_languages"]], "supported_sepa_pain_messages (fints.segments.debit.hkdbs1 attribute)": [[4, "fints.segments.debit.HKDBS1.supported_sepa_pain_messages"]], "supported_sepa_pain_messages (fints.segments.debit.hkdbs2 attribute)": [[4, "fints.segments.debit.HKDBS2.supported_sepa_pain_messages"]], "synchronization_mode (fints.segments.dialog.hksyn3 attribute)": [[4, "fints.segments.dialog.HKSYN3.synchronization_mode"]], "system_id (fints.segments.auth.hkidn2 attribute)": [[4, "fints.segments.auth.HKIDN2.system_id"]], "system_id (fints.segments.dialog.hisyn4 attribute)": [[4, "fints.segments.dialog.HISYN4.system_id"]], "system_id_status (fints.segments.auth.hkidn2 attribute)": [[4, "fints.segments.auth.HKIDN2.system_id_status"]], "tan_list_number (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.tan_list_number"]], "tan_list_number (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.tan_list_number"]], "tan_list_number (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.tan_list_number"]], "tan_list_number (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.tan_list_number"]], "tan_list_number (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.tan_list_number"]], "tan_list_number (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.tan_list_number"]], "tan_media_class (fints.segments.auth.hktab4 attribute)": [[4, "fints.segments.auth.HKTAB4.tan_media_class"]], "tan_media_class (fints.segments.auth.hktab5 attribute)": [[4, "fints.segments.auth.HKTAB5.tan_media_class"]], "tan_media_list (fints.segments.auth.hitab4 attribute)": [[4, "fints.segments.auth.HITAB4.tan_media_list"]], "tan_media_list (fints.segments.auth.hitab5 attribute)": [[4, "fints.segments.auth.HITAB5.tan_media_list"]], "tan_media_type (fints.segments.auth.hktab4 attribute)": [[4, "fints.segments.auth.HKTAB4.tan_media_type"]], "tan_media_type (fints.segments.auth.hktab5 attribute)": [[4, "fints.segments.auth.HKTAB5.tan_media_type"]], "tan_medium_name (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.tan_medium_name"]], "tan_medium_name (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.tan_medium_name"]], "tan_medium_name (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.tan_medium_name"]], "tan_medium_name (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.tan_medium_name"]], "tan_medium_name (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.tan_medium_name"]], "tan_medium_name (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.tan_medium_name"]], "tan_process (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.tan_process"]], "tan_process (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.tan_process"]], "tan_process (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.tan_process"]], "tan_process (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.tan_process"]], "tan_process (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.tan_process"]], "tan_process (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.tan_process"]], "tan_process (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.tan_process"]], "tan_process (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.tan_process"]], "tan_usage_option (fints.segments.auth.hitab4 attribute)": [[4, "fints.segments.auth.HITAB4.tan_usage_option"]], "tan_usage_option (fints.segments.auth.hitab5 attribute)": [[4, "fints.segments.auth.HITAB5.tan_usage_option"]], "task_cancelable (fints.segments.debit.hidbs1 attribute)": [[4, "fints.segments.debit.HIDBS1.task_cancelable"]], "task_changeable (fints.segments.debit.hidbs1 attribute)": [[4, "fints.segments.debit.HIDBS1.task_changeable"]], "task_changeable (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.task_changeable"]], "task_hash_value (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.task_hash_value"]], "task_hash_value (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.task_hash_value"]], "task_hash_value (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.task_hash_value"]], "task_hash_value (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.task_hash_value"]], "task_hash_value (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.task_hash_value"]], "task_hash_value (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.task_hash_value"]], "task_hash_value (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.task_hash_value"]], "task_hash_value (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.task_hash_value"]], "task_id (fints.segments.debit.debitresponsebase attribute)": [[4, "fints.segments.debit.DebitResponseBase.task_id"]], "task_id (fints.segments.debit.hidbs1 attribute)": [[4, "fints.segments.debit.HIDBS1.task_id"]], "task_id (fints.segments.debit.hidbs2 attribute)": [[4, "fints.segments.debit.HIDBS2.task_id"]], "task_id (fints.segments.debit.hidmb1 attribute)": [[4, "fints.segments.debit.HIDMB1.task_id"]], "task_reference (fints.segments.auth.hitan2 attribute)": [[4, "fints.segments.auth.HITAN2.task_reference"]], "task_reference (fints.segments.auth.hitan3 attribute)": [[4, "fints.segments.auth.HITAN3.task_reference"]], "task_reference (fints.segments.auth.hitan5 attribute)": [[4, "fints.segments.auth.HITAN5.task_reference"]], "task_reference (fints.segments.auth.hitan6 attribute)": [[4, "fints.segments.auth.HITAN6.task_reference"]], "task_reference (fints.segments.auth.hktan2 attribute)": [[4, "fints.segments.auth.HKTAN2.task_reference"]], "task_reference (fints.segments.auth.hktan3 attribute)": [[4, "fints.segments.auth.HKTAN3.task_reference"]], "task_reference (fints.segments.auth.hktan5 attribute)": [[4, "fints.segments.auth.HKTAN5.task_reference"]], "task_reference (fints.segments.auth.hktan6 attribute)": [[4, "fints.segments.auth.HKTAN6.task_reference"]], "time (fints.segments.journal.hipro3 attribute)": [[4, "fints.segments.journal.HIPRO3.time"]], "time (fints.segments.journal.hipro4 attribute)": [[4, "fints.segments.journal.HIPRO4.time"]], "touchdown_point (fints.segments.bank.hkkom4 attribute)": [[4, "fints.segments.bank.HKKOM4.touchdown_point"]], "touchdown_point (fints.segments.debit.hkdbs1 attribute)": [[4, "fints.segments.debit.HKDBS1.touchdown_point"]], "touchdown_point (fints.segments.debit.hkdbs2 attribute)": [[4, "fints.segments.debit.HKDBS2.touchdown_point"]], "touchdown_point (fints.segments.debit.hkdmb1 attribute)": [[4, "fints.segments.debit.HKDMB1.touchdown_point"]], "touchdown_point (fints.segments.depot.hkwpd5 attribute)": [[4, "fints.segments.depot.HKWPD5.touchdown_point"]], "touchdown_point (fints.segments.depot.hkwpd6 attribute)": [[4, "fints.segments.depot.HKWPD6.touchdown_point"]], "touchdown_point (fints.segments.journal.hkpro3 attribute)": [[4, "fints.segments.journal.HKPRO3.touchdown_point"]], "touchdown_point (fints.segments.journal.hkpro4 attribute)": [[4, "fints.segments.journal.HKPRO4.touchdown_point"]], "touchdown_point (fints.segments.saldo.hksal5 attribute)": [[4, "fints.segments.saldo.HKSAL5.touchdown_point"]], "touchdown_point (fints.segments.saldo.hksal6 attribute)": [[4, "fints.segments.saldo.HKSAL6.touchdown_point"]], "touchdown_point (fints.segments.saldo.hksal7 attribute)": [[4, "fints.segments.saldo.HKSAL7.touchdown_point"]], "touchdown_point (fints.segments.statement.dkkku2 attribute)": [[4, "fints.segments.statement.DKKKU2.touchdown_point"]], "touchdown_point (fints.segments.statement.hkcaz1 attribute)": [[4, "fints.segments.statement.HKCAZ1.touchdown_point"]], "touchdown_point (fints.segments.statement.hkkaz5 attribute)": [[4, "fints.segments.statement.HKKAZ5.touchdown_point"]], "touchdown_point (fints.segments.statement.hkkaz6 attribute)": [[4, "fints.segments.statement.HKKAZ6.touchdown_point"]], "touchdown_point (fints.segments.statement.hkkaz7 attribute)": [[4, "fints.segments.statement.HKKAZ7.touchdown_point"]], "upd_usage (fints.segments.bank.hiupa4 attribute)": [[4, "fints.segments.bank.HIUPA4.upd_usage"]], "upd_version (fints.segments.auth.hkvvb3 attribute)": [[4, "fints.segments.auth.HKVVB3.upd_version"]], "upd_version (fints.segments.bank.hiupa4 attribute)": [[4, "fints.segments.bank.HIUPA4.upd_version"]], "used_amount (fints.segments.saldo.hisal5 attribute)": [[4, "fints.segments.saldo.HISAL5.used_amount"]], "used_amount (fints.segments.saldo.hisal6 attribute)": [[4, "fints.segments.saldo.HISAL6.used_amount"]], "used_amount (fints.segments.saldo.hisal7 attribute)": [[4, "fints.segments.saldo.HISAL7.used_amount"]], "user_defined_signature (fints.segments.message.hnsha2 attribute)": [[4, "fints.segments.message.HNSHA2.user_defined_signature"]], "user_identifier (fints.segments.bank.hiupa4 attribute)": [[4, "fints.segments.bank.HIUPA4.user_identifier"]], "username (fints.segments.bank.hiupa4 attribute)": [[4, "fints.segments.bank.HIUPA4.username"]], "validation_result (fints.segments.message.hnsha2 attribute)": [[4, "fints.segments.message.HNSHA2.validation_result"]], "fints3segment (class in fints.segments.base)": [[5, "fints.segments.base.FinTS3Segment"]], "type (fints.segments.base.fints3segment attribute)": [[5, "fints.segments.base.FinTS3Segment.TYPE"]], "version (fints.segments.base.fints3segment attribute)": [[5, "fints.segments.base.FinTS3Segment.VERSION"]], "find_subclass() (fints.segments.base.fints3segment class method)": [[5, "fints.segments.base.FinTS3Segment.find_subclass"]], "header (fints.segments.base.fints3segment attribute)": [[5, "fints.segments.base.FinTS3Segment.header"]], "print_nested() (fints.segments.base.fints3segment method)": [[5, "fints.segments.base.FinTS3Segment.print_nested"]], "segmentsequence (class in fints.types)": [[6, "fints.types.SegmentSequence"]], "find_segment_first() (fints.types.segmentsequence method)": [[6, "fints.types.SegmentSequence.find_segment_first"]], "find_segment_highest_version() (fints.types.segmentsequence method)": [[6, "fints.types.SegmentSequence.find_segment_highest_version"]], "find_segments() (fints.types.segmentsequence method)": [[6, "fints.types.SegmentSequence.find_segments"]], "print_nested() (fints.types.segmentsequence method)": [[6, "fints.types.SegmentSequence.print_nested"]], "render_bytes() (fints.types.segmentsequence method)": [[6, "fints.types.SegmentSequence.render_bytes"]], "active (fints.formals.tanmediatype2 attribute)": [[7, "fints.formals.TANMediaType2.ACTIVE"]], "active (fints.formals.tanmediumstatus attribute)": [[7, "fints.formals.TANMediumStatus.ACTIVE"]], "active_successor (fints.formals.tanmediumstatus attribute)": [[7, "fints.formals.TANMediumStatus.ACTIVE_SUCCESSOR"]], "aes256 (fints.formals.encryptionalgorithmcoded attribute)": [[7, "fints.formals.EncryptionAlgorithmCoded.AES256"]], "all (fints.formals.tanmediaclass3 attribute)": [[7, "fints.formals.TANMediaClass3.ALL"]], "all (fints.formals.tanmediaclass4 attribute)": [[7, "fints.formals.TANMediaClass4.ALL"]], "all (fints.formals.tanmediatype2 attribute)": [[7, "fints.formals.TANMediaType2.ALL"]], "allowed (fints.formals.tantimedialogassociation attribute)": [[7, "fints.formals.TANTimeDialogAssociation.ALLOWED"]], "all_active (fints.formals.tanusageoption attribute)": [[7, "fints.formals.TANUsageOption.ALL_ACTIVE"]], "alphanumeric (fints.formals.allowedformat attribute)": [[7, "fints.formals.AllowedFormat.ALPHANUMERIC"]], "auth (fints.formals.securityclass attribute)": [[7, "fints.formals.SecurityClass.AUTH"]], "auth_adv (fints.formals.securityclass attribute)": [[7, "fints.formals.SecurityClass.AUTH_ADV"]], "available (fints.formals.tanmediatype2 attribute)": [[7, "fints.formals.TANMediaType2.AVAILABLE"]], "available (fints.formals.tanmediumstatus attribute)": [[7, "fints.formals.TANMediumStatus.AVAILABLE"]], "available_successor (fints.formals.tanmediumstatus attribute)": [[7, "fints.formals.TANMediumStatus.AVAILABLE_SUCCESSOR"]], "account2 (class in fints.formals)": [[7, "fints.formals.Account2"]], "account3 (class in fints.formals)": [[7, "fints.formals.Account3"]], "accountinformation (class in fints.formals)": [[7, "fints.formals.AccountInformation"]], "accountlimit (class in fints.formals)": [[7, "fints.formals.AccountLimit"]], "algorithmparameterivname (class in fints.formals)": [[7, "fints.formals.AlgorithmParameterIVName"]], "algorithmparametername (class in fints.formals)": [[7, "fints.formals.AlgorithmParameterName"]], "allowedformat (class in fints.formals)": [[7, "fints.formals.AllowedFormat"]], "allowedtransaction (class in fints.formals)": [[7, "fints.formals.AllowedTransaction"]], "alphanumericfield (class in fints.fields)": [[7, "fints.fields.AlphanumericField"]], "amount1 (class in fints.formals)": [[7, "fints.formals.Amount1"]], "amountfield (class in fints.fields)": [[7, "fints.fields.AmountField"]], "bilateral (fints.formals.tanmediaclass4 attribute)": [[7, "fints.formals.TANMediaClass4.BILATERAL"]], "both (fints.formals.tantimedialogassociation attribute)": [[7, "fints.formals.TANTimeDialogAssociation.BOTH"]], "bzip2 (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.BZIP2"]], "balance1 (class in fints.formals)": [[7, "fints.formals.Balance1"]], "balance2 (class in fints.formals)": [[7, "fints.formals.Balance2"]], "bankidentifier (class in fints.formals)": [[7, "fints.formals.BankIdentifier"]], "batchtransferparameter1 (class in fints.formals)": [[7, "fints.formals.BatchTransferParameter1"]], "binaryfield (class in fints.fields)": [[7, "fints.fields.BinaryField"]], "bookedcamtstatements1 (class in fints.formals)": [[7, "fints.formals.BookedCamtStatements1"]], "booleanfield (class in fints.fields)": [[7, "fints.fields.BooleanField"]], "cbc (fints.formals.operationmode attribute)": [[7, "fints.formals.OperationMode.CBC"]], "cleartext_pin_no_tan (fints.formals.initializationmode attribute)": [[7, "fints.formals.InitializationMode.CLEARTEXT_PIN_NO_TAN"]], "com (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.COM"]], "con (fints.formals.securityrole attribute)": [[7, "fints.formals.SecurityRole.CON"]], "country_alpha_to_numeric (fints.formals.bankidentifier attribute)": [[7, "fints.formals.BankIdentifier.COUNTRY_ALPHA_TO_NUMERIC"]], "country_numeric_to_alpha (fints.formals.bankidentifier attribute)": [[7, "fints.formals.BankIdentifier.COUNTRY_NUMERIC_TO_ALPHA"]], "credit (fints.formals.creditdebit2 attribute)": [[7, "fints.formals.CreditDebit2.CREDIT"]], "crt (fints.formals.datetimetype attribute)": [[7, "fints.formals.DateTimeType.CRT"]], "certificate (class in fints.formals)": [[7, "fints.formals.Certificate"]], "challengevaliduntil (class in fints.formals)": [[7, "fints.formals.ChallengeValidUntil"]], "codefield (class in fints.fields)": [[7, "fints.fields.CodeField"]], "codefieldmixin (class in fints.fields)": [[7, "fints.fields.CodeFieldMixin"]], "communicationparameter2 (class in fints.formals)": [[7, "fints.formals.CommunicationParameter2"]], "compressionfunction (class in fints.formals)": [[7, "fints.formals.CompressionFunction"]], "container (class in fints.types)": [[7, "fints.types.Container"]], "containerfield (class in fints.fields)": [[7, "fints.fields.ContainerField"]], "containermeta (class in fints.types)": [[7, "fints.types.ContainerMeta"]], "countryfield (class in fints.fields)": [[7, "fints.fields.CountryField"]], "creditdebit2 (class in fints.formals)": [[7, "fints.formals.CreditDebit2"]], "currencyfield (class in fints.fields)": [[7, "fints.fields.CurrencyField"]], "d (fints.formals.keytype attribute)": [[7, "fints.formals.KeyType.D"]], "ddv (fints.formals.securitymethod attribute)": [[7, "fints.formals.SecurityMethod.DDV"]], "de (fints.formals.language2 attribute)": [[7, "fints.formals.Language2.DE"]], "debit (fints.formals.creditdebit2 attribute)": [[7, "fints.formals.CreditDebit2.DEBIT"]], "declined (fints.formals.statussepatask1 attribute)": [[7, "fints.formals.StatusSEPATask1.DECLINED"]], "default (fints.formals.language2 attribute)": [[7, "fints.formals.Language2.DEFAULT"]], "deletion (fints.formals.sepaccode1 attribute)": [[7, "fints.formals.SEPACCode1.DELETION"]], "dtausfield (class in fints.fields)": [[7, "fints.fields.DTAUSField"]], "dataelementfield (class in fints.fields)": [[7, "fints.fields.DataElementField"]], "dataelementgroup (class in fints.formals)": [[7, "fints.formals.DataElementGroup"]], "dataelementgroupfield (class in fints.fields)": [[7, "fints.fields.DataElementGroupField"]], "datefield (class in fints.fields)": [[7, "fints.fields.DateField"]], "datetimetype (class in fints.formals)": [[7, "fints.formals.DateTimeType"]], "descriptionrequired (class in fints.formals)": [[7, "fints.formals.DescriptionRequired"]], "digitsfield (class in fints.fields)": [[7, "fints.fields.DigitsField"]], "en (fints.formals.language2 attribute)": [[7, "fints.formals.Language2.EN"]], "encrypted_pin_no_tan (fints.formals.initializationmode attribute)": [[7, "fints.formals.InitializationMode.ENCRYPTED_PIN_NO_TAN"]], "exactly_one (fints.formals.tanusageoption attribute)": [[7, "fints.formals.TANUsageOption.EXACTLY_ONE"]], "encryptionalgorithm (class in fints.formals)": [[7, "fints.formals.EncryptionAlgorithm"]], "encryptionalgorithmcoded (class in fints.formals)": [[7, "fints.formals.EncryptionAlgorithmCoded"]], "fr (fints.formals.language2 attribute)": [[7, "fints.formals.Language2.FR"]], "field (class in fints.types)": [[7, "fints.types.Field"]], "floatfield (class in fints.fields)": [[7, "fints.fields.FloatField"]], "generator (fints.formals.tanmediaclass3 attribute)": [[7, "fints.formals.TANMediaClass3.GENERATOR"]], "generator (fints.formals.tanmediaclass4 attribute)": [[7, "fints.formals.TANMediaClass4.GENERATOR"]], "gzip (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.GZIP"]], "genericfield (class in fints.fields)": [[7, "fints.fields.GenericField"]], "genericgroupfield (class in fints.fields)": [[7, "fints.fields.GenericGroupField"]], "getsepaaccountparameter1 (class in fints.formals)": [[7, "fints.formals.GetSEPAAccountParameter1"]], "https (fints.formals.servicetype2 attribute)": [[7, "fints.formals.ServiceType2.HTTPS"]], "hashalgorithm (class in fints.formals)": [[7, "fints.formals.HashAlgorithm"]], "idfield (class in fints.fields)": [[7, "fints.fields.IDField"]], "id_necessary (fints.formals.systemidstatus attribute)": [[7, "fints.formals.SystemIDStatus.ID_NECESSARY"]], "id_unnecessary (fints.formals.systemidstatus attribute)": [[7, "fints.formals.SystemIDStatus.ID_UNNECESSARY"]], "in_progress (fints.formals.statussepatask1 attribute)": [[7, "fints.formals.StatusSEPATask1.IN_PROGRESS"]], "iso_9796_1 (fints.formals.operationmode attribute)": [[7, "fints.formals.OperationMode.ISO_9796_1"]], "iso_9796_2_random (fints.formals.operationmode attribute)": [[7, "fints.formals.OperationMode.ISO_9796_2_RANDOM"]], "iss (fints.formals.securityrole attribute)": [[7, "fints.formals.SecurityRole.ISS"]], "ivc (fints.formals.algorithmparameterivname attribute)": [[7, "fints.formals.AlgorithmParameterIVName.IVC"]], "identifiedrole (class in fints.formals)": [[7, "fints.formals.IdentifiedRole"]], "initializationmode (class in fints.formals)": [[7, "fints.formals.InitializationMode"]], "intcodefield (class in fints.fields)": [[7, "fints.fields.IntCodeField"]], "kti1 (class in fints.formals)": [[7, "fints.formals.KTI1"]], "ktz1 (class in fints.formals)": [[7, "fints.formals.KTZ1"]], "kye (fints.formals.algorithmparametername attribute)": [[7, "fints.formals.AlgorithmParameterName.KYE"]], "kyp (fints.formals.algorithmparametername attribute)": [[7, "fints.formals.AlgorithmParameterName.KYP"]], "keyname (class in fints.formals)": [[7, "fints.formals.KeyName"]], "keytype (class in fints.formals)": [[7, "fints.formals.KeyType"]], "last_message (fints.formals.synchronizationmode attribute)": [[7, "fints.formals.SynchronizationMode.LAST_MESSAGE"]], "list (fints.formals.tanmediaclass3 attribute)": [[7, "fints.formals.TANMediaClass3.LIST"]], "list (fints.formals.tanmediaclass4 attribute)": [[7, "fints.formals.TANMediaClass4.LIST"]], "lzhuf (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.LZHuf"]], "lzss (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.LZSS"]], "lzw (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.LZW"]], "language2 (class in fints.formals)": [[7, "fints.formals.Language2"]], "mask_02 (fints.formals.initializationmode attribute)": [[7, "fints.formals.InitializationMode.MASK_02"]], "may (fints.formals.descriptionrequired attribute)": [[7, "fints.formals.DescriptionRequired.MAY"]], "may (fints.formals.smschargeaccountrequired attribute)": [[7, "fints.formals.SMSChargeAccountRequired.MAY"]], "mobile (fints.formals.tanmediaclass3 attribute)": [[7, "fints.formals.TANMediaClass3.MOBILE"]], "mobile (fints.formals.tanmediaclass4 attribute)": [[7, "fints.formals.TANMediaClass4.MOBILE"]], "mobile_and_generator (fints.formals.tanusageoption attribute)": [[7, "fints.formals.TANUsageOption.MOBILE_AND_GENERATOR"]], "mr (fints.formals.identifiedrole attribute)": [[7, "fints.formals.IdentifiedRole.MR"]], "ms (fints.formals.identifiedrole attribute)": [[7, "fints.formals.IdentifiedRole.MS"]], "must (fints.formals.descriptionrequired attribute)": [[7, "fints.formals.DescriptionRequired.MUST"]], "must (fints.formals.principalaccountrequired attribute)": [[7, "fints.formals.PrincipalAccountRequired.MUST"]], "must (fints.formals.smschargeaccountrequired attribute)": [[7, "fints.formals.SMSChargeAccountRequired.MUST"]], "must_not (fints.formals.descriptionrequired attribute)": [[7, "fints.formals.DescriptionRequired.MUST_NOT"]], "must_not (fints.formals.principalaccountrequired attribute)": [[7, "fints.formals.PrincipalAccountRequired.MUST_NOT"]], "must_not (fints.formals.smschargeaccountrequired attribute)": [[7, "fints.formals.SMSChargeAccountRequired.MUST_NOT"]], "new_system_id (fints.formals.synchronizationmode attribute)": [[7, "fints.formals.SynchronizationMode.NEW_SYSTEM_ID"]], "no (fints.formals.tanlistnumberrequired attribute)": [[7, "fints.formals.TANListNumberRequired.NO"]], "none (fints.formals.securityclass attribute)": [[7, "fints.formals.SecurityClass.NONE"]], "none (fints.formals.taskhashalgorithm attribute)": [[7, "fints.formals.TaskHashAlgorithm.NONE"]], "non_repud (fints.formals.securityclass attribute)": [[7, "fints.formals.SecurityClass.NON_REPUD"]], "non_repud_qual (fints.formals.securityclass attribute)": [[7, "fints.formals.SecurityClass.NON_REPUD_QUAL"]], "not_allowed (fints.formals.tantimedialogassociation attribute)": [[7, "fints.formals.TANTimeDialogAssociation.NOT_ALLOWED"]], "not_applicable (fints.formals.tantimedialogassociation attribute)": [[7, "fints.formals.TANTimeDialogAssociation.NOT_APPLICABLE"]], "null (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.NULL"]], "numeric (fints.formals.allowedformat attribute)": [[7, "fints.formals.AllowedFormat.NUMERIC"]], "numericfield (class in fints.fields)": [[7, "fints.fields.NumericField"]], "osy (fints.formals.usageencryption attribute)": [[7, "fints.formals.UsageEncryption.OSY"]], "operationmode (class in fints.formals)": [[7, "fints.formals.OperationMode"]], "pending (fints.formals.statussepatask1 attribute)": [[7, "fints.formals.StatusSEPATask1.PENDING"]], "pin (fints.formals.securitymethod attribute)": [[7, "fints.formals.SecurityMethod.PIN"]], "pkcs1v15 (fints.formals.operationmode attribute)": [[7, "fints.formals.OperationMode.PKCS1V15"]], "processed (fints.formals.statussepatask1 attribute)": [[7, "fints.formals.StatusSEPATask1.PROCESSED"]], "pss (fints.formals.operationmode attribute)": [[7, "fints.formals.OperationMode.PSS"]], "parameterchallengeclass (class in fints.formals)": [[7, "fints.formals.ParameterChallengeClass"]], "parameterpintan (class in fints.formals)": [[7, "fints.formals.ParameterPinTan"]], "parametertwostepcommon (class in fints.formals)": [[7, "fints.formals.ParameterTwostepCommon"]], "parametertwosteptan1 (class in fints.formals)": [[7, "fints.formals.ParameterTwostepTAN1"]], "parametertwosteptan2 (class in fints.formals)": [[7, "fints.formals.ParameterTwostepTAN2"]], "parametertwosteptan3 (class in fints.formals)": [[7, "fints.formals.ParameterTwostepTAN3"]], "parametertwosteptan4 (class in fints.formals)": [[7, "fints.formals.ParameterTwostepTAN4"]], "parametertwosteptan5 (class in fints.formals)": [[7, "fints.formals.ParameterTwostepTAN5"]], "parametertwosteptan6 (class in fints.formals)": [[7, "fints.formals.ParameterTwostepTAN6"]], "passwordfield (class in fints.fields)": [[7, "fints.fields.PasswordField"]], "principalaccountrequired (class in fints.formals)": [[7, "fints.formals.PrincipalAccountRequired"]], "querycreditcardstatements2 (class in fints.formals)": [[7, "fints.formals.QueryCreditCardStatements2"]], "queryscheduledbatchdebitparameter1 (class in fints.formals)": [[7, "fints.formals.QueryScheduledBatchDebitParameter1"]], "queryscheduleddebitparameter1 (class in fints.formals)": [[7, "fints.formals.QueryScheduledDebitParameter1"]], "queryscheduleddebitparameter2 (class in fints.formals)": [[7, "fints.formals.QueryScheduledDebitParameter2"]], "rah (fints.formals.securitymethod attribute)": [[7, "fints.formals.SecurityMethod.RAH"]], "rdh (fints.formals.securitymethod attribute)": [[7, "fints.formals.SecurityMethod.RDH"]], "reversal (fints.formals.sepaccode1 attribute)": [[7, "fints.formals.SEPACCode1.REVERSAL"]], "revocation (fints.formals.sepaccode1 attribute)": [[7, "fints.formals.SEPACCode1.REVOCATION"]], "revoked (fints.formals.statussepatask1 attribute)": [[7, "fints.formals.StatusSEPATask1.REVOKED"]], "ripemd_160 (fints.formals.taskhashalgorithm attribute)": [[7, "fints.formals.TaskHashAlgorithm.RIPEMD_160"]], "referencemessage (class in fints.formals)": [[7, "fints.formals.ReferenceMessage"]], "response (class in fints.formals)": [[7, "fints.formals.Response"]], "responsehhduc (class in fints.formals)": [[7, "fints.formals.ResponseHHDUC"]], "s (fints.formals.keytype attribute)": [[7, "fints.formals.KeyType.S"]], "secoder (fints.formals.tanmediaclass3 attribute)": [[7, "fints.formals.TANMediaClass3.SECODER"]], "secoder (fints.formals.tanmediaclass4 attribute)": [[7, "fints.formals.TANMediaClass4.SECODER"]], "sepaccode1 (class in fints.formals)": [[7, "fints.formals.SEPACCode1"]], "sha_1 (fints.formals.taskhashalgorithm attribute)": [[7, "fints.formals.TaskHashAlgorithm.SHA_1"]], "shm (fints.formals.securityapplicationarea attribute)": [[7, "fints.formals.SecurityApplicationArea.SHM"]], "sht (fints.formals.securityapplicationarea attribute)": [[7, "fints.formals.SecurityApplicationArea.SHT"]], "signature_id (fints.formals.synchronizationmode attribute)": [[7, "fints.formals.SynchronizationMode.SIGNATURE_ID"]], "smschargeaccountrequired (class in fints.formals)": [[7, "fints.formals.SMSChargeAccountRequired"]], "sts (fints.formals.datetimetype attribute)": [[7, "fints.formals.DateTimeType.STS"]], "scheduledbatchdebitparameter1 (class in fints.formals)": [[7, "fints.formals.ScheduledBatchDebitParameter1"]], "scheduledbatchdebitparameter2 (class in fints.formals)": [[7, "fints.formals.ScheduledBatchDebitParameter2"]], "scheduledcor1batchdebitparameter1 (class in fints.formals)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1"]], "scheduledcor1debitparameter1 (class in fints.formals)": [[7, "fints.formals.ScheduledCOR1DebitParameter1"]], "scheduleddebitparameter1 (class in fints.formals)": [[7, "fints.formals.ScheduledDebitParameter1"]], "scheduleddebitparameter2 (class in fints.formals)": [[7, "fints.formals.ScheduledDebitParameter2"]], "securityapplicationarea (class in fints.formals)": [[7, "fints.formals.SecurityApplicationArea"]], "securityclass (class in fints.formals)": [[7, "fints.formals.SecurityClass"]], "securitydatetime (class in fints.formals)": [[7, "fints.formals.SecurityDateTime"]], "securityidentificationdetails (class in fints.formals)": [[7, "fints.formals.SecurityIdentificationDetails"]], "securitymethod (class in fints.formals)": [[7, "fints.formals.SecurityMethod"]], "securityprofile (class in fints.formals)": [[7, "fints.formals.SecurityProfile"]], "securityrole (class in fints.formals)": [[7, "fints.formals.SecurityRole"]], "segmentheader (class in fints.formals)": [[7, "fints.formals.SegmentHeader"]], "segmentsequencefield (class in fints.fields)": [[7, "fints.fields.SegmentSequenceField"]], "servicetype2 (class in fints.formals)": [[7, "fints.formals.ServiceType2"]], "signaturealgorithm (class in fints.formals)": [[7, "fints.formals.SignatureAlgorithm"]], "statussepatask1 (class in fints.formals)": [[7, "fints.formals.StatusSEPATask1"]], "supportedhbciversions2 (class in fints.formals)": [[7, "fints.formals.SupportedHBCIVersions2"]], "supportedlanguages2 (class in fints.formals)": [[7, "fints.formals.SupportedLanguages2"]], "supportedmessagetypes (class in fints.formals)": [[7, "fints.formals.SupportedMessageTypes"]], "supportedsepapainmessages1 (class in fints.formals)": [[7, "fints.formals.SupportedSEPAPainMessages1"]], "synchronizationmode (class in fints.formals)": [[7, "fints.formals.SynchronizationMode"]], "systemidstatus (class in fints.formals)": [[7, "fints.formals.SystemIDStatus"]], "tanlistnumberrequired (class in fints.formals)": [[7, "fints.formals.TANListNumberRequired"]], "tanmedia4 (class in fints.formals)": [[7, "fints.formals.TANMedia4"]], "tanmedia5 (class in fints.formals)": [[7, "fints.formals.TANMedia5"]], "tanmediaclass3 (class in fints.formals)": [[7, "fints.formals.TANMediaClass3"]], "tanmediaclass4 (class in fints.formals)": [[7, "fints.formals.TANMediaClass4"]], "tanmediatype2 (class in fints.formals)": [[7, "fints.formals.TANMediaType2"]], "tanmediumstatus (class in fints.formals)": [[7, "fints.formals.TANMediumStatus"]], "tantimedialogassociation (class in fints.formals)": [[7, "fints.formals.TANTimeDialogAssociation"]], "tanusageoption (class in fints.formals)": [[7, "fints.formals.TANUsageOption"]], "tcp_ip (fints.formals.servicetype2 attribute)": [[7, "fints.formals.ServiceType2.TCP_IP"]], "twokey3des (fints.formals.encryptionalgorithmcoded attribute)": [[7, "fints.formals.EncryptionAlgorithmCoded.TWOKEY3DES"]], "t_online (fints.formals.servicetype2 attribute)": [[7, "fints.formals.ServiceType2.T_ONLINE"]], "taskhashalgorithm (class in fints.formals)": [[7, "fints.formals.TaskHashAlgorithm"]], "textfield (class in fints.fields)": [[7, "fints.fields.TextField"]], "timefield (class in fints.fields)": [[7, "fints.fields.TimeField"]], "timestamp1 (class in fints.formals)": [[7, "fints.formals.Timestamp1"]], "transactiontanrequired (class in fints.formals)": [[7, "fints.formals.TransactionTanRequired"]], "twostepparameters1 (class in fints.formals)": [[7, "fints.formals.TwoStepParameters1"]], "twostepparameters2 (class in fints.formals)": [[7, "fints.formals.TwoStepParameters2"]], "twostepparameters3 (class in fints.formals)": [[7, "fints.formals.TwoStepParameters3"]], "twostepparameters4 (class in fints.formals)": [[7, "fints.formals.TwoStepParameters4"]], "twostepparameters5 (class in fints.formals)": [[7, "fints.formals.TwoStepParameters5"]], "twostepparameters6 (class in fints.formals)": [[7, "fints.formals.TwoStepParameters6"]], "twostepparameterscommon (class in fints.formals)": [[7, "fints.formals.TwoStepParametersCommon"]], "typedfield (class in fints.types)": [[7, "fints.types.TypedField"]], "updusage (class in fints.formals)": [[7, "fints.formals.UPDUsage"]], "upd_conclusive (fints.formals.updusage attribute)": [[7, "fints.formals.UPDUsage.UPD_CONCLUSIVE"]], "upd_inconclusive (fints.formals.updusage attribute)": [[7, "fints.formals.UPDUsage.UPD_INCONCLUSIVE"]], "usageencryption (class in fints.formals)": [[7, "fints.formals.UsageEncryption"]], "userdefinedsignature (class in fints.formals)": [[7, "fints.formals.UserDefinedSignature"]], "v (fints.formals.keytype attribute)": [[7, "fints.formals.KeyType.V"]], "version (fints.formals.twostepparameterscommon property)": [[7, "fints.formals.TwoStepParametersCommon.VERSION"]], "valuelist (class in fints.types)": [[7, "fints.types.ValueList"]], "wit (fints.formals.securityrole attribute)": [[7, "fints.formals.SecurityRole.WIT"]], "yes (fints.formals.tanlistnumberrequired attribute)": [[7, "fints.formals.TANListNumberRequired.YES"]], "zip (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.ZIP"]], "zzz (fints.formals.compressionfunction attribute)": [[7, "fints.formals.CompressionFunction.ZZZ"]], "zzz (fints.formals.operationmode attribute)": [[7, "fints.formals.OperationMode.ZZZ"]], "zeropaddednumericfield (class in fints.fields)": [[7, "fints.fields.ZeroPaddedNumericField"]], "ac (fints.formals.responsehhduc attribute)": [[7, "fints.formals.ResponseHHDUC.ac"]], "account (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.account"]], "account (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.account"]], "account_number (fints.formals.account2 attribute)": [[7, "fints.formals.Account2.account_number"]], "account_number (fints.formals.account3 attribute)": [[7, "fints.formals.Account3.account_number"]], "account_number (fints.formals.accountinformation attribute)": [[7, "fints.formals.AccountInformation.account_number"]], "account_number (fints.formals.kti1 attribute)": [[7, "fints.formals.KTI1.account_number"]], "account_number (fints.formals.ktz1 attribute)": [[7, "fints.formals.KTZ1.account_number"]], "active_since (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.active_since"]], "active_since (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.active_since"]], "address (fints.formals.communicationparameter2 attribute)": [[7, "fints.formals.CommunicationParameter2.address"]], "address_adjunct (fints.formals.communicationparameter2 attribute)": [[7, "fints.formals.CommunicationParameter2.address_adjunct"]], "algorithm_parameter_iv_name (fints.formals.encryptionalgorithm attribute)": [[7, "fints.formals.EncryptionAlgorithm.algorithm_parameter_iv_name"]], "algorithm_parameter_iv_value (fints.formals.encryptionalgorithm attribute)": [[7, "fints.formals.EncryptionAlgorithm.algorithm_parameter_iv_value"]], "algorithm_parameter_name (fints.formals.encryptionalgorithm attribute)": [[7, "fints.formals.EncryptionAlgorithm.algorithm_parameter_name"]], "algorithm_parameter_name (fints.formals.hashalgorithm attribute)": [[7, "fints.formals.HashAlgorithm.algorithm_parameter_name"]], "algorithm_parameter_value (fints.formals.encryptionalgorithm attribute)": [[7, "fints.formals.EncryptionAlgorithm.algorithm_parameter_value"]], "algorithm_parameter_value (fints.formals.hashalgorithm attribute)": [[7, "fints.formals.HashAlgorithm.algorithm_parameter_value"]], "allowed_format (fints.formals.twostepparameters1 attribute)": [[7, "fints.formals.TwoStepParameters1.allowed_format"]], "allowed_format (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.allowed_format"]], "allowed_format (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.allowed_format"]], "allowed_format (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.allowed_format"]], "allowed_format (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.allowed_format"]], "allowed_format (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.allowed_format"]], "allowed_purpose_codes (fints.formals.scheduledbatchdebitparameter2 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter2.allowed_purpose_codes"]], "allowed_purpose_codes (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.allowed_purpose_codes"]], "allowed_purpose_codes (fints.formals.scheduledcor1debitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1DebitParameter1.allowed_purpose_codes"]], "allowed_purpose_codes (fints.formals.scheduleddebitparameter2 attribute)": [[7, "fints.formals.ScheduledDebitParameter2.allowed_purpose_codes"]], "amount (fints.formals.amount1 attribute)": [[7, "fints.formals.Amount1.amount"]], "amount (fints.formals.balance1 attribute)": [[7, "fints.formals.Balance1.amount"]], "amount (fints.formals.balance2 attribute)": [[7, "fints.formals.Balance2.amount"]], "as_mt940_balance() (fints.formals.balance1 method)": [[7, "fints.formals.Balance1.as_mt940_Balance"]], "as_mt940_balance() (fints.formals.balance2 method)": [[7, "fints.formals.Balance2.as_mt940_Balance"]], "as_sepa_account() (fints.formals.ktz1 method)": [[7, "fints.formals.KTZ1.as_sepa_account"]], "atc (fints.formals.responsehhduc attribute)": [[7, "fints.formals.ResponseHHDUC.atc"]], "bank_code (fints.formals.account2 attribute)": [[7, "fints.formals.Account2.bank_code"]], "bank_code (fints.formals.bankidentifier attribute)": [[7, "fints.formals.BankIdentifier.bank_code"]], "bank_identifier (fints.formals.account3 attribute)": [[7, "fints.formals.Account3.bank_identifier"]], "bank_identifier (fints.formals.accountinformation attribute)": [[7, "fints.formals.AccountInformation.bank_identifier"]], "bank_identifier (fints.formals.kti1 attribute)": [[7, "fints.formals.KTI1.bank_identifier"]], "bank_identifier (fints.formals.ktz1 attribute)": [[7, "fints.formals.KTZ1.bank_identifier"]], "bank_identifier (fints.formals.keyname attribute)": [[7, "fints.formals.KeyName.bank_identifier"]], "bic (fints.formals.kti1 attribute)": [[7, "fints.formals.KTI1.bic"]], "bic (fints.formals.ktz1 attribute)": [[7, "fints.formals.KTZ1.bic"]], "camt_statements (fints.formals.bookedcamtstatements1 attribute)": [[7, "fints.formals.BookedCamtStatements1.camt_statements"]], "cancel_allowed (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.cancel_allowed"]], "cancel_allowed (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.cancel_allowed"]], "cancel_allowed (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.cancel_allowed"]], "cancel_allowed (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.cancel_allowed"]], "cancel_allowed (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.cancel_allowed"]], "card_number (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.card_number"]], "card_number (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.card_number"]], "card_sequence (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.card_sequence"]], "card_sequence (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.card_sequence"]], "card_type (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.card_type"]], "card_type (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.card_type"]], "certificate_content (fints.formals.certificate attribute)": [[7, "fints.formals.Certificate.certificate_content"]], "certificate_type (fints.formals.certificate attribute)": [[7, "fints.formals.Certificate.certificate_type"]], "challenge_class_required (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.challenge_class_required"]], "challenge_class_required (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.challenge_class_required"]], "challenge_class_required (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.challenge_class_required"]], "challenge_class_required (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.challenge_class_required"]], "challenge_class_required (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.challenge_class_required"]], "challenge_structured (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.challenge_structured"]], "challenge_structured (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.challenge_structured"]], "challenge_structured (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.challenge_structured"]], "challenge_value_required (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.challenge_value_required"]], "challenge_value_required (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.challenge_value_required"]], "challenge_value_required (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.challenge_value_required"]], "cid (fints.formals.securityidentificationdetails attribute)": [[7, "fints.formals.SecurityIdentificationDetails.cid"]], "code (fints.formals.response attribute)": [[7, "fints.formals.Response.code"]], "country_identifier (fints.formals.account2 attribute)": [[7, "fints.formals.Account2.country_identifier"]], "country_identifier (fints.formals.bankidentifier attribute)": [[7, "fints.formals.BankIdentifier.country_identifier"]], "credit_debit (fints.formals.balance1 attribute)": [[7, "fints.formals.Balance1.credit_debit"]], "credit_debit (fints.formals.balance2 attribute)": [[7, "fints.formals.Balance2.credit_debit"]], "currency (fints.formals.amount1 attribute)": [[7, "fints.formals.Amount1.currency"]], "currency (fints.formals.balance1 attribute)": [[7, "fints.formals.Balance1.currency"]], "customer_id_field_text (fints.formals.parameterpintan attribute)": [[7, "fints.formals.ParameterPinTan.customer_id_field_text"]], "cutoff_days (fints.formals.querycreditcardstatements2 attribute)": [[7, "fints.formals.QueryCreditCardStatements2.cutoff_days"]], "cvr (fints.formals.responsehhduc attribute)": [[7, "fints.formals.ResponseHHDUC.cvr"]], "date (fints.formals.balance1 attribute)": [[7, "fints.formals.Balance1.date"]], "date (fints.formals.balance2 attribute)": [[7, "fints.formals.Balance2.date"]], "date (fints.formals.challengevaliduntil attribute)": [[7, "fints.formals.ChallengeValidUntil.date"]], "date (fints.formals.securitydatetime attribute)": [[7, "fints.formals.SecurityDateTime.date"]], "date (fints.formals.timestamp1 attribute)": [[7, "fints.formals.Timestamp1.date"]], "date_range_allowed (fints.formals.querycreditcardstatements2 attribute)": [[7, "fints.formals.QueryCreditCardStatements2.date_range_allowed"]], "date_range_allowed (fints.formals.queryscheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.QueryScheduledBatchDebitParameter1.date_range_allowed"]], "date_range_allowed (fints.formals.queryscheduleddebitparameter1 attribute)": [[7, "fints.formals.QueryScheduledDebitParameter1.date_range_allowed"]], "date_range_allowed (fints.formals.queryscheduleddebitparameter2 attribute)": [[7, "fints.formals.QueryScheduledDebitParameter2.date_range_allowed"]], "date_time_type (fints.formals.securitydatetime attribute)": [[7, "fints.formals.SecurityDateTime.date_time_type"]], "description_required (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.description_required"]], "description_required (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.description_required"]], "description_required (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.description_required"]], "description_required (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.description_required"]], "dialog_id (fints.formals.referencemessage attribute)": [[7, "fints.formals.ReferenceMessage.dialog_id"]], "ef_id_data (fints.formals.responsehhduc attribute)": [[7, "fints.formals.ResponseHHDUC.ef_id_data"]], "encryption_algorithm (fints.formals.encryptionalgorithm attribute)": [[7, "fints.formals.EncryptionAlgorithm.encryption_algorithm"]], "expected_type (fints.formals.supportedmessagetypes attribute)": [[7, "fints.formals.SupportedMessageTypes.expected_type"]], "filter_function (fints.formals.communicationparameter2 attribute)": [[7, "fints.formals.CommunicationParameter2.filter_function"]], "filter_function_version (fints.formals.communicationparameter2 attribute)": [[7, "fints.formals.CommunicationParameter2.filter_function_version"]], "fints.fields": [[7, "module-fints.fields"]], "fints.formals": [[7, "module-fints.formals"]], "fints.types": [[7, "module-fints.types"]], "from_sepa_account() (fints.formals.account2 class method)": [[7, "fints.formals.Account2.from_sepa_account"]], "from_sepa_account() (fints.formals.account3 class method)": [[7, "fints.formals.Account3.from_sepa_account"]], "from_sepa_account() (fints.formals.kti1 class method)": [[7, "fints.formals.KTI1.from_sepa_account"]], "from_sepa_account() (fints.formals.ktz1 class method)": [[7, "fints.formals.KTZ1.from_sepa_account"]], "hash_algorithm (fints.formals.hashalgorithm attribute)": [[7, "fints.formals.HashAlgorithm.hash_algorithm"]], "iban (fints.formals.kti1 attribute)": [[7, "fints.formals.KTI1.iban"]], "iban (fints.formals.ktz1 attribute)": [[7, "fints.formals.KTZ1.iban"]], "identified_role (fints.formals.securityidentificationdetails attribute)": [[7, "fints.formals.SecurityIdentificationDetails.identified_role"]], "identifier (fints.formals.securityidentificationdetails attribute)": [[7, "fints.formals.SecurityIdentificationDetails.identifier"]], "initialization_mode (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.initialization_mode"]], "initialization_mode (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.initialization_mode"]], "initialization_mode (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.initialization_mode"]], "initialization_mode (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.initialization_mode"]], "is_sepa (fints.formals.ktz1 attribute)": [[7, "fints.formals.KTZ1.is_sepa"]], "is_unset() (fints.types.container method)": [[7, "fints.types.Container.is_unset"]], "key_number (fints.formals.keyname attribute)": [[7, "fints.formals.KeyName.key_number"]], "key_type (fints.formals.keyname attribute)": [[7, "fints.formals.KeyName.key_type"]], "key_version (fints.formals.keyname attribute)": [[7, "fints.formals.KeyName.key_version"]], "languages (fints.formals.supportedlanguages2 attribute)": [[7, "fints.formals.SupportedLanguages2.languages"]], "last_use (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.last_use"]], "last_use (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.last_use"]], "limit_amount (fints.formals.accountlimit attribute)": [[7, "fints.formals.AccountLimit.limit_amount"]], "limit_amount (fints.formals.allowedtransaction attribute)": [[7, "fints.formals.AllowedTransaction.limit_amount"]], "limit_days (fints.formals.accountlimit attribute)": [[7, "fints.formals.AccountLimit.limit_days"]], "limit_days (fints.formals.allowedtransaction attribute)": [[7, "fints.formals.AllowedTransaction.limit_days"]], "limit_type (fints.formals.accountlimit attribute)": [[7, "fints.formals.AccountLimit.limit_type"]], "limit_type (fints.formals.allowedtransaction attribute)": [[7, "fints.formals.AllowedTransaction.limit_type"]], "max_advance_notice (fints.formals.scheduledbatchdebitparameter2 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter2.max_advance_notice"]], "max_advance_notice (fints.formals.scheduleddebitparameter2 attribute)": [[7, "fints.formals.ScheduledDebitParameter2.max_advance_notice"]], "max_advance_notice_fnal_rcur (fints.formals.scheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter1.max_advance_notice_FNAL_RCUR"]], "max_advance_notice_fnal_rcur (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.max_advance_notice_FNAL_RCUR"]], "max_advance_notice_fnal_rcur (fints.formals.scheduledcor1debitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1DebitParameter1.max_advance_notice_FNAL_RCUR"]], "max_advance_notice_fnal_rcur (fints.formals.scheduleddebitparameter1 attribute)": [[7, "fints.formals.ScheduledDebitParameter1.max_advance_notice_FNAL_RCUR"]], "max_advance_notice_frst_ooff (fints.formals.scheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter1.max_advance_notice_FRST_OOFF"]], "max_advance_notice_frst_ooff (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.max_advance_notice_FRST_OOFF"]], "max_advance_notice_frst_ooff (fints.formals.scheduledcor1debitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1DebitParameter1.max_advance_notice_FRST_OOFF"]], "max_advance_notice_frst_ooff (fints.formals.scheduleddebitparameter1 attribute)": [[7, "fints.formals.ScheduledDebitParameter1.max_advance_notice_FRST_OOFF"]], "max_debit_count (fints.formals.scheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter1.max_debit_count"]], "max_debit_count (fints.formals.scheduledbatchdebitparameter2 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter2.max_debit_count"]], "max_debit_count (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.max_debit_count"]], "max_length_input (fints.formals.twostepparameters1 attribute)": [[7, "fints.formals.TwoStepParameters1.max_length_input"]], "max_length_input (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.max_length_input"]], "max_length_input (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.max_length_input"]], "max_length_input (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.max_length_input"]], "max_length_input (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.max_length_input"]], "max_length_input (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.max_length_input"]], "max_length_return_value (fints.formals.twostepparameters1 attribute)": [[7, "fints.formals.TwoStepParameters1.max_length_return_value"]], "max_length_return_value (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.max_length_return_value"]], "max_length_return_value (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.max_length_return_value"]], "max_length_return_value (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.max_length_return_value"]], "max_length_return_value (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.max_length_return_value"]], "max_length_return_value (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.max_length_return_value"]], "max_number_responses_allowed (fints.formals.querycreditcardstatements2 attribute)": [[7, "fints.formals.QueryCreditCardStatements2.max_number_responses_allowed"]], "max_number_responses_allowed (fints.formals.queryscheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.QueryScheduledBatchDebitParameter1.max_number_responses_allowed"]], "max_number_responses_allowed (fints.formals.queryscheduleddebitparameter1 attribute)": [[7, "fints.formals.QueryScheduledDebitParameter1.max_number_responses_allowed"]], "max_number_responses_allowed (fints.formals.queryscheduleddebitparameter2 attribute)": [[7, "fints.formals.QueryScheduledDebitParameter2.max_number_responses_allowed"]], "max_pin_length (fints.formals.parameterpintan attribute)": [[7, "fints.formals.ParameterPinTan.max_pin_length"]], "max_tan_length (fints.formals.parameterpintan attribute)": [[7, "fints.formals.ParameterPinTan.max_tan_length"]], "max_transfer_count (fints.formals.batchtransferparameter1 attribute)": [[7, "fints.formals.BatchTransferParameter1.max_transfer_count"]], "message_number (fints.formals.referencemessage attribute)": [[7, "fints.formals.ReferenceMessage.message_number"]], "min_advance_notice (fints.formals.scheduledbatchdebitparameter2 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter2.min_advance_notice"]], "min_advance_notice (fints.formals.scheduleddebitparameter2 attribute)": [[7, "fints.formals.ScheduledDebitParameter2.min_advance_notice"]], "min_advance_notice_fnal_rcur (fints.formals.scheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter1.min_advance_notice_FNAL_RCUR"]], "min_advance_notice_fnal_rcur (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.min_advance_notice_FNAL_RCUR"]], "min_advance_notice_fnal_rcur (fints.formals.scheduledcor1debitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1DebitParameter1.min_advance_notice_FNAL_RCUR"]], "min_advance_notice_fnal_rcur (fints.formals.scheduleddebitparameter1 attribute)": [[7, "fints.formals.ScheduledDebitParameter1.min_advance_notice_FNAL_RCUR"]], "min_advance_notice_frst_ooff (fints.formals.scheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter1.min_advance_notice_FRST_OOFF"]], "min_advance_notice_frst_ooff (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.min_advance_notice_FRST_OOFF"]], "min_advance_notice_frst_ooff (fints.formals.scheduledcor1debitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1DebitParameter1.min_advance_notice_FRST_OOFF"]], "min_advance_notice_frst_ooff (fints.formals.scheduleddebitparameter1 attribute)": [[7, "fints.formals.ScheduledDebitParameter1.min_advance_notice_FRST_OOFF"]], "min_pin_length (fints.formals.parameterpintan attribute)": [[7, "fints.formals.ParameterPinTan.min_pin_length"]], "mobile_number (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.mobile_number"]], "mobile_number (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.mobile_number"]], "mobile_number_masked (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.mobile_number_masked"]], "mobile_number_masked (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.mobile_number_masked"]], "multiple_tans_allowed (fints.formals.twostepparameters1 attribute)": [[7, "fints.formals.TwoStepParameters1.multiple_tans_allowed"]], "multiple_tans_allowed (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.multiple_tans_allowed"]], "multiple_tans_allowed (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.multiple_tans_allowed"]], "multiple_tans_allowed (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.multiple_tans_allowed"]], "multiple_tans_allowed (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.multiple_tans_allowed"]], "multiple_tans_allowed (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.multiple_tans_allowed"]], "multiple_tasks_allowed (fints.formals.parametertwostepcommon attribute)": [[7, "fints.formals.ParameterTwostepCommon.multiple_tasks_allowed"]], "naive_parse() (fints.types.container class method)": [[7, "fints.types.Container.naive_parse"]], "name (fints.formals.twostepparameters1 attribute)": [[7, "fints.formals.TwoStepParameters1.name"]], "name (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.name"]], "name (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.name"]], "name (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.name"]], "name (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.name"]], "name (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.name"]], "national_account_allowed (fints.formals.getsepaaccountparameter1 attribute)": [[7, "fints.formals.GetSEPAAccountParameter1.national_account_allowed"]], "number (fints.formals.segmentheader attribute)": [[7, "fints.formals.SegmentHeader.number"]], "number_free_tans (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.number_free_tans"]], "number_free_tans (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.number_free_tans"]], "number_of_supported_lists (fints.formals.twostepparameters1 attribute)": [[7, "fints.formals.TwoStepParameters1.number_of_supported_lists"]], "number_of_supported_lists (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.number_of_supported_lists"]], "number_of_supported_lists (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.number_of_supported_lists"]], "number_of_supported_lists (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.number_of_supported_lists"]], "number_of_supported_lists (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.number_of_supported_lists"]], "onestep_method_allowed (fints.formals.parametertwostepcommon attribute)": [[7, "fints.formals.ParameterTwostepCommon.onestep_method_allowed"]], "operation_mode (fints.formals.encryptionalgorithm attribute)": [[7, "fints.formals.EncryptionAlgorithm.operation_mode"]], "operation_mode (fints.formals.signaturealgorithm attribute)": [[7, "fints.formals.SignatureAlgorithm.operation_mode"]], "parameters (fints.formals.parameterchallengeclass attribute)": [[7, "fints.formals.ParameterChallengeClass.parameters"]], "parameters (fints.formals.response attribute)": [[7, "fints.formals.Response.parameters"]], "pin (fints.formals.userdefinedsignature attribute)": [[7, "fints.formals.UserDefinedSignature.pin"]], "principal_account_required (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.principal_account_required"]], "principal_account_required (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.principal_account_required"]], "reference (fints.formals.segmentheader attribute)": [[7, "fints.formals.SegmentHeader.reference"]], "reference_element (fints.formals.response attribute)": [[7, "fints.formals.Response.reference_element"]], "render() (fints.types.field method)": [[7, "fints.types.Field.render"]], "required_signatures (fints.formals.allowedtransaction attribute)": [[7, "fints.formals.AllowedTransaction.required_signatures"]], "response_hhd_uc_required (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.response_hhd_uc_required"]], "security_function (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.security_function"]], "security_function (fints.formals.twostepparameterscommon attribute)": [[7, "fints.formals.TwoStepParametersCommon.security_function"]], "security_method (fints.formals.securityprofile attribute)": [[7, "fints.formals.SecurityProfile.security_method"]], "security_method_version (fints.formals.securityprofile attribute)": [[7, "fints.formals.SecurityProfile.security_method_version"]], "security_profile_bank_signature (fints.formals.parametertwosteptan1 attribute)": [[7, "fints.formals.ParameterTwostepTAN1.security_profile_bank_signature"]], "sepa_descriptors (fints.formals.supportedsepapainmessages1 attribute)": [[7, "fints.formals.SupportedSEPAPainMessages1.sepa_descriptors"]], "service_type (fints.formals.communicationparameter2 attribute)": [[7, "fints.formals.CommunicationParameter2.service_type"]], "signature_algorithm (fints.formals.signaturealgorithm attribute)": [[7, "fints.formals.SignatureAlgorithm.signature_algorithm"]], "single_account_query_allowed (fints.formals.getsepaaccountparameter1 attribute)": [[7, "fints.formals.GetSEPAAccountParameter1.single_account_query_allowed"]], "single_booking_allowed (fints.formals.batchtransferparameter1 attribute)": [[7, "fints.formals.BatchTransferParameter1.single_booking_allowed"]], "single_booking_allowed (fints.formals.scheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter1.single_booking_allowed"]], "single_booking_allowed (fints.formals.scheduledbatchdebitparameter2 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter2.single_booking_allowed"]], "single_booking_allowed (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.single_booking_allowed"]], "sms_charge_account (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.sms_charge_account"]], "sms_charge_account (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.sms_charge_account"]], "sms_charge_account_required (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.sms_charge_account_required"]], "sms_charge_account_required (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.sms_charge_account_required"]], "sms_charge_account_required (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.sms_charge_account_required"]], "status (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.status"]], "status (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.status"]], "structured_purpose_allowed (fints.formals.getsepaaccountparameter1 attribute)": [[7, "fints.formals.GetSEPAAccountParameter1.structured_purpose_allowed"]], "subaccount_number (fints.formals.account2 attribute)": [[7, "fints.formals.Account2.subaccount_number"]], "subaccount_number (fints.formals.account3 attribute)": [[7, "fints.formals.Account3.subaccount_number"]], "subaccount_number (fints.formals.accountinformation attribute)": [[7, "fints.formals.AccountInformation.subaccount_number"]], "subaccount_number (fints.formals.kti1 attribute)": [[7, "fints.formals.KTI1.subaccount_number"]], "subaccount_number (fints.formals.ktz1 attribute)": [[7, "fints.formals.KTZ1.subaccount_number"]], "sum_amount_required (fints.formals.batchtransferparameter1 attribute)": [[7, "fints.formals.BatchTransferParameter1.sum_amount_required"]], "sum_amount_required (fints.formals.scheduledbatchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter1.sum_amount_required"]], "sum_amount_required (fints.formals.scheduledbatchdebitparameter2 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter2.sum_amount_required"]], "sum_amount_required (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.sum_amount_required"]], "supported_media_number (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.supported_media_number"]], "supported_media_number (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.supported_media_number"]], "supported_media_number (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.supported_media_number"]], "supported_media_number (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.supported_media_number"]], "supported_sepa_formats (fints.formals.getsepaaccountparameter1 attribute)": [[7, "fints.formals.GetSEPAAccountParameter1.supported_sepa_formats"]], "supported_sepa_formats (fints.formals.queryscheduleddebitparameter2 attribute)": [[7, "fints.formals.QueryScheduledDebitParameter2.supported_sepa_formats"]], "supported_sepa_formats (fints.formals.scheduledbatchdebitparameter2 attribute)": [[7, "fints.formals.ScheduledBatchDebitParameter2.supported_sepa_formats"]], "supported_sepa_formats (fints.formals.scheduledcor1batchdebitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1BatchDebitParameter1.supported_sepa_formats"]], "supported_sepa_formats (fints.formals.scheduledcor1debitparameter1 attribute)": [[7, "fints.formals.ScheduledCOR1DebitParameter1.supported_sepa_formats"]], "supported_sepa_formats (fints.formals.scheduleddebitparameter2 attribute)": [[7, "fints.formals.ScheduledDebitParameter2.supported_sepa_formats"]], "tan (fints.formals.userdefinedsignature attribute)": [[7, "fints.formals.UserDefinedSignature.tan"]], "tan_list_number (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.tan_list_number"]], "tan_list_number (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.tan_list_number"]], "tan_list_number_required (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.tan_list_number_required"]], "tan_list_number_required (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.tan_list_number_required"]], "tan_list_number_required (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.tan_list_number_required"]], "tan_list_number_required (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.tan_list_number_required"]], "tan_medium_class (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.tan_medium_class"]], "tan_medium_class (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.tan_medium_class"]], "tan_medium_name (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.tan_medium_name"]], "tan_medium_name (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.tan_medium_name"]], "tan_process (fints.formals.twostepparameterscommon attribute)": [[7, "fints.formals.TwoStepParametersCommon.tan_process"]], "tan_required (fints.formals.transactiontanrequired attribute)": [[7, "fints.formals.TransactionTanRequired.tan_required"]], "tan_time_delayed_allowed (fints.formals.twostepparameters1 attribute)": [[7, "fints.formals.TwoStepParameters1.tan_time_delayed_allowed"]], "tan_time_dialog_association (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.tan_time_dialog_association"]], "tan_time_dialog_association (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.tan_time_dialog_association"]], "tan_time_dialog_association (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.tan_time_dialog_association"]], "tan_time_dialog_association (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.tan_time_dialog_association"]], "tan_time_dialog_association (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.tan_time_dialog_association"]], "task_hash_algorithm (fints.formals.parametertwostepcommon attribute)": [[7, "fints.formals.ParameterTwostepCommon.task_hash_algorithm"]], "tech_id (fints.formals.twostepparameterscommon attribute)": [[7, "fints.formals.TwoStepParametersCommon.tech_id"]], "text (fints.formals.response attribute)": [[7, "fints.formals.Response.text"]], "text_return_value (fints.formals.twostepparameters1 attribute)": [[7, "fints.formals.TwoStepParameters1.text_return_value"]], "text_return_value (fints.formals.twostepparameters2 attribute)": [[7, "fints.formals.TwoStepParameters2.text_return_value"]], "text_return_value (fints.formals.twostepparameters3 attribute)": [[7, "fints.formals.TwoStepParameters3.text_return_value"]], "text_return_value (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.text_return_value"]], "text_return_value (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.text_return_value"]], "text_return_value (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.text_return_value"]], "time (fints.formals.balance1 attribute)": [[7, "fints.formals.Balance1.time"]], "time (fints.formals.balance2 attribute)": [[7, "fints.formals.Balance2.time"]], "time (fints.formals.challengevaliduntil attribute)": [[7, "fints.formals.ChallengeValidUntil.time"]], "time (fints.formals.securitydatetime attribute)": [[7, "fints.formals.SecurityDateTime.time"]], "time (fints.formals.timestamp1 attribute)": [[7, "fints.formals.Timestamp1.time"]], "transaction (fints.formals.allowedtransaction attribute)": [[7, "fints.formals.AllowedTransaction.transaction"]], "transaction (fints.formals.transactiontanrequired attribute)": [[7, "fints.formals.TransactionTanRequired.transaction"]], "transaction_tans_required (fints.formals.parameterpintan attribute)": [[7, "fints.formals.ParameterPinTan.transaction_tans_required"]], "twostep_parameters (fints.formals.parametertwosteptan1 attribute)": [[7, "fints.formals.ParameterTwostepTAN1.twostep_parameters"]], "twostep_parameters (fints.formals.parametertwosteptan2 attribute)": [[7, "fints.formals.ParameterTwostepTAN2.twostep_parameters"]], "twostep_parameters (fints.formals.parametertwosteptan3 attribute)": [[7, "fints.formals.ParameterTwostepTAN3.twostep_parameters"]], "twostep_parameters (fints.formals.parametertwosteptan4 attribute)": [[7, "fints.formals.ParameterTwostepTAN4.twostep_parameters"]], "twostep_parameters (fints.formals.parametertwosteptan5 attribute)": [[7, "fints.formals.ParameterTwostepTAN5.twostep_parameters"]], "twostep_parameters (fints.formals.parametertwosteptan6 attribute)": [[7, "fints.formals.ParameterTwostepTAN6.twostep_parameters"]], "type (fints.fields.alphanumericfield attribute)": [[7, "fints.fields.AlphanumericField.type"]], "type (fints.fields.amountfield attribute)": [[7, "fints.fields.AmountField.type"]], "type (fints.fields.binaryfield attribute)": [[7, "fints.fields.BinaryField.type"]], "type (fints.fields.booleanfield attribute)": [[7, "fints.fields.BooleanField.type"]], "type (fints.fields.codefield attribute)": [[7, "fints.fields.CodeField.type"]], "type (fints.fields.countryfield attribute)": [[7, "fints.fields.CountryField.type"]], "type (fints.fields.currencyfield attribute)": [[7, "fints.fields.CurrencyField.type"]], "type (fints.fields.dtausfield attribute)": [[7, "fints.fields.DTAUSField.type"]], "type (fints.fields.datefield attribute)": [[7, "fints.fields.DateField.type"]], "type (fints.fields.digitsfield attribute)": [[7, "fints.fields.DigitsField.type"]], "type (fints.fields.floatfield attribute)": [[7, "fints.fields.FloatField.type"]], "type (fints.fields.genericfield attribute)": [[7, "fints.fields.GenericField.type"]], "type (fints.fields.genericgroupfield attribute)": [[7, "fints.fields.GenericGroupField.type"]], "type (fints.fields.idfield attribute)": [[7, "fints.fields.IDField.type"]], "type (fints.fields.intcodefield attribute)": [[7, "fints.fields.IntCodeField.type"]], "type (fints.fields.numericfield attribute)": [[7, "fints.fields.NumericField.type"]], "type (fints.fields.passwordfield attribute)": [[7, "fints.fields.PasswordField.type"]], "type (fints.fields.segmentsequencefield attribute)": [[7, "fints.fields.SegmentSequenceField.type"]], "type (fints.fields.textfield attribute)": [[7, "fints.fields.TextField.type"]], "type (fints.fields.timefield attribute)": [[7, "fints.fields.TimeField.type"]], "type (fints.fields.zeropaddednumericfield attribute)": [[7, "fints.fields.ZeroPaddedNumericField.type"]], "type (fints.formals.segmentheader attribute)": [[7, "fints.formals.SegmentHeader.type"]], "usage_encryption (fints.formals.encryptionalgorithm attribute)": [[7, "fints.formals.EncryptionAlgorithm.usage_encryption"]], "usage_hash (fints.formals.hashalgorithm attribute)": [[7, "fints.formals.HashAlgorithm.usage_hash"]], "usage_signature (fints.formals.signaturealgorithm attribute)": [[7, "fints.formals.SignatureAlgorithm.usage_signature"]], "user_id (fints.formals.keyname attribute)": [[7, "fints.formals.KeyName.user_id"]], "user_id_field_text (fints.formals.parameterpintan attribute)": [[7, "fints.formals.ParameterPinTan.user_id_field_text"]], "valid_from (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.valid_from"]], "valid_from (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.valid_from"]], "valid_until (fints.formals.tanmedia4 attribute)": [[7, "fints.formals.TANMedia4.valid_until"]], "valid_until (fints.formals.tanmedia5 attribute)": [[7, "fints.formals.TANMedia5.valid_until"]], "version (fints.formals.segmentheader attribute)": [[7, "fints.formals.SegmentHeader.version"]], "version_info_chiptan (fints.formals.responsehhduc attribute)": [[7, "fints.formals.ResponseHHDUC.version_info_chiptan"]], "versions (fints.formals.supportedhbciversions2 attribute)": [[7, "fints.formals.SupportedHBCIVersions2.versions"]], "zka_id (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.zka_id"]], "zka_id (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.zka_id"]], "zka_id (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.zka_id"]], "zka_version (fints.formals.twostepparameters4 attribute)": [[7, "fints.formals.TwoStepParameters4.zka_version"]], "zka_version (fints.formals.twostepparameters5 attribute)": [[7, "fints.formals.TwoStepParameters5.zka_version"]], "zka_version (fints.formals.twostepparameters6 attribute)": [[7, "fints.formals.TwoStepParameters6.zka_version"]], "holding (class in fints.models)": [[11, "fints.models.Holding"]], "sepaaccount (class in fints.models)": [[11, "fints.models.SEPAAccount"]], "needretryresponse (class in fints.client)": [[12, "fints.client.NeedRetryResponse"]], "needtanresponse (class in fints.client)": [[12, "fints.client.NeedTANResponse"]], "challenge (fints.client.needtanresponse attribute)": [[12, "fints.client.NeedTANResponse.challenge"]], "challenge_hhduc (fints.client.needtanresponse attribute)": [[12, "fints.client.NeedTANResponse.challenge_hhduc"]], "challenge_html (fints.client.needtanresponse attribute)": [[12, "fints.client.NeedTANResponse.challenge_html"]], "challenge_matrix (fints.client.needtanresponse attribute)": [[12, "fints.client.NeedTANResponse.challenge_matrix"]], "challenge_raw (fints.client.needtanresponse attribute)": [[12, "fints.client.NeedTANResponse.challenge_raw"]], "from_data() (fints.client.needretryresponse class method)": [[12, "fints.client.NeedRetryResponse.from_data"]], "get_data() (fints.client.needtanresponse method)": [[12, "fints.client.NeedTANResponse.get_data"]], "terminal_flicker_unix() (in module fints.hhd.flicker)": [[12, "fints.hhd.flicker.terminal_flicker_unix"]]}})